label EvelynGreeting:
    eve "..."
    return

label EvelynSpendTime:
    show evelyn
    eve "I'm sure you have better things to do..."
    "You help her around the inn for a while. She seemed to like it, but didn't mention it."
    random:
        $eveC.increaseMod(0, 5)
        $eveC.increaseMod(1, 5)
        $eveC.increaseMod(2, 5)
    random:
        $dayBonuses.addBonusEffect("Insensitive", character = "Evelyn", auto = True)
        $dayBonuses.addBonusEffect("Calm", character = "Evelyn", auto = True)
    return


#Friendship
label EvelynFriendship1:
    play music eveC.music if_changed
    scene playerbedroom
    show player at left
    "You barely entered you room after your shift when you hear a knock on the door."
    eve "It's me... Am I bothering you? I'll come back later..."
    pc "I'm not doing anything important right now, do you need anything?"
    show evelyn at right
    eve "No, it's just..."
    eve "Why did you come back?"
    menu:
        eve "Why did you come back?"
        "I was worried":
            $eveC.increaseMod(0, 20)#+Friendship
            pc "I was worried about you and about mom."
        "I wasn't doing anything":
            pc "I wasn't doing anything at the moment, so I decided to take some time to come back home."
    eve "And what about your adventures?"
    pc "Since the demons left, it's quite hard to find work for adventurers like me."
    eve "I'm sorry to hear that... but I'm happy that you're back."
    pc "I'm also glad to be back home."
    "She continues to make small talk for a while, which she only does when she wants to talk about something important but can't bring it up."
    "So you decide to force the subject, she sometimes needs a little push."
    pc "So, what did you came here to talk about?"
    eve "..."
    eve "Did you come back to save me?"
    "You hesitate before answering."
    eve "I've dreamed about you, not long before waking up. You came to fight a demon who had me under its control and freed me."
    eve "Then, when I woke up, you were right next to me, after coming back that same day."
    eve "And the woman who stays at the inn to watch over me is strange too. She feels weird and I'm pretty sure she's not who she says she is."
    pc "I... I don't know what to say to that..."
    eve "Oh! I'm sorry, I didn't mean to say that you lied to me, it's only that a lot of strange things happened recently, and I had no one to talk to about this."
    pc "No, you're right. I should have told you, but it's complicated. And I promised Margaret, the researcher, to be careful about it."
    show margaret at right2
    mar "It's alright, you can tell her."
    "Margaret suddenly appears in the frame of your door."
    pc "You were eavesdropping?"
    show margaret at toleft2
    "She enters the your bedroom as if you invited her inside."
    mar "No, I was close by and heard you call my name."
    mar "You are right, Evelyn, I'm not a simple researcher here to keep an eye on you. I'm a demon."
    "Eve shuddered when hearing that, but no strong reaction."
    mar "I'm not here to cause problems, on the contrary, I'd like to solve this without anyone getting hurt."
    "You can see that your sister isn't sure if she can trust Margaret."
    pc "She was with me that night. I think we can trust her."
    pc "And I also have something to confess..."
    "You spend some time explaining to Evelyn what happened during that night."
    pc "And now, I'm using the demon who captured you to explore the dreams. But to do that, we needed to link it to you."
    eve "To... me?"
    mar "It's a bit complex, but to simplify, I linked your souls together. It will keep her tamed and obedient for [pName] to use at will to explore."
    eve "And it's safe?"
    mar "Frankly? No. If she wanted, she could regain control at any moment and devour your soul. But my threats and the fact that she isn't pure evil keeps her from doing that."
    "Evelyn looks at the ground for a while, then right at you."
    eve "At least, like that, it's helpful for you."
    pc "If it's too much..."
    eve "No, don't worry, it will be fine. I trust you."
    "You can read in here eyes that she had accepted her situation and she doesn't blame you."
    mar "While we're on the subject..."
    "Eve breaks eye contact."
    mar "We will need you two to spend some time together in the coming days. Now that you are linked to that succubus, improving your mental state will improve her strength in turn."
    eve "I'll... do my best... Anything else?"
    mar "Keep all this quiet, we don't want anarchy in the streets when people hear that there are demons lurking aroung." 
    mar "Ah, yes. Depending on the... progress of your succubus companion, she might influence your libido. Don't worry, the effects will leave when she does."
    eve "..."
    "You can see that made Evelyn a bit uncomfortable... but you're not in the best position to help her in that case."
    menu:
        "You can see that made Evelyn a bit uncomfortable... but you're not in the best position to help her in that case."
        "You can ask Margaret":
            pc "If that happens, don't hesitate to ask Margaret, she'll be happy to help you."
            mar "Of course, you only need to ask. Or I can come to you if I feel you'd need my help."
            $eveC.increaseMod(2, 20)#+Lust
            eve "... I... I'll think about it... Thank you..."
            hide evelyn
            "Eve quickly made her exit."
        "I'll do my best to prevent that":
            pc "I'll do my best to prevent that. If you ever feel like you're losing control, you only to tell me and we'll take it easier."
            $eveC.increaseMod(0, 20)#+Friendship
            eve "Thank you, I'd rather not have to deal with that."
            mar "And if you need more information, don't hesitate to ask me, I'm never very far."
            hide evelyn
            "Eve bowed to the both of you before taking her leave."
    show margaret at toright
    mar "She'll do, but you'll have to be careful with her. Not only are you especially close to her, you humes have certain taboos about sex with family."
    pc "I hope nothing bad happens to her, I wouldn't forgive myself..."
    mar "I will keep an eye on her, and you can leave her out of it if things go too far."
    pc "Yeah, thanks."
    "Even if Evelyn agreed to help you, you still feel guilty about only asking her after the fact."
    $eveC.increaseRelation(0)
    return

label EvelynFriendship2:
    play music eveC.music if_changed
    scene innlobby
    show player
    "You are about to end your shift when a client comes to you."
    "Client" "Excuse me, I asked for fresh bed sheets yesterday and they still haven't been changed."
    pc "Don't worry, miss, I'll take care of it right now."
    "You leave the reception to your mother, taking over Violet who's absent again, and go to the laundry to pick up sheets."
    show player at toleft
    show evelyn at right
    "As you enter, you see Evelyn picking up clean clothes spread over the ground."
    pc "What happened here?"
    "Evelyn turns towards you, a bit surprised."
    eve "Just an accident. Do you need anything?"
    pc "I need some bed sheets, I just came to pick some up."
    eve "Ah, I forgot... did it come from the client who asked for them yesterday? It slipped my mind, I'll get to it immediately!"
    pc "It's okay, I'll do it. Continue sorting those clothes, I'll come back right after."
    eve "You don't have to."
    "You quickly take care of the client's bed and come back to the laundry room with the old sheets. You find Evelyn coming out, struggling to carry the laundry basket."
    pc "Are you okay? It looks heavy."
    eve "I'll manage... don't worry about it."
    "But as she walks past you, she starts wobbling and you grab her before she falls."
    pc "Eve, you're barely standing up. Let me help you."
    eve "But you are on break right now..."
    pc "Sure, but did you take yours? I know you barely stop working to eat."
    eve "..."
    pc "Now, let me take that and I'll carry it for you."
    "You grab the basket after throwing the dirty sheets in the laundry room."
    pc "So, where do we go?"
    "The clothes you are carrying belongs to multiple patrons, and Evelyn brings you to their rooms, knowing what belongs to who."
    "As you walk with her, you can see she is exhausted. She can barely walk straight and she often takes support on furniture when she brings the clothes."
    scene bedroom
    show player at left
    show evelyn at right
    "After everything is delivered, you bring her to her room."
    pc "Eve, you're completely exhausted. You should take a break from time to time."
    eve "I'll be okay, I have to make up for the time I spent with the Bliss."
    menu:
        eve "I'll be okay, I have to make up for the time I spent with the Bliss."
        "Be blunt":
            pc "Eve, stop being stubborn. You won't last if you continue to overwork yourself like that!"
            $eveC.increaseMod(0, 20)#+Friendship
            eve "..."
        "Be compassionate":
            pc "What? You didn't have any choice, you don't HAVE to make up for it. You can take it easier than that."
            eve "..."
    eve "Mom manages to. I'll have to be strong enough if I am to manage the inn by myself later."
    pc "Mom has years of experience, she knows how to take small breaks when she can."
    pc "On the other hand, as soon as you have five minutes, you find something to clean or run to buy something we are starting to run out of."
    pc "I learned from my time adventuring, you have to take breaks when you can. You can't be at full power all the time."
    "Eve lowers her head. She already knew what you told her, but she needed to be reminded."
    pc "Since I'm back, I want you to let me help if you need it."
    eve "But..."
    "She stops talking, thinking about how to say what she wants."
    eve "But you won't stay forever, I have to be able to work well alone."
    "You were about to tell her to take time to learn when you feel that the problem was elsewhere."
    pc "Eve, why do you want to run the inn so much?"
    eve "..!"
    "That took her by surprise and she can't find what to tell you."
    pc "You can't tell me you ruin your health wanting to learn to run the inn without reason. Do you particularly like this job?"
    eve "I don't hate it..."
    pc "That's not an answer..."
    eve "It's mom's whole life."
    pc "Not yours..."
    eve "..."
    "She stays silent..."
    pc "Come on Eve, you can tell me."
    eve "I have to. Mom wanted someone to take over, and I don't hate it, so I'll be the one to do it."
    pc "You don't have to, you know. It could also be me, or Violet."
    eve "Mom is counting on me..."
    eve "When you were talking about becoming an adventurer, I heard mom and dad talking about the inn."
    eve "Mom was worried about the lack of help since you were leaving, and dad didn't want to quit her job."
    eve "As Violet was starting to skip work, dad was suggesting to ask you to stay home. And adventuring wasn't a good idea, with the war."
    eve "But mom answered that it would be okay, that I looked eager to help so we would manage."
    pc "So you worked full time here to let me become an adventurer?"
    eve "No, no! I needed a job and worked here, that's all!"
    "She only says that because she doesn't want you to feel bad for her, but it was the reason..."
    pc "Eve, if you don't like working here, I'm sure mom..."
    eve "That's not it!"
    "She started to raise her voice. You're not used to seeing her angry."
    eve "I told you it's all right. I like working here. I'll manage."
    eve "Now, go take the rest of your break. I still have... things to do."
    hide evelyn
    "She hastily gets out of her room and you're staying there, not really knowing what to do about all that you learned..."
    $eveC.increaseRelation(0)
    return
    
label EvelynFriendship3:
    play music eveC.music if_changed
    scene playerbedroom
    show player at left
    "You are walking back to your room when you hear someone screaming in one of room close by."
    "Shrieking Voice" "What are you doing, human wanton?"
    "You'd better have a look before everyone in the inn hears the commotion."
    scene bedroom
    show player at left
    show player at toleft2
    show evelyn at left
    show highElf at right
    "When you enter the bedroom, you see Evelyn being yelled at by the High Elf. You're used to her being very demanding, but it seems worse than usual."
    show player at left
    show evelyn at toleft2
    pc "Excuse me, what's happening here? Can I help?"
    helf "You must be working here. This maid was shaking her rump in my direction, trying to tempt me!"
    eve "But..."
    helf "She's incompetent and she tries to use her assets to... to..."
    "She's so mad she can't find her words."
    menu:
        "She's so mad she can't find her words."
        "Placate her":
            pc "Don't worry miss, I'll talk to her about it."
            helf "You'd better. I know that some lesser patrons are into that sort of thing, but I find it disgusting."
            pc "Of course, of course. Come Evelyn, let us leave the lady alone."
            $eveC.increaseMod(2, 20)#+Lust
        "Reason with her":
            pc "I'm sure it's not what she was trying to do. I know her well and she is not that type of maid."
            helf "{i}~Humpf~{/i} Even if that's the case, she'd better be more careful. I have good self control, but others might have jumped on the occasion."
            pc "Don't worry about her, she knows what she's doing. We'll take our leave now, goodbye."
            $eveC.increaseMod(1, 20)#+Love
    "You exit the room with Eve's hand in your own."
    scene innlobby
    show player at left
    show evelyn at left2
    show evelyn at toright
    pc "You're all right? What happened exactly?"
    eve "I was simply cleaning her room, as she wants me to do every day. She was a bit fidgety, but when I was cleaning under the bed, just as she asked, she started to shout at me that I was a slut..."
    eve "Thank you for helping me, you can go now."
    "You see that she's on the verge of tears, you can't leave her like that."
    pc "What's gotten into her?"
    eve "Well, she's a high ranking diplomat for the Elven Queendom, she's been stuck here since the barrier was erected and she has a hard time fitting in..."
    pc "So?"
    eve "So she must be lonely... I've never seen her meeting the Beauseins either, I wonder why..."
    pc "Lanelle told me that the Queendom and the Beauseins are at odds. So she can't even talk to other high elves..."
    scene bedroom
    show player at left
    show evelyn at right
    "You walk Eve back to her room where she sits on her bed."
    eve "[pName]... do you think she was right?"
    menu:
        eve "[pName]... do you think she was right?"
        "No":
            pc "No."
            $eveC.increaseMod(0, 20)#+Friendship
        "About what?":
            pass
    eve "I mean, I am incompetent. I should have been the one to get me out of that situation, but I stood there, not knowing what to say."
    eve "I could only take her insults and was unable to answer back, I couldn't defend myself. And I shouldn't have been in that situation to begin with."
    pc "First, that kind of situation happens, you should get used to it."
    pc "Second... yes, I agree that you aren't the most social person out there. When you're talking to someone quite assertive, you back down immediately, and it can make the situation worse."
    pc "I bet the situation went like this : She started accusing you of \"tempting her\", then you said you were sorry. But that wasn't enough and she continued to rant."
    pc "You stood there, silent and she took it as a sign she was right and got angrier."
    "You can see a slight blush on her cheeks."
    eve "It happened... more or less like that. But I was thinking about how to explain to her and she started shouting."
    pc "But never tried to defend yourself or simply get out of the room. I think what you need is to spend less time working and more time with people."
    eve "... okay, if that's what you think."
    pc "{i}~Sigh~{/i} Eve, that's exactly what I told you. You don't think it's a good idea, but since I'm confident in saying it is, you yield and agree to it."
    eve "... but how am I supposed to do? I don't have friends."
    pc "We'll find someone."
    eve "Who would want to spend time with me? Your friend Melody? She finds me awkward. And I can't ask Violet, she won't even let me see her friends since I'm too weird."
    pc "Don't worry so much, I'll think of someone suitable. We can take our time, even if it doesn't work it's still experience."
    eve "Okay, I'll trust you... you are thinking about someone?"
    pc "Not really. We need someone a bit assertive, but not too much, and close by."
    eve "Aren't you enough?"
    pc "No. You're too comfortable with me. Plus I know you too well and how to work around your quirks. And if it doesn't work, I want you to still have a fallback."
    eve "Okay, okay... but it still feels weird having you look for a friend for me."
    pc "That's because it is a bit weird. But don't worry about it too much : in the end, you need to spend time with people, we're not looking for a bff."
    "She stays silent for a moment, before getting up."
    eve "I'm going back to work... but thanks."
    pc "I'll talk to mom about forbidding you to work from time to time, too."
    hide evelyn
    "She leaves without a word. You really hope it's a good idea..."
    $eveC.increaseRelation(0)
    return
    
label EvelynFriendship4:
    play music eveC.music if_changed
    $orc.name = "Orc"
    scene innlobby
    show player at left
    "You are in charge of bringing meals to clients requesting self service while looking if one of them would be a good fit to help Evelyn."
    show rhoda at right
    "An orc opened the door. She's not like a typical orc : she's not as fit or confident looking, but you have a strange feeling about her..."
    "You've seen her before : she's quite reserved, rarely eating at the restaurant, and you don't remember her having visitors. She has to be a traveler stuck here by the barrier."
    orc "Thanks."
    "She grabs the meal you brought her. As you examine her, you think that you know her, but can't remember who she is."
    pc "Excuse me, but we know each other, don't we?"
    "She takes a quick look at you."
    orc "I don't think so... but I've been here a while."
    pc "Yes, I work here so it might be just that... My name is [pName], by the way."
    "As you tell her your name, it looks like she realized who you are as she starts panicking."
    orc "No, we've never seen each other before, goodbye."
    pc "Come on, I know you remembered me... What's your name? Just give me that, please."
    "She hesitates for a second before muttering her name."
    $orc.name = "Rhoda"
    orc "I'm Rhoda..."
    pc "Rhoda? From... the dreams?"
    orc "Yeah..."
    pc "You don't... look the same."
    orc "Who's talking?! You don't look anything like a demon either."
    pc "I'm sorry, I didn't mean to offend you."
    orc "... no, it's my bad. It's that my... looks is a touchy subject for me."
    orc "When I'm over there, I can use the gems to become more... like an orc. I'm stronger, more badass."
    pc "Hey, could we talk for a while about that world? I'd like to know more about you and how you got there?"
    orc "Now? Ehm..."
    pc "Well I have to finish delivering room service, but I should be done in half an hour. Would that be okay for you?"
    orc "... that's... okay, why not?"
    hide rhoda
    "She didn't seem happy about it, but it's your chance to get more information about the dream world."
    "Forty minutes later you're knocking at her door."
    orc "It's open."
    scene bedroom
    show player at left
    show rhoda at right
    "Her room is bare. Other clients started to make themselves at home in their room, but she didn't seem to have any personal effect in hers."
    orc "So, what did you want to know?"
    "You spend close to an hour talking to her and you didn't learn anything valuable. She doesn't know how she goes to the dream world and doesn't know anything you already do."
    orc "Sorry I can't help you more..."
    pc "It's nothing, I only wanted to talk to you about it."
    pc "So, what are you doing in Queensrest anyway? You're a traveler?"
    "She fidgets a little but seems more comfortable with you now."
    orc "Kinda. I've been told by the elder of my clan to travel and train myself."
    orc "I'm not strong enough... I'm supposed to be a champion for the clan because of... that..."
    "She points between her legs."
    orc "But I'm weak, so I couldn't stay there. I was passing by this town, looking to sell my hunts and buy some supplies, but the barrier appeared before I left."
    "So she isn't shy like you thought. She was embarrassed because you saw her dream self." 
    pc "Ah, that's why you're staying alone here."
    orc "Yeah, I was traveling by myself, so now I wait. I already asked the guards, but they don't know either."
    "She could be useful for helping Eve. She's alone here, she's not too assertive like this but her dream version shows she wants to be, she would be a good fit."
    pc "Say, can I ask you a service?"
    orc "Sure, I've got nothing to do but wait, and you're housing and feeding me, so if I can pay you back, I'll help."
    pc "I have a sister, a bit older than myself, you must have met her, she also takes care of the clients."
    orc "The nice one? Yes, I like her. She's good and quick when I need anything. I don't like the young one though, she's a bitch..."
    pc "The older of the two, yes. Her name is Evelyn and all she does is work. I wanted to ask you if you could spend some time with her and get her out of her job from time to time."
    orc "She's cute, so why not, but what do you want me to do with her?"
    pc "Whatever you want, see if you can befriend her. And if it becomes too awkward or doesn't work, at least we tried."
    orc "Sure, I'll try to get along with her. I wanted to try some good restaurants, but I had no idea where to go. That should be a good start, or is it too much like a date?"
    menu:
        orc "Sure, I'll try to get along with her. I wanted to try some good restaurants, but I had no idea where to go. That should be a good start, or is it too much like a date?"
        "Too much":
            $eveC.increaseMod(0, 20)#+Friendship
            pc "It's a bit strong for a first meeting, she might be reluctant."
            orc "If you think so, I'll think of something else..."
        "It's okay":
            $eveC.increaseMod(1, 20)#+Love
            pc "That'll do. There are a few good addresses, she should agree to go with you."
    pc "Thanks for doing that. If you have any problem, don't hesitate to ask me."
    orc "Don't be so protective, I won't do anything she doesn't want."
    scene innlobby
    show player at left
    show evelyn at right
    "You leave Rhoda and try to find Evelyn to let her know you fond someone."
    eve "An orc? Are you sure..."
    pc "I can tell her to forget it, if you want, but I've met her a few times and I think it'll be okay."
    pc "And if you want to stop, just tell me and I'll take care of it, okay?"
    eve "... I'll try..."
    "You spend more than an hour talking about it with her. She's anxious, but willing to do it, it should be a good start."
    $eveC.increaseRelation(0)
    return
    
label EvelynFriendship5:
    play music eveC.music if_changed
    scene innlobby
    show player at left
    "Work today was exhausting : Evelyn took some time off for the first time since she woke up from the Bliss and now you realize how much she can accomplish."
    "She did it and met with Rhoda and you hope it went well. She should be back by now, so you decide to go check on her."
    pc "Eve? Can I come in?"
    eve "Yes, the door's open."
    scene bedroom
    show player at left
    show evelyn at right
    "She already changed back into her work uniform, but you can feel she's a bit more outgoing than usual."
    pc "So... how did it go?"
    eve "... it went... well, I think. She was hungry, I thought about telling her to come to our restaurant, but I don't think you would have agreed, so we went to Mino's Tits."
    pc "It's a good start. And then?"
    eve "She started talking. I didn't have anything to say and it was quite awkward for a while."
    eve "But after they brought the food, she found it delicious and wondered how they cooked it. I detailed the recipe and she was amazed that I was able to find that just by eating it."
    pc "You're a quite good chef, I agree."
    eve "After talking about cuisine for a while, she told me that next time, I'll have to invite her and cook for her in return for her paying for our food today."
    pc "And did you agree?"
    eve "At first, I didn't want to. But when I thought about it, she already eats my cooking everyday and likes it."
    pc "{i}~Laughs~{/i} Yeah, I don't think she knew you were on kitchen duty besides everything else you do here."
    eve "I thought that you'd be annoyed because I agreed..."
    pc "Why is that?"
    eve "Isn't that the objective of the training? Saying no to pushy people?"
    pc "Not exactly. Do you really want to cook for her or did you agree only because she asked you to?"
    eve "... well, she always likes what I bring her and I want to thank her for trying to help."
    pc "You don't have to force yourself to refuse everything that is asked of you either, if you want to do it, just do."
    pc "And even if she pushes you a bit, it's part of the learning process. You only need to tell her no when you are uncomfortable with it."
    eve "..."
    "She looks like she's thinking about something that happened, but doesn't know how to bring it up."
    menu:
        "She looks like she's thinking about something that happened, but doesn't know how to bring it up."
        "Ask her":
            pc "Did she ask you something else?"
            $eveC.increaseMod(0, 20)#Friendship
        "Wait":
            pc "..."
            $eveC.increaseMod(1, 20)#Love
            eve "At..."
    eve "At the end of the meal... she said next time would be a real date."
    "She looks away and blushes slightly."
    pc "Too fast for you? You want me to rein her in?"
    eve "It was a bit early, and I didn't really agree to it but... I want to try."
    pc "You're certain about it?"
    eve "If I cook for her, the... date will happen here, so if anything happens or I panic, I know you and mom wouldn't be far. It could be a good test. Do you agree?"
    pc "It's your choice to make, but I won't be far in case you need me."
    eve "Thank you. I'll try then. But I don't want anything weird, it's too soon for that."
    pc "Just tell her at the start of the date, I'm sure she'll be understanding about it."
    eve "So, I have a few ideas on what to make..."
    "She is strangely invested in that date. It might have been fast, but she likes cooking and Rhoda likes eating, so they are a good fit... probably?"
    "You try to help her with preparations, but she ignores you as she listed what she'll need to buy and you understand that you're no longer needed and leave."
    hide evelyn
    "You have half a mind to go and see the orc, but decide against it and try to be less meddlesome of their relationship. You're only there to help, not to puppeteer them."
    $eveC.increaseRelation(0)
    return

label EvelynFriendship6: #Evening only
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show evelyn at right
    "Tonight's the night where Rhoda asked Evelyn out for their real date. It'll happen at the inn, Eve spent all day cooking and making sure everything is perfect."
    "You're busy preparing a late supper for a few patrons, job usually done by your sister."
    eve "The main dishes are cooking, the dessert is ready... [pName], could you make sure nothing burns? I'd like to make something as a starter, Rhoda'll enjoy it."
    pc "Sure. Do you need help with anything else?"
    eve "No, thank you. I'll be all right, this is nothing, but I'm here if you need me... sorry for dumping my job on you..."
    pc "I'm glad to help, Eve."
    "You quickly finish your part. It's not as appetizing as Evelyn's, but it should be good enough. If anyone complains, she'll be back tomorrow."
    "As you load the cart, you're a bit taken aback by how much food she's prepared... There's enough food on the table to feed five people."
    pc "Wow, you're really going to eat all that?"
    eve "Is there a bit much?"
    "She takes a step back to look at the table overflowing with food and blushes."
    eve "Rhoda eats a lot, I... I wanted to make sure she wouldn't be hungry."
    "You know she loves cooking, and even if there are leftovers, you'll happily eat them for dinner tomorrow."
    "What bothers you is that it seem a bit... one sided. You aren't sure the orc is putting as much effort in this date as she is."
    menu:
        "What bothers you is that it seem a bit... one sided. You aren't sure the orc is putting as much effort in this date as she is."
        "Just wish her luck":
            pc "You know her best. Anyway, good luck for your date, and have fun."
            $eveC.increaseMod(0, 20)
            "She's already back to prepare the dishes. Instead of replying, she only smile and nods, mainly focused on her cooking."
        "Tell her to relax":
            pc "You're doing quite a lot, don't forget to relax."
            eve "It's just... I don't want to disappoint her..."
            pc "You won't disappoint her with that, don't worry so much."
            eve "..."
            pc "Cheer up, you'll be great."
            $eveC.increaseMod(1, 20)
            "She smiles meekly before continuing her preparations."
            eve "Thank you, [pName]. I'll be alright."
    "You wave her goodbye as you leave to distribute the meals."
    scene innlobby
    show player at left
    "..."
    "Only two patrons asked if you hired a new chef, but only that high elf made a scene, so you count it as a success. If Eve is busy again, you'll be able to take over for the evening."
    "Or rather, the late evening. You were a bit overwhelmed with only so few meals, if you had to be the cook for a complete service, you'd have to ask Violet for help."
    "After bringing the cart back, you're heading back to your room when you pass by the private dining room where Eve and Rhoda are..."
    menu:
        "After bringing the cart back, you're heading back to your room when you pass by the private dining room where Eve and Rhoda are..."
        "Ignore":
            "You trust her and continue on your way."
        "Peek carefully":
            "Just a little peek won't hurt. And you're an ex adventurer, they won't see you..."
            "You approach the door and silently open it, just enough to hear their conversation."
            orc "... and that's it. But I'm a bit different, since I'm both..."
            eve "What role would you prefer then?"
            orc "I've never really thought about it, but I'd say male. What about humans?"
            eve "We try to reduce the differences. Some like to be their half of the pair, but most would rather be more individual."
            orc "What about you?"
            eve "I... I'm more traditional... like you are..."
            orc "After tasting your cooking and knowing you, you'd be a great mate."
            "A bit on the nose and reductive... You carefully peek inside to see how Eve reacts..."
            "She's clearly smiling. If she doesn't take offense to it, you shouldn't either, so you decide to leave them be and be on your way."
        "Check on them":
            "You knock at the door..."
            eve "Y... yes?"
            show evelyn at inright
            "Eve opens the door to see you, and before you have the time to say anything..."
            eve "[pNickname]? Do you need me for anything?"
            pc "No, no. I was just going back to my room and wanted to check if you needed anything."
            $eveC.increaseMod(2, 20)
            eve "Ehm... Rhoda, do you need anything more?"
            show rhoda at inright2
            orc "Nah, you got so much already, I'm good... or maybe a wheelbarrow to bring me back to my room {i}*laugh*{/i}"
            show rhoda at outright
            eve "Yes, no, we don't... need anything. Thank you [pName]."
            "She stays in the open door, waiting if you needed anything else, but feeling a bit awkward, you decide to leave."
            pc "Well, if that's all, I'll leave you two. Have fun tonight, and you can message me if you need me to bring you something, okay?"
            eve "Yes, thank you."
            "You walk back to your room a few doors further and it's only when you're in front of it that you hear the door closing."
            hide evelyn
    "As soon as you're back, you undress and lie in your bed..."
    "It's a bit strange. Eve is older than you, but you're still acting like she's your younger sister. And it feels weird to think about her dating someone."
    "Not bad, it's just... you almost thought her aromantic. She never seemed interested in anyone... Is she doing that because you asked her? It wouldn't be unlike her, but she seem genuine..."
    "No need to stress more about it, it's too late for today. If it looks that she wants out, you won't force her."
    "For now, let's just sleep. And dream..."
    $eveC.increaseRelation(0)
    return

label EvelynFriendship7: 
    play music eveC.music if_changed
    scene hallway
    show player at left
    show rhoda at right
    orc "Excuse me!"
    "You're gathering laundry to clean when Rhoda stops you in the hallway."
    orc "Is there something wrong with Evelyn?"
    pc "No? Why are you asking?"
    orc "I've asked her out a couple of times but she says she's too busy with work."
    "Work the last couple of days wasn't especially different from usual and she didn't ask you to take care of her chores."
    "She might be too embarrassed to ask or simply didn't want to go out with Rhoda."
    pc "I'll try talking to her later, she might be busy with something."
    "The orc stands still for a few seconds before replying."
    orc "Yeah, okay, thanks."
    show rhoda at outright
    "And she leaves. You're not sure what to think of it, you'll have to see with Evelyn."
    scene hallway
    show player
    "Everything is getting cleaned, it's time for your break and it'll be done for when you're back."
    "Remembering what Rhoda told you, you go to Evelyn's bedroom to check if she's there."
    "{i}Knock Knock{/i}"
    show player at toleft
    show evelyn at inright
    "She slightly opens the door before seeing it's you."
    eve "Oh, [pName], do you need anything?"
    pc "I just wanted to talk to you about something."
    eve "Ehm... Come inside."
    scene bedroom
    show player at left
    show evelyn at right
    eve "..."
    pc "So, Rhoda came to see me."
    eve "Ah, ehm..."
    pc "Is everything going well with her?"
    eve "..."
    "She's sitting on her bed, holding her hands together and seems uncomfortable, so you wait a moment for her answer, sitting down next to her."
    eve "It's..."
    eve "She doesn't like me..."
    pc "From what I've seen, that isn't true. What makes you say that?"
    pc "She said she asked to hang out with you but you said you were too busy."
    eve "Well... that's true, but..."
    eve "It's just because she's feeling lonely. And she only does it because you asked her."
    pc "Eve..."
    eve "I mean, why would she spend time with me otherwise..."
    eve "She'll leave as soon as she's able, anyway, so it's better if I stop annoying her at all."
    pc "Eve, did she tell you that?"
    eve "No but..."
    pc "Do you think she'd be the kind of person to hang out with someone she doesn't like?"
    eve "No..."
    pc "And did you ask to her about all that?"
    eve "No, I don't want to bother her more than I already am..."
    pc "{i}*Sigh*{/i} You're just assuming that."
    eve "W-well, it's true that I'm boring and she won't stay in town after the barrier is dispelled."
    pc "Let's split up the problem : why do you think she's hanging out with you rather than anyone else? She was looking for you earlier."
    eve "She doesn't have anyone else."
    pc "Yes, she's an orc and people often avoid them. But you don't and you don't treat her any different because of her race."
    eve "Yeah, but that's normal... you do the same, don't you?"
    pc "It should be normal but humans still have difficulties around other races. In addition to the Sleep making everyone more weary of strangers."
    pc "Sometimes, being nice is good enough. And you're nice and friendly with her. A bit cold, yes, but you're warming up to her, aren't you?"
    eve "..."
    pc "And for her leaving, you'll have to ask her about it. She has problems with her tribe, so she might stay here after or she might come back to visit later."
    pc "I can't help you with that, and you can't find out by ignoring her."
    eve "..."
    pc "I know it's hard for you, you try to come out of your shell and you're afraid, but you have an opportunity right here, seize it."
    pc "And even if she ends up leaving, it'll be an exercise for next time. After all, I'll still be here for a while, I'll help you again if you need it."
    eve "You'll stay?"
    pc "For a while, yes. I don't know yet what I'll do long term, but I won't leave immediately."
    "She sits in silence, thinking about what you just said."
    menu:
        "She sits in silence, thinking about what you just said."
        "Want me to call her?":
            $eveC.increaseMod(0, 20)
            pc "Want me to call her?"
            eve "No!"
            eve "No, I still need some time..."
            pc "Take your time, but don't avoid her too long."
            pc "And if she's too much, tell her directly rather than avoiding her, okay?"
        "She likes your cooking":
            $eveC.increaseMod(1, 20)
            pc "Plus, she really likes your cooking, she won't leave you like that."
            eve "{i}*Chuckle*{/i} Thanks, [pNickname]."
            pc "And don't forget to talk to her, okay?"
    "She nods and you get up."
    pc "I'll be going now, but don't hesitate to talk to me if you need anything, all right?"
    "She nods again, with a smile before you leave her room."
    $eveC.increaseRelation(0)
    return

label EvelynFriendship8: #If Melody is unlocked
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show evelyn at right
    "You just ended your shift when Evelyn comes up to you."
    eve "Ehm... [pName], could you... do you have a bit of time?"
    pc "Sure, you need something?"
    eve "Yes, ehm..."
    eve "Rhoda invited me to fish with her soon..."
    pc "Good for you! Did you agree?"
    eve "Well... yes, but ehm... could you come with us?"
    eve "Oh, I've asked Rhoda and she's okay with it."
    pc "I can, if you need it. I have some fishing experience from my travels."
    pc "But it might feel awkward for you if I'm here, are you sure?"
    eve "Ehm... You could... invite someone else?"
    pc "Okay, I might be able to find someone. When is it?"
    eve "Ah... ehm... now?"
    pc "Oh, that soon..."
    eve "Sorry..."
    pc "Don't worry, I'll call Melody to check if she's free. You're okay with her?"
    "She nods."
    pc "Good, you go ahead with Rhoda and we'll catch up. I'll also tell mom we might be a bit late."
    eve "Thank you, [pName]. We'll be at the lake."
    show evelyn at outright
    "Eve leaves to get ready and you cast a Call to Melody. She's happy to join the three of you."
    "You grab your fishing equipment and spare rod for Melody and pick her up at her place before going to the park."
    "On the way, you explain the situation to her."
    scene lake
    show melody at left2
    show player at left
    show evelyn at right2
    show rhoda at right
    "As you approach the lake, you easily find the huge orc sitting on the ground, waiting for a fish to bite."
    "Evelyn is sitting awkwardly on a sheet she brought, looking more at her companion than her cork."
    mel "Hey Eve!"
    pc "Hi Rhoda, we're here. Mel, don't shout."
    mel "Sorry."
    "When Evelyn sees you, she seems to relax a little"
    orc "Hi, take a seat."
    "You take place where Eve placed the other sheet. After explaining the basics to Melody, you join the other two in silence."
    "Rhoda seems fine sitting in silence, and Evelyn would be too if she wasn't distracted by her partner's presence next to her."
    "Of course, you're used to fishing, but someone else isn't really the silent type."
    mel "Hey, Rhoda right? Nice to meet you."
    mel "So, you're Eve's girlfriend?"
    "Evelyn jumped in surprise."
    if eveC.love > 0:
        orc "Yeah, but we're still getting to know each other."
    else:
        orc "We're friends."
    eve "Ehm... I..."
    mel "Oh, that's nice. She's a good girl, even if she's a bit shy."
    orc "I don't mind."
    "Eve seems to shrink as the other two are talking about her like she isn't there."
    mel "And what do you like about her?"
    orc "Humph..."
    "At first, it looked like she was avoiding to answer but looking at her, she's trying to find the right words."
    orc "I'm a bit rough, I like how attentive she is with me. She makes sure I eat well and listen to me whine or brag about stupid things."
    orc "I never have the impression that I bother her. And when she cooks, I love how proud she is of what she makes and it never disappoints."
    "Your sister's face is now completely hidden behind her hair as she sits completely motionless."
    if eveC.love > 0:
        orc "Plus, she's my type."
    mel "Yeah, I understand. She's great at taking care of people, and she's a good listener. You agree, right [pNickname]?"
    menu:
        mel "Yeah, I understand. She's great at taking care of people, and she's a good listener. You agree, right [pNickname]?"
        "She'd make a great mom":
            pc "Yes, she'd make a great mom."
            $eveC.increaseMod(1, 20)
            eve "Huh?"
            mel "Hahaha, yeah, she would!"
        "She's a great sister":
            pc "Yes, she's a great older sister. She often took care of me as a kid."
            $eveC.increaseMod(0, 20)
            mel "Yeah, I remember!"
    "The two of them continue talking about Evelyn, stopping from time to time to reel in a fish. They sometimes ask for your input, but mostly ignore Evelyn who sits there, in silence."
    orc "Eve, you have a bite."
    "Indeed, her cork is completely sunk and Eve jumps again as she fumbles with her rod."
    "Rhoda grabs her hands to help her grasp it, then calmly explain how to reel her catch."
    mel "Too bad she lacks the self-confidence to receive compliments."
    orc "It'll improve with time. She's working on it."
    mel "That's great, Eve!"
    "Seeing as she's still hiding herself, you decide to help her."
    pc "It's already late, we'll have to leave you soon. Mom's waiting for our help."
    mel "Already, but we're having fun!"
    orc "Yeah, it was nice, but do what you have to do."
    show evelyn at toleft2
    show melody at toright2
    "You gather your stuff as Melody grabs Rhoda's second rod. Seems like they'll continue for a while."
    pc "We're going, see you next time."
    orc "Sure, thanks for coming."
    mel "Bye!"
    "Evelyn grumbles something before leaving."
    scene park
    show player at left3
    show evelyn at left
    "You take advantage of the walk back home to talk to her."
    pc "So, you heard her."
    "She nods."
    pc "She likes you for your strong points, not just because you're the only option."
    "She still doesn't talk and you continue the way home in silence."
    scene innlobby
    show player at left
    show evelyn at right
    "Right after entering the inn, Eve stops you."
    eve "Thank you, for helping and..."
    eve "Could you... thank Melody, too... for coming?"
    pc "Sure, I will."
    show evelyn at outright
    "And she bolts towards her room."
    "You quickly message Evelyn's thanks to Mel before changing back to get back to work."
    $eveC.increaseRelation(0)
    return

label EvelynFriendship9: 
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show mother at right
    "You're about to take your break when your mom comes up to you."
    mom "Sorry, [pName], but could you give me a hand? A huge delivery came in from the capital and I need some help to bring it back and store it."
    pc "Sure, what can I do?"
    mom "Thanks. I'll take the cart to the barrier checkpoint, could you find Eve and Vi then make room in the storage before I'm back? I'll probably need to make a few back and forth."
    pc "Okay, any idea where Violet could be?"
    mom "She was supposed to be here to take your place at the reception..."
    pc "{i}Sigh...{/i} I'll look for her."
    scene hallway
    show player
    "You go straight to Violet's room but, as expected, she isn't there. You decide to ask Evelyn."
    show player at toleft
    show evelyn at inright
    pc "Eve, mom needs our help. Do you know where Vi is?"
    eve "Ehm... I think she's with a friend."
    pc "She should be here by now!"
    eve "I might be able to help..."
    pc "Yes, mom'll bring back a lot of supplies, so she'll need all three of us to take care of it as fast as possible. With Vi missing, it'll take even longer."
    eve "Oh... Maybe I could... no..."
    pc "Hmm? What did you want to say?"
    eve "W-well... maybe I could ask Rhoda? She said I could call her if I needed help..."
    pc "Yeah, that'd be a good idea."
    eve "But she might be busy..."
    pc "Just ask her, she'll tell you if she can't come."
    eve "O-okay..."
    pc "I'll head to the storage room first, join me when you can."
    scene innlobby
    show player
    "There are a lot of empty boxes to move out, in addition to crates and expired foods. You start sorting what to keep and what to throw."
    "You throw everything to trash in a particularly big crate and move the rest to save space for the delivery."
    "..."
    show player at toleft
    show evelyn at inright
    show rhoda at inright2
    eve "We're here."
    orc "Hey."
    pc "Thanks for your help. I've sorted most of it, could you pick up what's in that and move it to the trash room."
    orc "Sure..."
    show rhoda at toright3
    "Rhoda picks up the crate full of thrash as if it weighed nothing."
    orc "So, where's the trash room?"
    eve "I-I'll show you."
    show evelyn at outright
    show rhoda at outright
    "You knew orcs were strong, thanks to Raz, but since she's an adventurer, you assumed it was because of her training."
    show mother at inright
    mom "Ah, there you are. Have you found your sisters?"
    pc "Vi's missing, but Eve asked Rhoda to help, instead."
    mom "Rhoda? Okay, if you're sure, I don't mind. Can you help me empty the cart, I'll go back for the next batch."
    "On the way, you send a message to Evelyn to tell her where you are."
    show mother at toleft2
    "The cart is completely full of boxes and they are quite heavy. You have to pay attention to your balance or you might fall or hurt your back."
    show evelyn at inright2
    show rhoda at inright
    "You are still piling everything up on the ground when Eve and Rhoda show up."
    orc "Leave them to me."
    "And again, she grabs the boxes with a single hand."
    mom "Wow, you're quite strong, miss."
    orc "Ahem, thanks..."
    "With her help, the entire cart was empty in a couple minutes."
    mom "That was fast. I'll go and pick up more, could you bring all those in the storage? Eve knows how to sort everything."
    pc "Okay, mom."
    show mother at outleft
    "Eve and you pick up a box each while Rhoda carries three of them at once. In three trips, everything is brought over."
    "And in the storage, you don't have much room to move so Rhoda takes care of putting the boxes where Eve tells her to."
    show mother at inleft2
    "All in all, you even have time to spare before your mother comes back with more."
    "And after two more trips from her, you're done."
    mom "Thanks, you three, you were a huge help."
    pc "We didn't do much, Rhoda took care of most of the work."
    mom "Yes, huge thank you to you, Rhoda."
    orc "Well, Evelyn asked for my help, and it wasn't much."
    show mother at toleft3
    mom "Still, here..."
    "Your mother handed her a few gold coins."
    orc "Oh, but I didn't..."
    mom "Shush, I'd have offered you supper, but you already eat here... you're welcome to eat with us, too, if you want."
    mom "And thank you, Eve."
    eve "Why?"
    mom "You know why..."
    "She smiled at her daughter before leaving."
    "All four of you end up eating supper together, and Violet gets annoyed when her place at the table is taken by the guest."
    $eveC.increaseRelation(0)
    return

label EvelynFriendship10: 
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show evelyn at inright
    show violet at left2
    "You're at the end of your shift, talking with Violet about what happened today, when Evelyn comes by."
    eve "Hi, [pName], could you... ehm... come by my room when you're finished?"
    pc "Hey, sure. You need help with something?"
    eve "No, j-just make sure you don't forget, okay?"
    vi "Should I come too?"
    eve "O-oh... ehm... You don't need to..."
    vi "Hmmm... Okay."
    eve "I-I'm going..."
    show evelyn at outright
    vi "What was that?"
    pc "No idea..."
    scene hallway
    show player
    "After quickly finishing up with Violet, you head to Evelyn's room."
    "{i}Knock knock...{/i}"
    eve "Come in!"
    scene bedroom
    show player at inleft
    show evelyn at right
    "You enter her bedroom, it's tidy, as usual, but you see a big chocolate cake decorated with strawberries on her desk."
    pc "Is it anyone's birthday?"
    eve "N-no, it's... it's for you."
    pc "For me? Why?"
    eve "I-I just wanted to do something to thank you, and I remembered you liked that kind of cake when we were young, so..."
    pc "Wow, thanks!"
    eve "You're welcome..."
    eve "Wait, it was me who wanted to thank you! You're always helping me, since I'm such a mess..."
    eve "But I'm getting better, now. I eve made a new f-friend!"
    pc "You did all the work, I was just there to give you a little push."
    show violet at inleft2
    vi "Hey, what's happening in here?"
    show violet at toleft3
    vi "Oh, cake!"
    eve "Violet! It's for [pName]."
    vi "Oh, come on, it's too big for one!"
    eve "Y-yes... but I made it for her, so..."
    "They both look in your direction."
    menu:
        "They both look in your direction."
        "Share it":
            $viCount += 1
            $tmp = True
            $eveC.increaseMod(1, 20)
            pc "Vi's right, it's big enough to share between us three."
            show violet at toleft2
            vi "Yay!"
            eve "O-okay, if it's what you want."
        "Hard workers only":
            $viCount -= 1
            $tmp = False
            $eveC.increaseMod(2, 20)
            pc "Sorry, Vi, it's for hard workers only."
            vi "Tch... Killjoy..."
            eve "S-sorry Vi, it's a gift for her..."
            vi "Yeah, yeah, I'm leaving..."
            show violet at outleft
            eve "O-okay, do you want to eat some now?"
            pc "Sure, but you'll have some with me, won't you?"
            eve "If you want, yes."
    "Evelyn picks up some plates, forks and a knife she prepared in advance and cuts a slice for each of you."
    eve "Okay, I hope it's good."
    pc "I'm sure it is, everything you make tastes great."
    "And you aren't disappointed, it has a layer of sweet strawberries inside complementing perfectly the bitterness of the chocolate."
    pc "It's delicious, Eve!"
    "She doesn't answer but you can see a faint smile as she eats, showing she is happy with it, too."
    if tmp:
        vi "Yeah, can I have more?"
        eve "Vi, don't be greedy..."
    pc "I'll keep some to share with mom and dad, and keep a slice for tonight. Thanks Eve."
    "Once again, she stays silent, but seems genuinely happy about it."
    pc "I'll be going now, I have to keep it fresh for later."
    eve "Thank you again, [pName]."
    if tmp:
        vi "Yeah, thanks for the cake!"
    $eveC.increaseRelation(0)
    return


#Love
label EvelynLove1:
    play music eveC.music if_changed
    scene innlobby
    show player at left
    "You're getting bored at the reception. Nobody needed your help today, you already cleaned up anything your could think of and even the High Elf was in a good mood, not giving you anything to do."
    show margaret at inright2
    "So when Margaret comes through the entrance, you perked up and tried to get her to save you for the emptiness that was this shift."
    pc "Hi, Margaret. Up to something? You're not going out very often."
    show margaret at toright3
    "She quickly closes the distance between the two of you in a way that almost felt predacious, then said in a low voice..."
    mar "Hello, [pName]. What do you mean? Am I someone suspicious?"
    if margaretDom > 0:
        pc "You know what I mean..."
    else:
        pc "Ehm... no, no, that's not what I meant... I..."
    show margaret at toright
    mar "{i}Laughs{/i} I'm just joking, don't worry. I wasn't doing anything, this time."
    pc "This time?"
    mar "Well, I am often curious and I have the means to snoop around without anybody knowing it, so I often do."
    pc "Please, don't do anything weird..."
    mar "I don't. The only things I do are collecting information and making sure our friends are kept out of danger."
    pc "Out of danger? You're talking about other succubi?"
    mar "Among other things, they aren't the only ones. For example, you sent your sister on a date with an orc you barely knew, it could have become dangerous for her."
    pc "Evelyn and Rhoda? They were in town, what's the worse that could have happened?"
    mar "You know the orc has the ability to dream dive, she could use it as you do and manipulate her, if she wanted."
    "You... didn't really think about that. Yes, Rhoda seemed nice, but it was still a risk for Eve..."
    pc "I'd better ask them to stop. Did she do anything to Eve?"
    mar "{i}*Chuckle*{/i} Don't worry, she was completely cordial. She never tried to dive into her dream, and the Maid would have protected her anyway."
    mar "But... I still spied on their date. You know, just in case the orc tried something you wouldn't appreciate, but she was a gentlewoman the whole time, nothing bad to say about her."
    pc "I... Thank you, Margaret. I wanted to give them some space, even though I was a bit worried."
    mar "Don't worry, the only thing noteworthy is that your sister shared a kiss with the orc, nothing more."
    "You're relieved, but hearing about the kiss still made you twitch. You can't help but want to protect her, even if she's older than you."
    mar "All your friends will be kept safe from outside forces as long as I'm here."
    $showUnlockExtraScene(1)
    mar "As I said, I keep an eye on them."
    "She had a mischievous smile when she said that. You're still not certain how much you can trust her. Is she doing that just to tease you or was there more...?"
    $eveC.increaseRelation(1)
    return

label EvelynLove1Extra:
    play music pCharaDB["Evelyn"].music if_changed
    scene street
    show margaret succubus at left2:
            alpha .3
    show evelyn at left3
    show rhoda at right
    "I was following Evelyn and Rhoda as they went out to a restaurant. I used my succubus abilities, some kind of invisibility and heightened senses, to stay undetected wherever I go in the waking world."
    "Rhoda was a futa, which was strange since I didn't detect any demonic presence in her and I didn't think she'd be a descendant from human nobility. I'd have to look into orc futas at a later date."
    "Their date was quite boring. The orc ate or talked about herself and her clan, meanwhile the human was mostly listening, nodding every once in a while."
    "Her emotions are always hard to feel, but she didn't feel bored but submissive, like she was ordered to be there by [pName], so she went without questioning it."
    "On the other hand, the orc felt happy. Mainly because she was now allowed in the city without having everyone being on their guard around her, but also because of Evelyn."
    "I could feel a great attraction towards her companion. From what I know of the orcs, they liked their females with a bit of meat on their bone and great tits, especially for humans."
    "And Evelyn didn't feel as artificial as other humans : she didn't use make up and her messy hair always make her look a bit more unkempt, which seemed to be something Rhoda liked."
    "I was thinking that if nothing interesting happened, I'd stop watching them. The orc didn't seem dangerous, at least during the day, and wouldn't be able to do much in town."
    "That was until she invited the maid to her room and that had me intrigued : how far would they go? Orcs usually don't ask for permissions and take what they want. But here, in town and in the inn, I doubted that she would go that far."
    orc "Come on, let's get back. I have some homemade brews that I'm sure you'll love."
    eve "Oh, but I have to..."
    orc "You can't say no when offered booze, come on."
    show evelyn at toright3:
        xzoom -1
    show rhoda at right:
        xzoom -1
    "Her protests were so meek that I'm sure the orc didn't even register them as she grabbed her arm and pulled her out of the restaurant."
    "Rhoda pulled her the whole way without care and Evelyn had to walk quite quickly to keep up with her without falling. I almost wanted to take pity on her and stop them."
    scene innlobby
    show margaret succubus at left2:
            alpha .3
    show evelyn at right3:
        xzoom -1
    show rhoda at right:
        xzoom -1
    show violet at inleft3
    "They entered the inn and passed by the youngest sister as she laughed at their display."
    vi "Come on, ogre, keep up with your master."
    show evelyn at right3
    eve "{i}*Pant, Pant*{/i} Vi, stop it..."
    vi "What? Don't want to hear the truth befo..."
    show evelyn at toright
    show rhoda at toright3
    "She was interrupted by the orc's dark glare directed right at her."
    orc "Don't talk to her like that, or I'll show you how weak you really are."
    vi "*Tch*"
    show violet at left3:
        xzoom -1
    "She looked away, not wanting to taunt someone who wouldn't hesitate to kick her ass."
    "After that, they walked towards the orc's room. She was still holding Evelyn's hand, but was more attentive to her speed and slowed down for her."
    scene bedroom
    show margaret succubus at left2:
            alpha .3
    show evelyn at left3
    show rhoda at right
    eve "Thank you... with Violet."
    orc "{i}*Grumble*{/i} I just don't like her. She calls you names but never does anything. In my clan, she'd have been kicked out a long time ago."
    eve "Ehm..."
    "Strangely enough, I could see that she didn't like how Rhoda talked about her sister, but didn't know how to tell."
    orc "Anyway, do you want a drink? I promised you one."
    eve "No... it's okay. I have to get back to work, I've been gone for a while."
    orc "Oh... okay, but before you go..."
    show rhoda at toright3
    "She then grabbed her and started a real, deep kiss. It was filled with hunger and possessiveness, as if she was trying to make Evelyn hers."
    "After a long time for a kiss, the orc opened her eyes and seemed to realize what she was doing, then quickly stopped kissing, leaving Evelyn stunned."
    orc "Ehm, sorry about that, I didn't mean to... I'll just go."
    show rhoda at toright:
        xzoom -1
    eve "No, wait!"
    show evelyn at toright3:
        xzoom -1
    show rhoda at right
    "In a move that surprised even me, the shy girl rushed to lock their lips back together. The kiss was amateurish but the feelings were there."
    eve "Thank you, for spending time with me."
    show evelyn at outright
    "She left immediately after, running in the hallway whilst looking at the ground."
    "Well, that's a start to their relationship, I wonder how it'll evolve... if it does."
    return

label EvelynLove2:
    play music eveC.music if_changed
    scene innlobby
    show player at left
    "As usual, you spend your shift waiting at the reception without much to do. You're only there in case a client needs something, and that doesn't happen often."
    show evelyn at inright
    "But today, there is something strange. You see Evelyn going back and forth carrying sheets or cleaning products."
    pc "Eve, do you need help with anything? You look quite busy today."
    eve "No, I'm all right."
    show evelyn at outright
    "And she leaves immediately... well, even if she says that, you might have to help her, somehow."
    "But as you are thinking about her, someone comes to wait in the lobby. It was Rhoda, the orc."
    show rhoda at inright2
    "She simply nods to you and sits down in one of the couches, seemingly waiting. Might as well go talk to her, that'll keep you busy."
    show evelyn at inright3
    show evelyn at outleft
    "Just as you get around the counter, you see Evelyn dashing in your direction, head lowered, and dodge her swiftly. She doesn't even seem to have seen you and continues on her way."
    pc "Be careful, Eve, you almost ran into me."
    show rhoda at toright
    orc "Sorry, I think it might be because of me."
    pc "How so? She's been a bit strange today."
    orc "Yeah, I asked her to go out together, and told her to free up her evening. She didn't want to ask you to do it, so she does all her work before."
    pc "She could have just told me... she didn't even say that she'd be out today."
    orc "About that..."
    "Rhoda seems a bit uncomfortable."
    orc "Last time we went out together, something happened... I... kissed Evelyn."
    "You almost answered that you already knew, but that would have made it awkward."
    pc "Ehm... good for you? I mean, if she agreed, there's nothing wrong to it."
    orc "I just wanted to ask if it was alright with you if Evelyn and I were dating. I don't really know how humans usually do it, it might be too fast for you, or because I'm an orc..."
    menu:
        orc "I just wanted to ask if it was alright with you if Evelyn and I were dating. I don't really know how humans usually do it, it might be too fast for you, or because I'm an orc..."
        "Approve":
            pc "Sure, but don't pressure her too much. I don't want her to feel pressured into it."
            $eveC.increaseMod(1, 20)
            "She looks surprised, but happy to hear it."
            orc "Of course. I know I can be a bit too direct, but I'll be extra careful."
        "Not sure":
            pc "I'm not sure... she might give in just because I asked her to spend time with you, and I don't want that to happen."
            orc "I think you're a bit too overprotective with her. She can do the difference. Yes, she gives in easily when I ask her to do something minor, but a relationship is more than that."
            orc "For her, you, her family and the inn will always come first. I don't think she would agree to date me if she didn't want to, it would take time away from those she wants to help."
            "You know she isn't a child and can make her own decisions... but it might be too fast and even if you're not against her dating an orc, you know of the way they date is more direct than humans..."
            menu:
                "You know she isn't a child and can make her own decisions... but it might be too fast and even if you're not against her dating an orc, you know of the way they date is more direct than humans..."
                "Relent":
                    pc "Okay, okay, I'm just a bit worried. If she wants to, you two can date."
                    orc "Great, I won't disappoint you."
                    "It's true you kind of feel like her mom, right now. Even if she's the older sibling, you feel like you have to protect her."
                "Stop it [i_break]":
                    pc "It's just... no. Not right now, with everything that's happening. She had the Blissful Sleep until not long ago, we're confined under the barrier, it's not really a good time. You're going too fast."
                    "She looks a bit disappointed."
                    orc "Okay, you know best. We can still hang out, right?"
                    pc "Sure, and when the situation calms down, we'll talk it over."
                    orc "Yeah, I really want it to work, so I'll make an effort until then. I'll still take her out to eat today, but it won't go any further."
                    "You feel a bit guilty, but right now isn't a good time for a relationship, with all the succubi around."
                    "Some time later, Evelyn comes and the two of them go out on their friendly date."
                    $eveC.increaseMod(2, 100)
                    $eveC.love = -1
                    $renpy.notify("You prevented Rhoda from hitting on Evelyn [i_break]")
                    return
    show evelyn at inright3
    "You spend the remainder of your shift talking with Rhoda, who seems full of energy and ready for her date, until a red faced Evelyn comes to you."
    eve "I'm ready, we can go."
    orc "Great, I found this small restaurant making elven cuisine. I've never tried it before, I always thought they didn't eat meat, but they do. It smelt great and full of spice."
    eve "Do you come with us, [pName]?"
    pc "No, I'll leave you with your date. We were just making conversation. Have fun, you two."
    "You try your best to read what Evelyn is thinking, but you can't. Which is a relief, if she didn't want to go alone, you're sure you'd have seen something from her."
    $showUnlockExtraScene(1)
    $eveC.increaseRelation(1)
    return

label EvelynLove2Extra(lust):
    play music pCharaDB["Evelyn"].music if_changed
    scene innlobby
    show margaret succubus at left2:
            alpha .3
    show player at left
    show evelyn at right3
    show rhoda at right
    pc "No, I'll leave you with your date. We were just making conversation. Have fun, you two."
    "I passed by just as Rhoda was asking permission from [pName] to date her sister. That's cute, it reminded of old times."
    scene street
    show margaret succubus at left2:
            alpha .3
    show evelyn at left3
    show rhoda at right
    "I still kept an eye on them, but as expected, nothing interesting happened. The orc seemed to become more attentive of her date and the human spoke a bit more about herself."
    if lust >= 2:
        "The only thing out of the ordinary that happened was when Evelyn went to the bathroom."
        "A girl grabbed her out of nowhere, started groping her and told her she'd have a better time with her than with a dirty orc."
        "Eve's resistance started to melt but I quickly intervened with a subtle lust drain and the molester left, excusing herself."
    "The night came slowly : I stopped listening to them and looked around for something that'd distract me until they finished but with little results."
    "As the restaurant was closing, I went back to the couple and found that their conversation had almost stopped. I recognized the sign of two persons wondering how to go to the next step."
    "They went back to the inn almost in silence."
    orc "So... when we're back, do you want a drink or... I don't know?"
    eve "Can we take the service entrance? I think it's Violet at the reception and I don't want to hear her when we pass by her."
    orc "Yeah, sure."
    scene innlobby
    show margaret succubus at left2:
            alpha .3
    show evelyn at left3
    show rhoda at right
    "She showed the orc the side entrance but stopped in the hallway."
    eve "Your room is that way but... could we go to mine?"
    orc "Yours? Isn't it close to your family's?"
    eve "Yes... but I'd feel more at ease."
    "They silently went to the family's quarters, and I slightly helped dampening their footsteps to her room. She was brave enough to ask to do it there, I'll make it so she won't be disturbed."
    scene bedroom
    show margaret succubus at left2:
            alpha .3
    show evelyn at left3
    show rhoda at right
    "But once inside her room..."
    eve "..."
    orc "..."
    "I could feel their lust and anticipation, but neither of them took the first step. Rhoda in particular was trying her best to continue whilst containing her instinct to push her down and take her."
    eve "Do you want to... continue where we left off?"
    orc "Okay."
    show rhoda naked
    "The orc quickly stripped down but Evelyn was taking her time. She was quite anxious about it, even if she was trying her best to hide it."
    orc "Before we start..."
    scene evelyn1-1
    "She went close to Evelyn who was still wearing her panties and layed her on the bed."
    orc "I see you're not sure, but I was thought something that would help."
    "She gently grabbed her breast and massaged it slowly."
    orc "If you want me to stop what I am doing, just tell me \"Quit it\" and I'll stop."
    eve "Yes..."
    "She started groping her with a bit more strength, but nothing hurtful."
    orc "Now, you need to tell me to stop."
    eve "It's okay... I trust you, you can..."
    orc "No, you have to. Even if you think you trust me, you might not completely. Just asking me to stop will help. Try it."
    eve "Okay..."
    "The groping became more intense, her thumb was teasing her nipples and her second hand went to her clit. Evelyn seemed quite stiff."
    eve "Qui... Quit it..."
    "At that exact moment, Rhoda quietly removes her hands and let Eve go. She seemed a bit surprised and slowly relaxed. I didn't know orcs had lessons about how to be a good domme."
    eve "Th... thank you."
    orc "See, you weren't sure. Now, if you feel uncomfortable, just tell me, okay, I won't be sad or mad."
    eve "Yeah."
    "After that, she started to undress with more confidence and Rhoda gently pulled her on the bed."
    orc "Ready? I'll start..."
    scene evelyn1-2
    "Eve nodded and Rhoda started to thrust slowly, really paying attention to her lover."
    "They were more quiet than I expected. Evelyn seemed to enjoy it but still had some apprehensions and Rhoda was taking care of her the whole time..."
    "It was quite boring to watch, but it was also quite wholesome... without knowing, they made me feel like the perverse voyeur that I was, encroaching on their private time."
    "After an hour of slow, languorous sex, I had to hold myself back to use magic to make it more interesting for me, but Rhoda was looking like she was coming to an end."
    orc "I'll have to pull out soon."
    eve "You can... I have..."
    orc "It's okay."
    scene evelyn1-3
    "She came a decent amount on her stomach. It looks like she could have another go but chose to stop there."
    "They spent some time enjoying the moment before putting their clothes back on."
    scene bedroom
    show margaret succubus at left2:
            alpha .3
    show evelyn at left3
    show rhoda at right
    orc "So, how was it."
    eve "It was nice..."
    orc "Nice, heh. You didn't seem to really be into it. I could have stopped, if you had asked."
    eve "No, it was good, but..."
    orc "But?"
    eve "But you were holding back to, not really enjoying it..."
    orc "{i}*Smirk*{/i} Yeah, I didn't want to scare or hurt you for our first time."
    eve "I think... I think I'd have enjoyed it more if you didn't..."
    orc "Is that so? Then, next time, I'll be a bit rougher."
    eve "I'd like it... I think."
    if lust >= 2:
        "Knowing her, she enjoyed being treated like a sex toy, so she probably would love being with a partner more selfish..."
    show rhoda at outright
    "After making sure she was okay and cleaning her up, Rhoda left Evelyn's bedroom for the night."
    "It was instructing. I never saw how more modern and civilized orcs were faring nowadays..."
    "I had I still had in my mind this image of the dominating orc taking their females and making them fall for them with their big cock and rough sex. I guess it was ignorant of me to fetishize an entire race like that..."
    return

label EvelynLove3:
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show evelyn at right
    eve "Ehm, [pName], do you... have a moment?"
    pc "Sure Eve, what's up?"
    eve "Could you... help me with something? Ah, and without telling mom or dad... if possible..."
    pc "What happened? Is it something serious?"
    eve "No!... It's... you're quite handy... could you help me repair... my bed...?"
    menu:
        eve "No!... It's... you're quite handy... could you help me repair... my bed...?"
        "Why so secret?":
            pc "Sure, but why should it be kept secret?"
            $eveC.increaseMod(1, 20)
            "She blushes and mumbles."
            eve "It's last night... with Rhoda... a bit too rough..."
        "Don't question her":
            $eveC.increaseMod(0, 20)
    pc "Sure, let me take a look."
    scene bedroom
    show player at left
    show evelyn at right
    "You go to her room, lift her mattress and see that five of the bed slats are broken."
    pc "It's an easy fix, I'll go get some from storage."
    eve "But... mom'll find out..."
    "The inn had a few items stolen at one time (you suspect Violet), so your mother now asks to write what you use the replacement parts for when you need them."
    pc "{i}*Chuckle*{/i} Don't worry, it happens. I'll go fetch some and write them for my room. She won't ask more question, and if she does, I'll find an excuse."
    eve "... I'm sorry."
    pc "It's no problem, Eve. Be right back."
    scene innlobby
    show player at left
    "A quick trip to the storage room, you find the bed slats and log them for \"[pName]'s room\". Then you walk back to Evelyn."
    scene bedroom
    show player at left
    show evelyn at right
    "It was quite easy and only took a few minutes to replace them. Eve would have been able to do it herself if it was a client that asked, but she felt too ashamed to think calmly."
    pc "And done."
    eve "Thank you, I'm sorry you had to help me for this..."
    pc "Hey, Eve, I'm here for you, if you need anything, okay? Be it something serious and important or something stupid like this... don't forget."
    eve "Yeah, thanks..."
    "She let out a small smile and you leave to get rid of the broken wood pieces."
    $showUnlockExtraScene(1)
    $eveC.increaseRelation(1)
    return

label EvelynLove3Extra:
    play music pCharaDB["Evelyn"].music if_changed
    scene innlobby
    show margaret succubus at left2:
            alpha .3
    "I was doing my rounds invisible around the inn when I perceived a rush of lust coming from nearby."
    "Taking advantage of the opportunity, I went towards it to feed off it, as I sometimes do. I found myself in front of Evelyn's room."
    scene bedroom
    show margaret succubus at left2:
            alpha .3
    show evelyn at left3
    show rhoda at right
    "I passed though the door using my magic, they were halfway undressed, ready to do the deed."
    orc "You're sure about it?"
    eve "Y... yes..."
    orc "Okay... If it gets too rough, tell me, but be careful... we orcs are often a bit too into it, but I'll do my best to hold back."
    eve "No, you... don't have to..."
    orc "What do you mean?"
    eve "You don't have to hold back..."
    orc "But what if I hurt you?"
    eve "I'll be okay..."
    "There was some apprehension in Rhoda's eyes."
    eve "I know you want to be rougher, and I won't be enough if you continue to hold back for me, so you can do it."
    orc "If you're sure... let's try it, then."
    show evelyn naked at left3
    show rhoda naked at right
    "They finished undressing and Evelyn lays down on the bed."
    orc "Could you get on your hand and knees? It'll be easier that way."
    eve "Oh, you mean d... doggy style?"
    orc "We call it like beasts, but yes, like that."
    show evelyn naked at toright3
    "Eve got into position and the orc went behind her. As she grabbed her waist, I could see the cute sub shudder a little in anticipation."
    "Even if she said she'd go all out, Rhoda started slowly. She penetrated her lover with care. After that, she leaned forwards to whisper something."
    orc "If your Shield breaks, tell me immediately. That's quite important."
    "Then she stood back up and asked..."
    orc "Last chance to back out, I won't ask anymore after this : Ready?"
    "With a small but decisive nod, Eve sealed her fate."
    "Rhoda started thrusting slowly but quickly picked up the pace. She had a good rhythm, but was clearly still holding back."
    "They quickly started to make some noise, and even if this part of the inn wasn't busy at that time, I still casted a small silence spell around the room."
    orc "You're enjoying it, I can feel you tighten up."
    eve "{i}*Small moan*{/i} Yes, I like it..."
    orc "Ready for me?"
    eve "{i}*Nod*{/i}"
    "At that instant, Rhoda came as deep as Evelyn's Shield allowed her."
    eve "{i}*Pant*{/i} But I didn't..."
    orc "Do you think I'm finished?"
    "And they went back at it again. The orc became more forceful, she pulled back Eve's butt towards her which made her fall face first in the pillows."
    orc "Heh! Next round!"
    "It seemed that seeing her partner vulnerable triggered her wilder side and she started pounding."
    "Evelyn was trying to stand back up on her arms, but the rough movements of the orc prevented it."
    orc "You wanted an orcish breeding session, huh? You're gonna have it!"
    "As she thrusted her hips forwards with strength, she also pulled Eve's waist towards her, going as far as she could."
    "It seemed that the chubby sub loved it, she was slightly trembling and her moans became louder."
    orc "Enjoying it?"
    "Evelyn's face was burried in her cushion, muffling her answer."
    orc "Can't hear you, but I can feel your pussy tightening non-stop. How many times did you come?"
    "I wasn't sure if she even heard the question..."
    "Soon after, a louder moan came out of the cushions. Evelyn's legs gave out and she fell flat on the bed."
    "But that didn't stop Rhoda, she continued as if nothing happened and only stopped moving to empty her load deep inside."
    "She then let herself fall on her lover, just taking a few minutes break before getting back to it."
    orc "Okay, third time!"
    "I could see that she was getting a bit tired, her technique was declining, coming down to lifting her butt as high as possible then using gravity to give it more strength."
    "Still, it was quite effective. It could have been a bit dangerous; fortunately, Eve was wet enough to take it in one go."
    "But as they went, I could hear the bed creaking in pain, until..."
    "{size=60}{i}*Break*{/i}{/size}"
    "They both immediately stopped, the middle of the bed had just collapsed under them."
    show evelyn at toleft3
    "Rhoda wasn't moving anymore, but Evelyn slowly crawled from under her and tried to stand up on wobbly legs, holding herself up as she could."
    eve "We... we broke the bed!"
    orc "Sorry... my bad... I got too into it..."
    eve "Ah! What should I do? I can't tell mom..."
    orc "Sorry... I'm... {i}Zzzzz{/i}"
    "They were both quite exhausted, but Evelyn started panicking. She tried waking Rhoda up, but she wouldn't move."
    "Seeing as she was tearing up in distress, I used a small suggestion spell to make her calm down and call [pName] for help...\nI didn't want her to break down."
    eve "Ah!... Rho, could you go back to your room, please?"
    orc "{i}Mhhh{/i}"
    show rhoda at toright3
    "The orc stumbled out of the bed, still only half-conscious."
    eve "Don't forget your clothes!"
    eve "I'll go look for [pName], she'll be able to help... I hope."
    show evelyn base at left3
    show rhoda base at right3
    "They got dressed as they could and Eve pushed her lover out of her room before looking for her sister."
    return

label EvelynLove4:
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show evelyn at right
    "You're about to leave the inn when you spot Evelyn sitting in the lobby, absentmindedly looking out of a window."
    pc "Eve, is everything okay?"
    eve "Oh, [pName]! Y-yes, I was just thinking..."
    pc "About what?"
    eve "{i}Ehm...{/i} Rhoda..."
    "She blushes a little."
    menu:
        "She blushes a little."
        "That's cute":
            pc "{i}Heh,{/i} that's cute."
            $eveC.increaseMod(0, 20)
            eve "Don't laugh..."
        "Something kinky?":
            pc "Thinking about something kinky?"
            $eveC.increaseMod(2, 20)
            eve "{i}Eh?{/i} N-no! It's... it's not like that!"
    pc "Don't worry, I'm just joking."
    $showUnlockExtraScene(1)
    eve "We talked about something important... it's complicated for me, I don't know how to react..."
    "She turns her head towards the window, she doesn't seem to be too open to give more details."
    pc "If you need my help or my opinion, don't hesitate to ask."
    eve "Thanks... but it's something I have to decide by myself, this time."
    pc "That's okay, I'm sure you'll manage. Just... everything all right?"
    eve "Y-yes, there's nothing you need to worry about."
    pc "Good! I'll leave you to it, then. I'll be back in a couple of hours, I have a couple things to buy for my training."
    eve "Okay, see you later."
    eve "Oh, and sorry for being late earlier..."
    pc "What do you mean?"
    eve "Earlier, when I didn't have time to prepare everything when you started your shift."
    "You didn't even notice..."
    pc "Oh.. that... yeah, no problem, don't worry about it."
    "She doesn't seem too bothered, so you decide to leave it to her and go do your shopping."
    $eveC.increaseRelation(1)
    return

label EvelynLove4Extra:
    play music pCharaDB["Evelyn"].music if_changed
    scene innlobby
    show margaret at left2
    show rhoda at right2
    show evelyn at right3
    "I was quietly having a meal at the inn's restaurant when I saw Rhoda come in. It wouldn't have usually bothered me but she stood near the entrance, looking around until she saw Evelyn."
    show evelyn:
        xzoom 1
    show rhoda at toright
    "She walked straight up to her, decisively and without looking away from her."
    "I listened attentively to their conversation."
    orc "Eve, there's something I wanted to talk about. Could you come to my room?"
    eve "{i}Oh...{/i} Is... is there something wrong?"
    orc "No, no, that's not it. I'll wait for you, don't be too long."
    show rhoda at outright
    "And with that, she left."
    "My curiosity was piqued, so I used a bit of magic to follow her."
    scene bedroom
    show margaret succubus at toleft2:
        alpha .3
    show rhoda at left
    "In her room, Rhoda was pacing back and forth. A weird feeling came out of her, part lust, part... something else."
    "{i}*Knock knock*{/i}"
    orc "Yeah, come in!"
    show evelyn at inright
    eve "I-I'm here..."
    orc "Good..."
    "They stood there, looking at each other without a word."
    eve "Did you call me to... you know..."
    "Saying so, she starts to remove her dress."
    orc "No, not now... I wanted to ask you if you... wanted to make it... us official?"
    eve "{i}Ehm...{/i} do you mean m-ma-marriage? I-isn't it too fast?"
    orc "N-no, not yet, let's start with... how do humans say... girlfriend?"
    eve "Oh, weren't we... already?"
    orc "What? Did we do the human ritual? You didn't warn me."
    eve "W-well, we don't really have a ritual for that. When two person decide to be together, they just are, no need for more."
    orc "But how do others know you are already taken?"
    eve "We just... tell them?"
    orc "..."
    eve "How do you do in your tribe?"
    orc "For the ritual of assertion, the dominant takes her submissive to the central area and fucks her in front of everybody."
    eve "In public?"
    orc "Yeah, sex for us isn't taboo like for humans. We don't hide ourselves to do it but doing it there shows who the sub belongs to."
    eve "That's strange... does that mean they can't date anyone else after that? If they show they're taken..."
    orc "Doms don't have to be exclusive, they can have multiple subs if they can keep them. And for subs, if they are fucked by another dom in front of the tribe, they are their new dom."
    eve "It's quite different. A-and for m-marriage?"
    orc "That might sound weird to you..."
    eve "I'm interested to learn about it."
    "And quite a bit horny from what I feel."
    orc "The wedding ritual is more for reproduction than yours. And, once again, doms aren't limited to a single wife."
    orc "When they want to marry their sub, they go see the chieftain. After the shaman confirms the woman isn't pregnant, the shemale has the right to fuck their partner once the first morning."
    orc "After that, the chief takes her to her place and breeds her for a whole week. If the chief impregnates the woman, it shows the dom couldn't claim her wife and the ritual fails."
    orc "If she isn't, they are allowed to get married, and if she gets pregnant by her shemale, their marriage is considered blessed."
    orc "Of course, spells like the Shield is forbidden, and futas like me can be both roles, depending on their partner."
    "As Rhoda explained, I could spot Evelyn's arousal increasing, imagining herself in the role of the sub, I assume."
    eve "That sounds... interesting..."
    orc "And how are human weddings? I couldn't find much except for the dress..."
    eve "Y-yes, the women often get a beautiful long white dress and shemales a stylish costume."
    orc "That's a good start."
    eve "Then, some person of influence makes it official and they have a party."
    orc "And... no sex?"
    eve "W-well, the couple spends the night together..."
    orc "A bit tame for my taste... but the party sounds nice."
    eve "Y-yeah..."
    orc "So... I take you're interested in our traditions?"
    eve "M-maybe a bit..."
    orc "So your answer is yes?"
    eve "Answer?"
    orc "About making us official?"
    eve "O-oh... being g-girlfriends... I t-thought we already were so..."
    eve "B-but we can't f... do it in public here, i-it's illegal..."
    orc "I know, don't worry..."
    orc "But there's an orcish community in town, I've met them and they practice our customs between them. They have a place where we could fuck in public."
    eve "I-I-I...!"
    orc "I don't want to force you to do it, and I'm not saying doing it today either."
    eve "Y-yes... I... I need to think about it... I'll be full of people I don't know... not that doing it in front of people who know me would be better..."
    orc "Take your time, we aren't in a hurry, I just thought it'd be nice to do it."
    eve "I... maybe... I-I'll need to... prepare..."
    orc "How about we train?"
    eve "T-train?"
    "Rhoda got to her nightstand and picked up a blindfold."
    orc "You trust me, right? Put this on."
    eve "O-okay..."
    show evelyn naked
    "Evelyn puts the blindfold in front of her eyes as Rhoda started undressing her."
    orc "If anything bothers you, just tell me, okay?"
    show rhoda naked at toright3
    "Eve nods and Rhoda strips down too."
    orc "Now, imagine the crowd watching us..."
    orc "{i}Ahem...{/i} Welcome everyone to our ritual of assertion where I'll fuck my human submissive, Evelyn, in front of you all to show that she belongs to me."
    "I could see Evelyn shuddering in anticipation as Rhoda talks about owning her and showing it to the world."
    orc "I will now take her in front of you all, so pay attention to us and enjoy the show!"
    show rhoda:
        xzoom 1
    "In a sudden and destabilizing move, she grabbed the blind Evelyn by her left arm and made her fall on the bed, then lifted her legs to put her in a way where she's almost powerless to resist."
    "She starts fucking her in a mating press position, sliding her cock a couple of times on Eve's already wet pussy before thrusting it in."
    orc "See how easily she accepts me inside of her? She's already submitted to me. I didn't have to do much, she loves her place under me."
    "Rhoda continued talking like that as she fucked Evelyn, which she enjoyed much more than any of us expected..."
    eve "M-mistress... Can I..."
    orc "Oh? Already? Okay, say it clearly when you do. On the count of three..."
    orc "One...{w} Two...{w} Tree!{nw}"
    eve "Coming!!!"
    "She came so hard her body went limp for a few seconds, surprising her partner who had to get a better grip on her to prevent both of them from tippling over."
    "After Evelyn came to her senses, Rhoda layed her on the bed before moving to her head, pressing her cock lightly against her lips."
    orc "Good, now thank the cock who made you come."
    eve "Y-yes, Mistress!"
    "She obliged and kissed Rhoda's cock before taking it in her mouth. Quietly, the dom gently grabbed her head and stroked her hair."
    orc "Good sub, now to make it official, tell everybody present here who's your Mistress."
    eve "Y-yes, I am Mistress Rhoda's submissive, I am hers to use as she pleases."
    "Rhoda smiled, pleased with the situation, before removing her pet's blindfold."
    orc "You all right?"
    "Eve nods again, completely red from both the exercise, the sex and the realization of what she just said."
    orc "Well done. That's what we'll do in the ritual. Except you won't be wearing the blindfold and there will be actual people watching."
    eve "And that's all?"
    orc "Mostly, yes. The public often asks if they can use the sub, I'll just tell them that you're mine and they shouldn't insist."
    eve "O-okay... but you didn't finish..."
    orc "Oh, that! It's not required, but it shows that the dom is in control, not her cock."
    "Rhoda sat next to her lover and continued her gentle skinship for a while before Evelyn remembered..."
    eve "Oh! I must be late for work! Mom and [pName] must already be waiting for me!"
    show evelyn base at outleft
    "With that she quickly dressed back up and rushed out of the door, almost bumping me on the way."
    "Rhoda dropped back on the bed, seemingly happy about how it went."
    return

label EvelynLove5:
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show evelyn at right
    "You're finishing your training and leaving the basement when Evelyn comes up to you."
    eve "H-hi [pName]..."
    pc "Hey, Eve. Do you need me for something? I was about to take a shower."
    eve "It's okay! I-I just wanted to tell you something."
    pc "Sure, what is it?"
    "She stands still a few seconds before finding the courage to tell you."
    eve "I-I'm dating Rhoda."
    pc "Oh, weren't you already together?"
    eve "W-well... yes, but we're now... officially dating."
    "She blushes furiously and understood. You're well aware of how orcs do, Raz, your old adventuring companion, often bragged about her many subs but hearing it from your own sister..."
    pc "Ah, congratulations!"
    "Still, it feels weird to say that when you know what it involves..."
    eve "T-thank you..."
    "Both of you stay silent, the situation being what it is, it's quite awkward to find what to say."
    eve "I... I'll leave you to your shower then..."
    show evelyn at toright2
    "She quickly makes her way out but you call out for her."
    pc "Wait!"
    pc "I'm... I'm happy for you, Eve, really."
    pc "And I'm glad you told me."
    "She let a happy smile appear on her face, then she nods and leaves you."
    show evelyn at outright
    "She's come a long way to be able to do an orcish dating ritual."
    $showUnlockExtraScene(1)
    $eveC.increaseRelation(1)
    return

label EvelynLove5Extra:
    play music pCharaDB["Evelyn"].music if_changed
    $sil.name = "Half-orc spectator"
    $sil2.name = "Rude orc"
    scene bedroom
    show margaret at left
    "I was quietly resting in my room when I felt a presence on the other side of my room. They waited for a moment before..."
    "{i}Knock knock{/i}"
    mar "Come in."
    show evelyn at inright
    eve "Hello, M-miss... can I bother you for a moment?"
    mar "You aren't bothering me, dear, you can come and see me whenever you want."
    eve "{i}Ah, ehm...{/i} Yes, I wanted to ask you a... a service..."
    mar "Of course, dear, what is it?"
    "Her hands were pulling on her apron, a bit ashamed of what she had to ask me."
    eve "Rhoda wanted us to do a d-dating ritual and... I'm not against it but it's a bit... you know..."
    mar "Yes, I've heard of those. They're indeed uncustomary for humans."
    eve "And I wanted to ask if you could a-accompany me... it would be reassuring for me to have someone there... just in case it..."
    eve "It's not that I don't trust Rhoda, but there will be a lot of strangers there..."
    mar "I'd be honored, but why me? Wouldn't your sister be a better fit?"
    eve "N-no! I-I can't ask her that... I'd die of shame if [pName] saw me doing that..."
    mar "I don't think it'd be such a problem, but as you wish, I'll go with you."
    eve "T-thank you. I can't ask my family, and there is nobody else who I'd trust..."
    mar "Don't worry, I'd be glad to go. Just tell me where and when."
    eve "The place is available tomorrow night but we can do it another day it if you aren't free."
    mar "I have nothing planned, so it's okay for me."
    eve "I-it's a tavern in the orcish quarter, I'll... I'll come and fetch you so we can go together..."
    mar "Good. Is there anything I have to prepare?"
    eve "N-no, not that I know of..."
    mar "Okay, see you tomorrow, then?"
    eve "Y-yes, see you..."
    show evelyn at outright
    "She seemed more relaxed because I agreed to keep an eye on her."
    scene campfire
    show silhouette2 at left3
    show margaret at left2
    show silhouette at left
    show rhoda at right3
    show evelyn at right
    "The following day, Evelyn came to my room and we went to the place for their ritual."
    "She said it was in a tavern, but to be exact, it's an enclosed courtyard where other orcish traditions seemed to take place."
    "Rhoda was in front of the crowd, giving some encouragements to the shy Evelyn half-hidden behind her."
    "They were on an elevated stage, with some kind of tribal altar covered in pelts close to a big bonfire."
    "Around me were a dozen of orcs and half-orcs who came to observe and celebrate the young couple."
    "A few of they threw side glances at me but nothing to make me feel unwelcome."
    orc "Okay e-everyone, welcome to our ritual of assertion where I'll fuck my human submissive, Evelyn, in front of you all to show that she belongs to me."
    "The same words as last time, with a bit of hesitation. She probably rehearsed a lot before doing this."
    sil "A shaman and a human, that's quite uncommon."
    orc "I will now take her in front of you all, so pay attention to us and enjoy the show!"
    show rhoda:
        xzoom 1
    show evelyn naked
    "She turns towards Evelyn and the sub slowly starts to strip, shaking a little in embarrassment."
    sil2 "Nice find, chubby and with a breedable ass."
    show rhoda naked
    "After finding herself completely naked, she starts to undress her mistress too."
    "Then Evelyn lay down on the altar, often glancing at the public, which made an older orc nearby chuckle."
    sil2 "Heh, too weak to pick her up and claim her like a true orc?"
    sil "Come on, grandma, nowadays making them get in position by themselves is a better show of submission than showing how strong you are."
    sil2 "{i}Humph,{/i} that's the reason we live in a human town, not in a powerful tribe."
    sil "Stop that, just enjoy the show."
    "Luckily for the two girls of the day, they didn't hear the old fashioned orc's disapproval and got into position."
    "Rhoda spread Evelyn's legs wide apart, and while she stopped shaking, the maid was still quite stiff as her dom started fucking her."
    orc "See... see how easily she accepts me inside of her? She's already submitted to me..."
    "A few orcs started masturbating watching the show or were having their sub serve them instead. Eve saw that and chose to avoid looking their way."
    "Rhoda whispered something to her lover and it seemed to make her relax a little."
    "They continued their exhibitionist show and the crowd seemed to enjoy it, cheering and moaning with them."
    sil2 "Hey, girl, if you can't satisfy your sub, want me to do it for you?"
    orc "No need, I just like to take my time. But if you're in a hurry..."
    "Rhoda adjusted her position, grabbed Evelyn's legs, then, with a nod, she started thrusting roughly."
    "It lacked precision and finesse, but they were both enjoying it anyway."
    "Spectator" "Yeah, show her who she belongs to!"
    "Spectator" "Make her an orc bitch!"
    "Spectator" "Breed that human!"
    "And it seemed like the public was too. A couple of them already came."
    sil "Human, don't forget to tell us all when you come!"
    "I could see that Eve was getting close but not fast enough, Rhoda's rhythm was becoming irregular and might finish first."
    sil2 "I might duel you for that sub if you can't even make her come before you do."
    sil "Grandma, we don't do that anymore..."
    sil2 "If she's a real orc, she'll accept."
    orc "As I said... no need."
    "With a well placed thrust up, her sub opened her eyes wide."
    eve "{i}Ah!{/i} I'm... {i}haa...{/i} cu... cumming!"
    "Eve arched her back and came in front of the crowd, but unlike during their training, Rhoda came at the same time, deep inside her."
    "The crowd cheered and applauded, and some even started fucking in celebration, my surroundings became some kind of soft sex party."
    show silhouette:
        xzoom -1
    sil "You're a friend of the sub?"
    mar "Some kind of friendly dom, yes."
    sil "And would you like to..."
    "I'm used to people becoming aroused around me because of what I am, but they rarely ask directly. But this kind of situation doesn't happen often either."
    mar "I'm sorry, I'm not really predisposed at the moment."
    sil "Oh, {i}ehm...{/i} too bad."
    "Even if the mood is fitting, it'll still be a risk to lose my cover in public like this."
    show silhouette:
        xzoom 1
    sil2 "Forget that, if you want to fuck a human, there's one right there."
    sil2 "Hey, girl, you're sharing your sub, aren't you?"
    if lust < 5:
        "She shouted that to Rhoda who was just standing up. The dom looked at her sub to get her opinion on this and, a bit afraid, she shook her head."
        show rhoda:
            xzoom -1
        orc "Sorry grandma, she doesn't like entitled people."
        sil2 "How rude! In my youth, I'd have taken your sub without batting an eye."
        sil "Shut up, grandma, you're always whining about the subs you lost in those duels, back then."
        sil2 "Yes, they were ungrateful bitches. I could still fuck them better than those softies do!"
        sil "{i}*Sigh*{/i} Come, just give up already..."
        show silhouette2 at outleft
        "After grumbling for a while, the elder orc decided to leave as the party continued."
        "Evelyn and Rhoda fucked a few more times in front of the audience, who ended up in a fully fledged orgy by the time."
        "It was hard to hold back from participating, and after the end, I made sure to bring Evelyn back to the inn."
        scene bedroom
        show margaret at left
        show rhoda at right3
        show evelyn at right
        mar "So, everything went well. Congratulations to you two."
        orc "Yeah, thanks."
        eve "Thank you..."
        mar "Just make sure you don't get carried away in that kind of relationship. Today was an exception, try to take it slower in the future."
        eve "Yes... that was a lot."
        eve "Nice... but a lot."
        "After that, I left the two of them rest after that exhausting day."
    else:
        "She shouted that to Rhoda who was just standing up. The dom looked at her sub to get her opinion on this and she let out a shy, single nod."
        "After a couple whispers between them, they had their answer."
        show rhoda:
            xzoom -1
        orc "Well, it seems like I'll share her with all of you."
        "Rhoda was clearly surprised by Evelyn's answer but the crowd's shouts of approbation prevented her from saying anymore."
        "A lot of them never had the chance to have sex with a human before and were looking forward to it."
        orc "Not all at once, everyone, she's still in training."
        show silhouette2 at toright2
        show rhoda at toleft3
        sil2 "I'll go first, but she might not want you anymore after this."
        "The old orc dropped her pants, revealing her big and long cock, even for an orc, and went directly for Eve's pussy."
        orc "Hey, don't be too rough!"
        eve "It's o-okay, I can take it..."
        sil2 "See, even the slut thinks you're too soft."
        eve "That's not... {i}hgnn...{/i}"
        "But she didn't have the time to say more as her new partner went all in from the beginning."
        "Her movements were hard, I hesitated to cast a spell to help the poor girl, but it might have made things more difficult in the long term..."
        sil2 "Just like all humans, you're too shallow..."
        eve "Sh-shallow?"
        show evelyn:
            xzoom 1
        "Saying that, she placed her in a mating press position and pushed harder. We could see Eve reel back every time she thrust down."
        mar "Wait! She's trying to break Evelyn's Shield."
        "But it was too late, right as I said that, her cock penetrated Eve's womb protection."
        sil2 "Ah, yes, those pesky shields. They're a bother, always preventing me from enjoying a good hole. And those humans are made to be bred by orcs, anyway!"
        orc "Stop it! That wasn't part of the show!"
        sil2 "How shameful, you think you're losing your sub so you prefer to retreat?"
        orc "No! That's..."
        eve "It... it's okay... I'll just Cleanse myself after."
        "The old orc laughed as Rhoda looked at her with anger in her eyes."
        eve "I won't lose to any... any of them."
        sil2 "We'll see about that!"
        "Her movements now unimpeded, she poked Eve's cervix with each thrust. It might be weird for most women but it looked like she was enjoying it."
        "The way she was resisting pleasure was plainly visible on the sub's face, trying not to cum for her dom's sake, but it was in vain."
        "The elder was toying with her, she was fully in control of the pace and could last like that for a long while, way longer than Eve could."
        eve "{i}Mhh!{/i}"
        sil2 "Remember, a good sub should tell when she cums!"
        eve "I... just came..."
        "She couldn't look Rhoda in the eyes and, sensing her victory, the old orc decided it was time to claim her."
        sil2 "Then I'll fill you up!"
        "And with one forceful thrust making Evelyn wide eyed, she bred her human partner."
        "She stayed deep inside her for as long as was necessary to make sure every drop of cum was where it should be."
        "Then, she pulled in a single stroke and swiped it clean on Eve's leg."
        sil2 "There, I'm done."
        orc "..."
        sil2 "Okay, you all can go now."
        orc "H-hey!"
        sil2 "You said you were sharing her, you wouldn't go back on your word, now, would you?"
        orc "She's..."
        eve "I'm... I'm okay... I can go on."
        orc "You don't have to..."
        eve "I wouldn't want you to... lose face..."
        orc "Eve..."
        sil2 "{i}Heh,{/i} looks like I couldn't make her mine with just that..."
        orc "Of course, she wouldn't..."
        sil2 "Don't be to cocky, I might not have her but you could still lose her to all of them."
        show silhouette at toright3:
            xzoom -1
        show evelyn:
            xzoom -1
        "As soon as she gave her okay, the crowd started surrounding Evelyn ready to have a go."
        "They swarmed on her, the first one plunging deep in her creampied pussy, the next one took her tits, then her mouth, hands, feet, legs... every part of her was used by the orcs."
        "Even I would have a hard time stopping them, now. When one came, another one took her place and they often stood close, ready to fuck her again."
        "It was so primal I had to keep my focus to avoid joining them out of pure lust."
        "Then, after more than one hour, the crowd started to dissipate. Rhoda didn't leave her for one minute, at least physically. Her mind was blank, unable to make sense of her feelings."
        "Evelyn was laying on the altar, barely conscious and covered in cum. She was in extasy, having loved the experience."
        "After that, the owner offered their shower room to clean Eve, I made sure she received her Cleansing spell and took them back to the inn."
        scene bedroom
        show margaret at left
        show evelyn at right
        "The next day, I made sure to go to check up on Evelyn."
        mar "Good morning, girl, how are you feeling?"
        eve "I... I'm okay. Just a bit... overwhelmed..."
        mar "Whatever happened yesterday, you'll have to manage it with Rhoda. I wish I could help you more but I'm... unable to."
        eve "I... I understand."
        "I did a few magical checks but outside her abnormal lust and some exhaustion, nothing was wrong with her."
        mar "It seems you're all right physically. And I can tell you the Cleansing spell worked correctly, you have nothing to worry about that."
        eve "That's a relief, at least."
        mar "I wish you well for what comes next, Evelyn. And you can come to me if you want to talk."
        eve "Yes... thank you..."
        "She was still tired, I could see it."
        eve "I... have to get ready to work."
        mar "Understood, I'll leave you. Have a good day."
        eve "You too."
        "I left her, but I was still a bit worried."
    return


#Lust
label EvelynLust1:
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show margaret at right
    "You are going about your business at the inn when your suddenly are accosted by Margaret."
    mar "Can we talk for a minute? It's about Evelyn."
    pc "About Eve? What happened?"
    mar "Nothing for now, but let's just talk privately."
    scene playerbedroom
    show player at left
    show margaret at right
    "She ushers you to your room before giving you any detail."
    pc "You're worrying me, what happened exactly?"
    "For once, she takes a moment before answering."
    mar "I just met with Evelyn, and it seems like you had some problems with her succubus, at night."
    pc "I... did, yes. We were defeated, but I still think we did good, it's just..."
    mar "I'm not blaming you, things like those happen and it's okay. As long as you don't give in too often. But what I wanted to talk about is related : it seemed like it either changed her in a way I didn't expect or it also affects other people."
    mar "She was groped by a client but..."
    show player at toleft3
    "You immediately get up."
    pc "Who was it? I'll kick them out."
    mar "As I was about to say, I don't think it's their fault. I monitor the level of lust in town, especially in the inn, and it was at normal level until she went to their room."
    mar "She doesn't seem like the kind of girl who'd flirt with clients..."
    pc "Of course, she isn't like that."
    mar "Can you let me finish? She isn't the type to flirt, so the succubus' influence wouldn't make her do it. We only reinforce latent tendencies, which leads me into my second hypothesis."
    mar "I think she is becoming so submissive people around her can't help but take advantage of her."
    pc "What? But that's horrifying! She could become a victim from anyone then? I'd better stop using the Maid then..."
    mar "I wouldn't say anyone. The person affected need to be attracted to her to begin with, and she isn't... the most attractive girl in town."
    mar "Her behavior as a maid might have enabled it this though : other see themselves as her master and could start abusing the position."
    pc "Is there anything I can do to prevent that?"
    mar "Apart of not calling the Maid, not losing is the only option. Keep in mind that if you're not calling her, you have to call someone else, you're having the same problem with someone else."
    mar "And that problem will probably be on the same scale, but further away from us, making it harder to keep an eye on it."
    pc "Yeah, so just \"Don't lose and you're okay\". Easy to say."
    mar "I'm sorry I have to get you, your family and friends involved in all that. If you really want to stop, I could split them up, but I really need your help for this situation."
    pc "...I'll continue, I can't risk whatever is going on at the moment becoming worse."
    mar "Thank you. Even if I don't look like it, I'm genuinely grateful of your help and appreciate the risks you take."
    menu:
        mar "Thank you. Even if I don't look like it, I'm genuinely grateful of your help and appreciate the risks you take."
        "You'll owe me":
            $margaretDom -= 1
            pc "You'll owe me a lot after all that, don't forget it."
            mar "We'll have to see if we can do it, before thinking about that. Nothing's certain for now."
        "Glad to help":
            $margaretDom += 1
            pc "I'm glad to help, I can't leave it like this."
            mar "And I'm happy to have found a good girl like you to help."
    $showUnlockExtraScene(2)
    mar "That's all I needed to talk to you about for now. I can help her manage for a while, but be careful if you care about her, yes?"
    pc "I'll do my best."
    $eveC.increaseRelation(2)
    return

label EvelynLust1Extra(love):
    $sil.name = "Guest"
    play music pCharaDB["Evelyn"].music if_changed
    scene innlobby
    show margaret at left
    show evelyn at right:
        xzoom -1
    "I was walking around the inn, snooping around in my hidden form, when I detected a great source of lust coming from a room. I wanted to investigate, but Evelyn came out right at that moment and it quickly stopped."
    "If it was anyone else, I'd have thought they were fucking, but I don't think it was the case here. To find the real reason, I decided to follow her around."
    show margaret succubus at toleft2:
            alpha .3
    "I slipped in the rooms right behind her, but nothing happened. Most of the clients were out and the few of them present at the same time weren't really interested in her. Maybe it was the person from that room in particular?"
    scene bedroom
    show margaret succubus at left2:
            alpha .3
    show evelyn at right
    show silhouette at left
    "We continued for a while before coming to the room of a strange woman. She was... unkempt, to be polite. She was more than a bit overweight, with messy and oily hair, wore a T-shirt way to small for her and was walking around in her panties."
    "To be fair, her weight was probably a complex problem and we were in her room, so she could wear whatever felt comfortable. The room reeked of sweat and sperm, so I knew what kind of person she was, but again, I'm far from being judgy on that point."
    "I sometimes helped people like her, there are a lot of horny shemales living alone who need some personal time, and when you're stuck somewhere, bad habits come fast. But what bothered me was her attitude towards Evelyn."
    "When they let Evelyn enter, they didn't make any effort to present themselves any better. Not wearing pants or skirt, not opening the window to let some fresh air... they didn't respect her work."
    show evelyn at right:
        xzoom -1
    "Then when she worked, they laid on the bed, with a book about abjuration rituals that looked quite complex, but I'd bet a night with them they didn't understand any of it."
    show silhouette at toleft3
    "As Evelyn was working, they were lecherously watching her from behind their book. I could see their cock starting to rise through their panties as they fondled it when her back was turned."
    show silhouette at toright3:
        xzoom -1
    "She was busy picking up junk littering the room when they decided to drop their excuse and stand up. They got close to her and, after a moment of hesitation, they grabbed her butt."
    eve "Ehm, I'm working, please excuse me..."
    sil "No problem, continue."
    "Seeing she offered no resistance, they continued groping her butt. But when I saw them starting to hump her ass, I had to do something : I phased through the door and knocked."
    scene innlobby
    show margaret at left
    sil "What? We... I'm busy."
    mar "Is Evelyn here? I need her help with something."
    sil "Evelyn? Oh, the maid. She's working at the moment... hey!"
    show evelyn at right3
    show silhouette at right
    "I heard steps coming to the door and saw Eve adjusting her clothes."
    eve "Oh, miss Margaret? Is it important? I'm currently cleaning this room and..."
    mar "It is, yes. Can you accompany me to my room right now?"
    sil "But... she was doing important work here first."
    "She couldn't convince anybody with the tent she was pitching, but I knew she was quite close when I interrupted. To shut her up, I sent a glare her way that made her cream her panties."
    show silhouette at right:
        xzoom -1
    sil "Oooooh... what... was that?"
    mar "If cleaning your room is important work, start by doing it yourself. Now, Evelyn, if you would."
    eve "Ehm... yes, I'm right behind you."
    show silhouette at outright
    show margaret:
        xzoom -1
    "On the way to my room, she walked with her head down, like a kid ready to be punished."
    eve "You didn't have to, you know..."
    mar "Have to what? I assure you it's important."
    eve "You didn't have to humiliate her like that."
    show margaret at left
    "I stopped."
    mar "Humiliate her? She was humping your butt as it clearly made you uncomfortable, trying to pleasure themselves without consent. Wasn't that more humiliating?"
    eve "You... you saw that?"
    mar "Yes, I see a lot of things."
    "She hid her mouth with her hand, turned her head and blushed."
    mar "Now, let's continue this conversation in private, no?"
    "She nodded and continued to walk in silence."
    scene bedroom
    show margaret at left
    show evelyn at right
    mar "Evelyn, is what happened just now something frequent?"
    eve "No..."
    mar "You know I can tell when you lie, don't you?"
    eve "It's not a lie... but it starts to become an habit with some of the guests. It wasn't like this before, but I guess because they're stuck, far from their family, I'd try to help by letting them... do what they do..."
    eve "But it never gets further, I swear."
    mar "First, you're not helping them, but reinforcing their bad comportment and it might escalate."
    mar "Second, you shouldn't help someone in detriment of yourself like that. If they're making you uncomfortable, just tell them to stop and, in worst case, shout for help, someone's bound to hear you."
    "When I said that, I saw that she was avoiding my gaze as if she had something else to hide from me."
    mar "Don't you agree?"
    eve "Well... I was a bit bothered by them but..."
    "Examining her, I could feel some lust coming from her. I start talking with a languorous voice, walking towards her."
    mar "Ah, I see. It feels good to be lusted after, having someone taking risks to try to take you. You often wonder if they'd go further, would they go all the way if you don't resist."
    eve "I... no... I mean, maybe? I don't know."
    show margaret succubus at toleft3
    mar "You know, I'm a powerful succubus, yet you follow me in my bedroom without resistance, in a place I could mesmerize you and make you mine."
    eve "You... wouldn't... would you?"
    show margaret human at toleft
    "I snap back to normal and sit back down."
    mar "No, I wouldn't. But you, my dear, are a cute submissive."
    "She stood there, stunned, like I just took the treat I was dangling in front of her nose."
    mar "It's good to explore your kinks, Evelyn, but do it in a safe environment."
    mar "From now on, try to be a bit more conscious about it or it could become dangerous. Try asking your girlfriend about some submissive play, it might help."
    if love <= 0:
        eve "I don't... have one..."
    else:
        eve "I don't think it's a good idea... She's won't..."
    eve "And when I'm... aroused... it happens more often, I might be doing something without knowing. But it doesn't go away after... relieving myself..."
    mar "It might be because of your succubus. If you wish, I could help you with that."
    show margaret succubus at toleft3
    show evelyn at toright3
    "She thought for a while, then nodded. I toke her hand and lead her towards the bed."
    eve "But... not too far... please..."
    "I caressed her gently and she melted in my arms."
    mar "Good girl. Now, what should I do with you?"
    "I kissed her neck and slowly lowered a hand to her crotch. I often liked taking my time, but she was already primed to go."
    "My hand slipped inside her panties and I felt how wet she was."
    mar "You're already drenched, were you expecting that girl to take you right there? Or was it because of me?"
    eve "It's because of you mis... tress..."
    mar "You know how to address me, you're well trained. And you're already prepared if I wanted to slip my cock inside you... but not today. Today, you'll learn that a good sub is for their mistress, not any lusty girl with a cock."
    "I played with her clit, caressing then pinching it, and I could feel that she was holding back. She's a better submissive right now that most with years of experience... how strange."
    mar "I can feel you're ready, I will count to three and you'll come, okay?"
    mar "1...{w} 2...{w} 3!{nw}"
    "She stiffened in my arms, and I could feel a bit of liquid spray on my hand as she came, then lumped as I held her. Did she already trust me so much? Or would she be like that with anybody..."
    show margaret human
    "I cleaned her with a quick spell and laid her on the bed, but she quickly got up."
    eve "I'm sorry... and thank you..."
    mar "It's no problem, dear. Anytime you feel the need, you can come to me. Better that than risking it with others, isn't it?"
    eve "Ehm... yes... thank you, but I'd better go... I've got some other rooms to clean, and I'm late."
    mar "But you're not yet gone? Go on, you can leave."
    eve "Yes, thank you."
    show evelyn at outright
    "As she left, I wondered what part of that was her natural submissiveness and what part was the Maid's influence. And the event with the guest, could it be liked or were they just a pervert..."
    return

label EvelynLust2:
    play music eveC.music if_changed
    scene innlobby
    show player at left
    show evelyn at inright
    "You're on your way back to your room when you spot Evelyn exiting a room and quickly walk in your direction, head lowered."
    pc "Hey, Eve. Do you need something?"
    eve "Nothing, thanks."
    show evelyn at outleft
    "She doesn't even slow down and passes you. Weird..."
    "You think about the room she came out of and... it's Margaret's. It would be a better idea to ask her."
    "You knock at the door."
    mar "Come in, [pName]."
    scene bedroom
    show player at left
    show margaret at right
    mar "I assume you're here about your sister."
    pc "Yes, I saw her coming out of your room and rush by me. Did something happened."
    $showUnlockExtraScene(2)
    mar "She asked me explicitly not to tell you anything."
    pc "What? But..."
    mar "No but. I'm doing what's needed to protect her from her lust and nothing bad happened, but I need to help her manage it correctly."
    mar "Without my help, she'd have a harder time managing it, but ultimately, it's on you to better manage her succubus during the night."
    menu:
        mar "Without my help, she'd have a harder time managing it, but ultimately, it's on you to better manage her succubus during the night."
        "Be careful!":
            $margaretDom -= 1
            pc "Be careful with her! Don't do anything weird."
            mar "As I said, I'm only helping her. Would you rather I leave her alone with the consequences?"
        "Sorry":
            $margaretDom += 1
            pc "I'm sorry, I do my best."
            mar "Don't worry, it's not too bad up to now."
    mar "If you're really worried, I'd suggest looking into using someone else to dive. I can't do much more on my side."
    "You stand there, thinking... Her current state is because of you, what will you do about it?"
    mar "Now, if there isn't anything else, I had to leave before your sister came to see me and I'm now quite late..."
    "Having nothing else to say, you left her room."
    $eveC.increaseRelation(2)
    return

label EvelynLust2Extra:
    play music pCharaDB["Evelyn"].music if_changed
    scene bedroom
    show margaret at left
    "{i}Knock knock{/i}"
    mar "Come in."
    show evelyn at inright3
    eve "Hello... am I bothering you?"
    mar "I'm not doing anything important at the moment, take a seat."
    "She hesitated for a moment before pulling a chair. She looked back at the door before sitting down in silence."
    mar "Good. Is everything all right, my dear? What's the reason for your visit?"
    eve "I... I had another problem with a guest..."
    mar "Tell me what happened."
    eve "Before I started the day, I tried to... take care of myself, as you recommended. But today, it didn't work..."
    eve "I kept going at it, and got closer and closer but I couldn't... finish. I spent almost an hour trying but..."
    mar "And do you have an idea of why you couldn't come?"
    eve "I... ehm... no... not really... but..."
    "She stopped talking and was looking back at the door, like she wanted to flee."
    eve "When I... when I started to work, I couldn't focus. I felt hot and wanted to continue touching... there, but I had to work."
    eve "And when I entered the bedroom of a particularly... lonely guest, they quickly got handsy with me..."
    mar "Yes, as I told you, I think your succubus is making you more desirable for certain kind of people. You could have come to me before, you know."
    eve "But I didn't want to bother you, mistress...!"
    "As the last word escaped her lips, she clasped her hands on her mouth and blushed in surprise. I let out a small laugh before continuing as if nothing happened."
    mar "I told you to come to me whenever you needed help, and I meant it. I'm here to take care of any problem your succubus could bring."
    eve "Yes, thank you..."
    mar "Anything else happened after that?"
    eve "Well... they were frotting themselves on me, and it made me feel... good. I stopped in place, trying not to enjoy it, but..."
    eve "That's when they removed their bottoms and lifted my skirt... then they put their cock between my legs and rubbed against my panties..."
    mar "You didn't call for help?"
    eve "I couldn't, I was ashamed about how easy they did it and... how I felt good too..."
    eve "They were thrusting between my thighs, taking their own pleasure without worrying about me, and... and..."
    eve "It made me come..."
    "First, I thought she'd start crying, but I felt strong arousal coming from her and saw she discreetly lowered her hand and started to rub her crotch."
    mar "I see, this is worse than I thought. Here..."
    show margaret at toleft3
    "I went to her and she immediately stops, then I freed her tits and started to tease her erect nipples."
    eve "{i}*Moan*{/i}"
    mar "Good girl, do you want me to be a gentle mistress or something else?"
    eve "Whatever... you want... mistress..."
    mar "Okay then, if you're certain."
    show margaret succubus
    mar "Stand up!"
    "She stood up as soon as I told her and waited for her instructions, chest on full display. I undressed my pants and underwear then sit on the chair."
    mar "Please me."
    eve "Yes, mistress."
    "Without hesitation, she dropped on her knees and grabbed my cock with one hand and my balls with the other."
    eve "Am I doing good, mistress?"
    mar "It's a good start, but you forgot about my pussy."
    "She lifted my balls and, without taking her hands off of anything, delicately licked me."
    "Her ministrations were slow and deliberate, she was paying a lot of attention to my reactions and adapted to procure me the most pleasure. It was a bit clumsy, but she was trying to learn."
    "To reward her, I started to rub my foot between her legs. Her panties were flooding with her fluids."
    mar "Do you enjoy serving me that much? I think you'd come simply by servicing me."
    "She didn't answer, but changed her position. Now she was pushing two fingers inside me with the hand massaging my sack and directed my penis in her mouth with the other."
    "I wanted to pet her head to show my appreciation, but as soon as my hand touched the top of her hair, I felt a bit of teeth on my cock."
    "She came so hard she almost went unconscious. Her eyes were revulsed and she tipped to the side. I caught her before she hurt herself."
    show margaret human
    "This time, it took five minutes before she came back to her senses."
    mar "Are you all right? Do you always faint when you come?"
    eve "I'm fine, mistress... and I only faint with you..."
    "As she recovered, I was thinking on how to help her. I tried to help her by telling her to find a domme or come to me, but she's too shy to ask for the former and I don't think she trusts me enough for the latter."
    "I told [pName] to be careful, but I'll have to ask them again... Next time, I'm not sure what will happen with her..."
    return

label EvelynLust3:  #Evening only
    play music eveC.music if_changed
    scene innlobby
    show player at left
    "It's quite late in the evening, and you're about to go dive again, but you're in the mood for a quick snack before bed."
    show evelyn at right2:
        xzoom -1
    "You're on your way to the kitchen when you see Evelyn getting out of a client's room. It wouldn't be odd for her to work this late, but the way she acts..."
    "She's slowly closing the door, seeming a bit unsure of herself."
    pc "Hey, Eve'. Everything is okay?"
    show evelyn at right2
    eve "Wha?!"
    "She jumps, looks in your direction, panicked, then lowers her head."
    eve "Oh, [pNickname]... Y... yes... I was just... I mean... they..."
    "She turns back towards the door, making sure it's closed, and mumbles something that you don't understand."
    show evelyn at outright
    "You don't have the time to ask her anything else before she quickly walks away with haste, sill looking at the ground..."
    menu:
        "You don't have the time to ask her anything else before she quickly walks away with haste, sill looking at the ground..."
        "Wait!":
            pc "Eve, wait!"
            $eveC.increaseMod(2, 20)
            "But she accelerates. You could easily catch up with her, but it isn't worth it, she wouldn't have said much more anyway..."
        "Are you okay?":
            pc "Eve, just tell me if you're okay..."
            "After a slight hesitation, she turns her head and nods, then continues on her way."
    "Maybe you should ask that client?...  No, if she had any problem, she'd have talked to you about it. You trust your sister, after all."
    $showUnlockExtraScene(2)
    $eveC.increaseRelation(2)
    return

label EvelynLust3Extra:
    play music pCharaDB["Evelyn"].music if_changed
    scene bedroom
    show margaret at left
    "I had met with Evelyn a few times by them. It seemed like her strange attractiveness was growing and other clients acted strangely around her."
    "They were growing bolder, often groping her when she worked and sometimes masturbating behind her back. She didn't want to be a bother and stayed silent, which reinforced their behavior."
    show evelyn at inright2
    "But that time, it was late at night when she knocked weakly at my door."
    eve "Ehm... am I... am I bothering you, this late?"
    mar "No, don't worry, night time is a succubus' favorite time. Come inside."
    show evelyn at toright
    "Strangely, she didn't hesitate and entered immediately. I invited her to take a seat."
    mar "So, are they still bothering you?"
    eve "I..."
    "I was used to it by then and gave her time to find her words."
    eve "Tonight, a patron called for me to bring them beers. But when I got there, they were alone in their room."
    eve "I thought I misunderstood their order, but they said they wanted to share a drink with me..."
    "Typical, offering alcohol to release inhibitions of their target."
    eve "I declined, I was working, but they insisted, saying they were lonely since they were stuck here in town. They were missing their friends..."
    eve "So I agreed to one drink. They talked a lot about themselves and how they lost their chance with a cute girl they liked because of the barrier."
    "If they say they lost their chance with someone because of it, they never had one to begin with."
    eve "But as I finished my drink and got up, they asked me to wait..."
    eve "They wanted to... thank me..."
    mar "For spending time with them? That's nice."
    eve "That's what I thought too, but... it was... the one I told you about, the one... humping me. And they wanted to... thank me for that time..."
    mar "Ah... and what did you say?"
    eve "I didn't have time to say anything, they said they lost their mind because they were too pent up. They were holding back for their night with their girl, but got stuck here..."
    eve "Then... they asked if they could do it again..."
    mar "You refused?"
    eve "Yes, but they said that they'd ask Violet if I didn't want to..."
    mar "Evelyn, they were manipulating you."
    eve "I know, but... I... I helped them anyway..."
    eve "They undressed and asked me to lick their cock."
    mar "Why didn't you leave? You were afraid for your sister?"
    eve "I don't know... if they'd asked Vi, they'd be lucky not to be kicked in the groin, so it's not because of her..."
    eve "But... they really needed help, even if they weren't honest with me, I needed to help."
    eve "So I knelt, and started... blowing... them."
    mar "Did you find a domme, like I told you?"
    if love > 0:
        eve "Yes, but it only makes me feel guilty now... I'm cheating on her..."
    else:
        eve "N... no, I don't know how I could... I'd feel like a slut..."
    mar "Don't worry, it's not your fault. It's just a strange reaction due to your succubus."
    "The true reason was that is was because of [pName], but I couldn't tell her that her sister was transforming her like that."
    eve "The worse is that I enjoyed it. I felt good when I had their cock in my mouth, at my place."
    mar "Yes, that is what some submissive enjoy, and there is no shame in it."
    eve "But, it's wrong... isn't it?"
    mar "I'm a succubus, my values aren't the same, but for me, no, it isn't."
    mar "When you accept your kinks and sexuality, there isn't anything wrong with enjoying it. You only have to be careful of your safety and other's wishes, but there's nothing bad with enjoying what you like."
    "She seemed in deep thoughts, I could almost see a small Maid on her shoulder whispering her to enjoy it."
    "I wasn't sure it wouldn't alienate her from other humes, but if I wanted her to stay sane during her changes, she needed to hear something supportive."
    eve "I... I see. Thank you..."
    "I gave her time to think before continuing."
    mar "I'd suggest getting a good night's sleep and thinking about it with a calm head tomorrow, okay?"
    eve "... Yes, I will... but... before that..."
    eve "Mi... Mistress... can I... give you... a blowjob, please?"
    "She was so cute, acting all submissive like that, I had a hard time not making her my own."
    if love > 0:
        mar "But what about your domme? Wouldn't she be displeased with you?"
        eve "..."
        mar "I see, she isn't really your domme, just a more dominant partner..."
    else:
        "I really shouldn't... but she's so tempting..."
    mar "Okay, but just this time."
    show evelyn at toright3
    "She lowered herself in front of me and waited for my orders."
    show margaret at toleft3
    mar "Go on, take it out for me."
    show margaret naked at left3
    "Blushing, she lowered my pants and panties to free my cock. With a little hesitation, she then grabbed it and brought her lips to it."
    "Her technique was lacking, but her willingness to please made up for it. Her other hand was playing with my pussy as she tentatively moved her mouth around my tip."
    "I felt arousal radiating from her, she was enjoying it as much as I was, even if her own pussy was left out of the action."
    "A great service sub like her would be perfect. I'd mark her with my brand and lock her up in chastity so no one else would be able to take her. And she'd enjoy every day like that, she wouldn't even want to escape..."
    "I quickly caught myself. That kind of thinking wasn't right... at least not with the town's current issues and the Maid inside her mind..."
    eve "Are you enjoying it, mistress?"
    "Waking me from my own desires, I focused back on her mouth. She was visibly improving, without any advice... just by judging my reactions?"
    mar "Yes, you are doing a great job, my girl. Would the situation be different, I'd give you my mark and make you mine."
    eve "Why... don't you?"
    mar "I'm only doing this to relieve you of your current lust and study your problem. I made a promise... two, in fact, and I won't take anyone in this town until they are fulfilled."
    eve "Then... maybe after that?"
    mar "Probably not... I don't want to give you false hope. Once you're freed from your succubus, all your lust will calm down. Don't lose yourself to it, okay?"
    "I don't often feel awkward, but telling her that as she was bobbing her head on my cock didn't feel completely right."
    eve "If that's what you want, mistress."
    "She accelerated, sucking with more vigor and toying with her tongue around my cock's head. I didn't know if it was because she wanted to show her worth, because of her anger at my answer or... something else..."
    "I unconsciously grabbed her head and moved it myself. She didn't try to resist at all, relinquishing all control to me, and I used her throat a bit more forcefully than I should have."
    "When I felt like coming, I pulled out of her and painted her face white as she was standing still, mouth open, to receive her creamy reward."
    "Taken out of the bliss, I warned her, a bit late."
    mar "Don't drink too much of it. It'll worsen your problem if you ingest it."
    "A look of disappointment appeared on her face..."
    mar "That's an order, girl."
    "I handed her a towel to clean herself, but it took a few seconds before she came back to her senses and grabbed it."
    eve "I... I... I..."
    eve "I'm sorry!"
    show evelyn at toright2
    "She wanted to run out of the room as she was wiping her face but didn't realize the door was locked."
    eve "Ah, no... I..."
    mar "Please, calm down. No harm done, quite the opposite."
    eve "But I... I'm sorry... sorry for asking you to... to take me."
    mar "As I said, no harm done. I was still in control and wouldn't mark you, but please, be careful around others."
    if love > 0:
        mar "If it happens again, go to your domme or to me, don't take chances."
    else:
        mar "If it happens again, come to me, don't take chances."
    eve "Yes, I... I'm sorry..."
    "She apologized, again and again, before I opened the door for her."
    "I was a bit hesitant. The Maid is subdued, but if she fights back, or if any other succubus wants to take her for herself..."
    "Maybe I should mark her as mine... to protect her from others..."
    return

label EvelynLust4:
    play music eveC.music if_changed
    scene innlobby
    show margaret at right
    show player at left
    mar "Ehm, [pName], can I have a moment of your time? It's about Evelyn."
    mar "Do you remember when I told you about paying more attention when using the Maid? Now's your last chance..."
    mar "I think the negative effects of her lust are becoming more and more embedded in her. At this rate, I soon won't be able to help her once it's all over."
    mar "Remember, you don't have to use her if you don't want to risk it..."
    "Margaret seems genuinely concerned about Evelyn..."
    $showUnlockExtraScene(2)
    $eveC.increaseRelation(2)
    return

label EvelynLust4Extra:
    play music pCharaDB["Evelyn"].music if_changed
    $sil.name = "Guest"
    $sil2.name = "Left Woman"
    $sil3.name = "Right Woman"
    scene hallway
    show margaret at right
    show evelyn at left
    "When I met Evelyn on that day, she was acting strange."
    "She was sweeping in the hallway but wasn't paying attention to it. The spot she was cleaning was already spotless but she continued swinging her broom anyway."
    "As I got closer, she jumped."
    eve "A-a-a-ah, g-good evening Mis... Miss!"
    "I could see that she was feeling awkward but, more surprising, there was some sort of anticipatory lust inside of her. She was... waiting for someone?"
    mar "Yes, good evening, dear. Is everything all right?"
    eve "E-ehm, yes! Just doing some cleaning before bed."
    mar "That's nice, dear. You're doing a good job."
    "A brief guilt showed on her face, she was clearly lying."
    mar "But don't stay up too late, will you?"
    eve "I... I won't..."
    "And she resumes sweeping the exact same place with full strength, looking straight at it."
    show margaret succubus at toleft2:
        alpha .3
    "I feigned continuing on my way but as soon as I was out of her view, I became invisible and came back to her."
    "Her broom stopped and so did she. She stood there motionless, I almost thought she fell asleep but her lust kept growing."
    "She was so defenseless, like a lonely doe in a clearing, it almost made me break my word... almost..."
    show evelyn:
        xzoom -1
    "I might even have lost my composure because she suddenly turned towards me. She didn't see me but somehow felt my presence."
    show silhouette at inright
    show evelyn:
        xzoom 1
    sil "Ah, you're here! Good."
    "A guest I only met in passing walked up to her."
    $sil.name = "Rich Guest"
    "That woman was a rich {i}\"entrepreneur\"{/i} who came into town with a couple subordinates for a business deal. She made a pass at me when we met, which I immediately declined."
    eve "Yes, I did as you asked, Miss Springrain."
    sil "Good, follow me."
    scene bedroom
    show margaret succubus at left2:
        alpha .3
    show evelyn at left
    show silhouette at right
    "The woman walked inside, straight to her couch, and sit there, legs spread. Her room was bigger than most and Evelyn stood in the middle of it, looking lost."
    sil "Go on, let's see if you're worth it."
    eve "..."
    show evelyn naked
    "Evelyn started removing her clothes slowly. It was more because of shame rather than doing it sexily but it seemed to satisfy the businesswoman."
    sil "Good, a bit fat but that'll do. You can continue."
    "She nodded towards her own crotch where a small bulge could be seen."
    eve "I..."
    sil "{i}Hm?{/i}"
    "It seemed like Eve wanted to protest but didn't say anything."
    show evelyn at toleft3
    "She knelt in front of her, unbuckling the guest's pants and freed her cock."
    "Then, with a burst of courage, she quickly took it in her mouth."
    sil "No need to rush, we have all night."
    "But it looked like Eve wanted to be done with it (or was she enjoying it) as she applied herself to pleasure her partner."
    "The rich woman put her hand on her maid's head to guide her rhythm, then leaned back comfortably."
    sil "Thank you, that's enough, girl."
    show silhouette at toright3
    "Eve let go of the cock and stayed on her knees, panting a bit, before the other woman stood up and pulled her on her feet in the same movement."
    sil "Now, turn over and face that wall."
    show evelyn:
        xzoom -1
    "She obeyed and the woman pushed her to bend her over, revealing her glistering pussy."
    "The guest started playing with it with her fingers, seemingly judging the merchandise."
    if eveC.love >= 2:
        sil "Quite tight, it seems like I had a good hunch about you, that was a good deal. We're both going to enjoy it."
    else:
        sil "Oh, a virgin? How amusing, I'll be sure to give you a bonus. And make sure you enjoy your first time, of course."
    "Looks like it's some kind of business deal, but even then Evelyn seems to be enjoying the mistreatment as her pussy juices were dripping onto the floor."
    "Dripping so much that woman judged it was lubricated enough to continue as she penetrated Evelyn without warning."
    if eveC.love >= 2:
        "The maid stiffened in surprise and mumbled something her partner didn't pay attention."
    else:
        "The maid stiffened in surprise as her virginity was taken and squealed, which seemed to amuse her partner."
    sil "Good girl, your pussy feels great. I hope you've summoned your Shield."
    "I did a quick check to make sure it was and she was well prepared. I still reinforced it, just to make sure it held on."
    "The whole experience was underwhelming. Apris was clearly used to buying girls to satisfy her needs, and as much as she spoke of making Eve enjoy it, she didn't even try."
    "Luckily, I guess, her succubus curse made sure that submissive behavior was rewarded as she did enjoy it."
    "In less that five minutes, the proud shemale's thrusts stopped and she came halfway inside of Eve."
    sil "Phew, that was good."
    show silhouette at toright2
    "She then fell back into the couch, dick already softening."
    sil "You can clean me up, now."
    show evelyn:
        xzoom 1
    "And she did, giving her a cleaning blowjob, even continuing after all juices were swallowed."
    "Still enjoying the afterglow, someone knocked on the door."
    "Voice outside the door" "Boss, can we come in?"
    sil "Yeah, yeah, come in..."
    show silhouette2 at inright
    show silhouette3 at inright3
    "Two women entered the room, looking lustfully at Evelyn."
    sil2 "Oh, that's true, she's there."
    "Right woman" "Can we use her?"
    eve "What? It isn't..."
    sil "Come on, girl, if all three of us leave this place happy, it'll be even better advertisement, isn't it?"
    "I was ready to create a distraction to get her out of the room, but..."
    eve "... okay. B-but both at once..."
    $sil2.name = "Shemale"
    $sil3.name = "Woman"
    "The two women, one female, the other shemale were already undressing."
    sil "Don't worry, it'll be that much faster."
    sil2 "Thanks boss!"
    sil3 "Okay, girl, get on your knees."
    show evelyn:
        xzoom -1
    show silhouette2 at toright3
    show silhouette3 at toleft
    "The women pushed Evelyn down on all four where the shemale positioned herself behind her and the other stands in front."
    sil3 "I hope you can eat pussy."
    "And she pulled Eve's head between her legs at the same time her coworker pushed her forwards penetrating her."
    "The shemale was enjoying it but the one in front..."
    sil3 "Come on, can't you please another woman? Use your tongue more."
    eve "M-mph..."
    "I could see Evelyn trying but she was completely inexperienced."
    sil2 "She's tight, I'm getting close..."
    sil3 "Ugh..."
    "Fed up seeing her friend having all the fun, she grabbed the maid's head with both her hands."
    sil3 "If you can't use your tongue, let's use your whole face."
    "And she did exactly that, rubbing her pussy against Eve's mouth, nose, eyes..."
    eve "Mmmhh!"
    "Eve was a bit overwhelmed and started weakly struggling to free her head."
    sil "Come, girl, you don't won't to disappoint, do you?"
    eve "..."
    "And with that, she stopped resisting and instead stuck out her tongue, hoping it'd help."
    sil2 "Heh, she's quite pathetic."
    sil3 "At... at least it helps."
    "The shemale moved forwards one last time and came inside of Eve as she was desperately trying to please her female partner."
    sil "You two, show some gratitude to the girl instead of belittling her."
    sil2 "Thanks for your great pussy, whore."
    sil3 "Y-yeah... I'm..."
    "She thrusted her pussy even more against Evelyn's head, her juices run down her face."
    "I could also detect a small orgasm coming from Eve, who was doing her best to keep it quiet."
    show silhouette2 at toright
    show silhouette3 at toright3
    "After recovering from their climaxes, they both moved towards the other couch, leaving their toy on the ground."
    "Evelyn's arms and legs gave up when they let go of her and she slumped on the ground."
    sil2 "Thanks boss, it's been a while since last time."
    sil3 "Yeah, why didn't you hire her earlier?"
    sil "I asked the owner if they had whores to hire but she said if we wanted some, there was a brothel a few streets away."
    sil2 "So she's whoring on her own?"
    sil "It's more complicated than that."
    sil3 "Wait... isn't she her daughter? And she's doing it behind her back? That's so funny."
    sil "As I said, it's complicated."
    show silhouette at toright3
    show silhouette2 at toright2
    show silhouette3 at toright
    "The boss stood up and went to help Evelyn up."
    sil "Come on, girl, stand up."
    show evelyn:
        xzoom 1
    sil "Here you are, thank you for your service. You can leave us, now."
    eve "..."
    show evelyn base
    "She handed Evelyn her clothes, which she grabbed and started dressing up."
    sil "Thank you for your services."
    "Evelyn only nodded and started to walk away, still in silence."
    sil2 "What? You aren't even paying her?"
    show evelyn at outright
    "Eve accelerated her pace and left the room."
    show silhouette:
        xzoom 1
    sil "No, she's doing that to help with the inn, not for money."
    sil3 "She's... she's doing that for exposure? {i}Hahaha!{/i}"
    "The way she mocked Evelyn was really pissing me off, so I cast a small spell..."
    sil3 "{i}Haha... Hagnnn...{/i}"
    sil2 "Did you juse... cum just by laughing?"
    sil3 "I didn't c{i}mhhhhh!{/i}"
    sil "Again? Girl, aren't you ashamed?"
    sil3 "I c{i}aahhhn{/i}... I can't stup cummiiing!"
    scene bedroom
    show margaret succubus at left2:
        alpha .3
    show evelyn naked at right
    "I teleported out of the room to check up on Evelyn who rushed to her room."
    "As I entered, still invisible and saw Evelyn gently masturbating on her bed."
    "Prodding her mind, I could feel that she's conflicted about her enjoyment of the whole situation but doesn't seem otherwise regretful."
    "Maybe just a bit ashamed..."
    return

label EvelynLust5:
    play music eveC.music if_changed
    scene hallway
    show player
    "An hour ago, Margaret asked to meet you in her room when you were finished. She seemed unusually serious."
    mar "Come in, [pName]."
    scene bedroom
    show player at left
    show margaret at right
    mar "Please, sit down."
    mar "It's about Evelyn... I'm... not sure I'll be able to appease the lust she acquired recently."
    mar "I warned you, continuously exposing her to her succubus' submissiveness would impact her behavior. I'd be able to dispel it if it wasn't too ingrained but I'm afraid it now is."
    mar "There's no real way to know how she'll be, long term. Hopefully she'll be able to live with it, you humes aren't fond of our more liberated ways."
    "She sighs. It's hard to say if she's disappointed in you or disgruntled by the whole situation."
    mar "I want to tell you to keep an eye on her, but it'll be long and she might never recover completely."
    if eveC.love > 0:
        mar "I hope her lover will also be understanding, otherwise their relationship might be..."
    else:
        mar "You're the only one who knows about her condition, she'll need your help to explain it to your family."
    mar "Anyway, that's all I can do for now. I'll see what I can do once the Blissful Sleep is dealt with, but don't get your hopes up."
    menu:
        mar "Anyway, that's all I can do for now. I'll see what I can do once the Blissful Sleep is dealt with, but don't get your hopes up."
        "Ask for details":
            pc "What did she do, exactly?"
            mar "I...'d rather not divulge it. You'll have to take my word for it."
        "Leave":
            pass
    mar "One last thing, before you leave : please be more careful with the others..."
    $showUnlockExtraScene(2)
    $eveC.increaseRelation(2)
    return

label EvelynLust5Extra:
    play music pCharaDB["Evelyn"].music if_changed
    $sil.name = "Ugly Guest"
    $sil2.name = "Fat Guest"
    $sil3.name = "Sweaty Guest"
    scene hallway
    show margaret at left
    "That day, I had a bad feeling about Evelyn. Her lust had become so strong I could locate her anywhere in the inn."
    show evelyn at inright
    "I tried meeting her \"by chance\" in the hallway as she was quickly walking towards the next room to clean."
    mar "Good day, Evelyn."
    eve "Ah, y-yes, good day..."
    "She barely slowed down to speak to me, so I side-stepped to show I wanted to talk to her."
    "When she stopped, I could smell the cum of multiple person on her. She cleaned it but not enough for a succubus."
    mar "Are you okay? You seem a little out of it. Is what we talked about under control?"
    eve "Ah... ehm... I... y-y-yes, n-no problem with anything..."
    "She couldn't look me in the eyes as she said that, even without my succubus abilities I'd be able to tell she's lying to me."
    mar "We could talk about it sometimes, if it'd help you."
    eve "N-no, I'm o-okay..."
    "She looked at something behind me, even though there was nothing."
    eve "If you'll excuse me, I still have w-work to..."
    "Having no reason to keep her anymore, I stepped out of her way."
    mar "Okay, have a good day. And remember that I'm here if there is any trouble."
    show evelyn at outleft
    eve "Y-yes, thank you..."
    "She left without looking at me."
    "Still concerned about her, I became invisible and followed her."
    scene bedroom
    show margaret succubus at toleft2:
        alpha .3
    show evelyn at left
    show silhouette at right3
    show silhouette2 at right
    show silhouette3 at right2
    "In the room, three women were waiting for Evelyn. They're lounging around in various states of undress, all shemales."
    sil "Ah, you're late!"
    sil2 "Wow, she came!"
    sil3 "Y-yeah..."
    eve "S-sorry, I had to clean the room after..."
    eve "W-well, I'm here now. How can I serve you?"
    sil "Let me and my friends fuck you."
    eve "You three? But they aren't clients here..."
    sil "I am, and they're my friends, so you should allow them too."
    eve "I don't know, it's a bit much..."
    sil "Oh, come on, I know you'll like it."
    "That was the patron Evelyn talked about when she first came to see me."
    "She then decided to start undressing Eve, almost by force. The maid didn't try to defend herself beside weak protests."
    show evelyn naked
    show silhouette at toleft
    show evelyn at toleft3
    sil "Okay, I'll go first and you gals can fuck her after I'm done."
    sil3 "What, but... can't we do it together?"
    sil "No! I don't want your stinky butt around when I fuck her..."
    "After the guest completely removing Evelyn's dress, I could see that she wasn't wearing panties."
    sil "Come on, on the bed."
    "She pushes her roughly face down on the bed before hurriedly pushing her dick inside her pussy."
    sil "Oh, you're still great..."
    "To the great displeasure of her friends, she stood there, enjoying the sensation without moving."
    sil2 "Come on, just fuck her, we're waiting."
    sil "Hey, I was the one who brought her, I get to enjoy it first."
    "She slowly started moving, clearly trying not to come too early. Her friends were playing with their own cock as they were waiting."
    sil "Yeah, you like my big dick, don't you, slut?"
    eve "..."
    "Evelyn stayed almost motionless. It looked like she wasn't enjoying it but her lust kept accumulating anyway."
    "The woman's cock , annoyed by her lack of answer, spanked her butt."
    eve "Y-yes, I like your big dick."
    "Note on my part, her cock was small and stunty, it'd require skill to please her partner with that, which she was clearly lacking."
    sil2 "Faster, we're waiting..."
    sil3 "I... {i}Humph...{/i}"
    show silhouette3 at toright3
    "The woman, who started masturbating faster, decided to go to the other side of the bed."
    sil "Hey, what are you... I said you'll go later!"
    sil3 "I can't hold back..."
    "She pokes Eve's mouth with her cock, prodding it open and slipping it in."
    sil2 "Hey, that's cheating! I'm coming too!"
    "And she straddled in front of the ugly one, grabbing Evelyn's butt."
    sil "Get your butt out of my face!"
    sil2 "Wait, I just need to get in position..."
    "She wriggled her way into Eve's ass."
    sil "Great, can I fuck her, now?"
    sil3 "She's too good, I'm coming already."
    "Evelyn was barely making any effort and she came on her face."
    sil "Yeah, I know..."
    "The two still fucking her lacked coordination, making their movement more tiring than pleasing."
    sil "Hey, since you're done, can you do... what we talked about?"
    "She awkwardly winked to her friend, obviously planning something bad."
    sil3 "Y-yeah... o-okay..."
    "The woman walked towards the bed and cast a quick spell on Evelyn."
    eve "W-what did you do?"
    sil "Nothing, just something to help your stamina for us three."
    eve "O-oh, okay, t-thanks?"
    "Even more suspicious, so I decided to check magical effects on Eve and didn't detect any. I was wondering what she did when..."
    sil "Cumming!"
    "She pushed as deep as possible, almost trying to reach her womb with her small cock."
    sil "Yeah, get pregnant with my child!"
    "That's when it hit me, there was no magical effect on Eve... none! She dispelled her Shield!"
    eve "W-what?"
    "I immediately recast a new one but couldn't do much more without revealing my presence here."
    sil "Sorry, that was just... {i}ehm...{/i} roleplay, yeah, that's it."
    show silhouette3 at toright2
    show silhouette2 at toright3
    sil2 "My turn, now!"
    "She tried pushing her friend out of the way but she didn't feel like moving"
    sil "I'm going back, you wanted her butt, so keep it!"
    sil2 "What? Come on, you already creampied her..."
    sil "You didn't wait like I said, so it's my turn again. I'll be the one who gets her pregnant!"
    show silhouette at toleft3
    show evelyn at toleft
    "Evelyn wasn't bothered by the whole pregnancy kink. Dispel magic wasn't common, especially cast that fast, so it's not a surprise she thought it was just a kink play."
    "The two girls fought by themselves like virgins around their first pussy and I'm pretty sure it's what that situation was."
    "As they fought, their cocks started rubbing against each other."
    sil "Stop that, I don't touch me with that thing!"
    sil2 "Let go of me, I want to creampie her too!"
    "The third one took a seat on the side, probably too exhausted by her dispel. She was skilled to have been able to do it to begin with."
    "What started as a childish fight became even more pitiful. Without saying immoral, they were clearly fighting to get a girl pregnant without her realizing it."
    sil2 "You said we'd all have a chance!"
    sil "Well, fuck you!"
    "They weren't competing just to fuck her but almost like it was their only chance to leave an heir in the world."
    "A sudden wave of anger took me, so I decided to finish them off myself."
    sil "{i}Hgnn...{/i}"
    sil2 "{i}Ha... ha... haaa!{/i}"
    "I used magic of my own to make them have the best orgasm of their life as they were wrestling with each other."
    "They immediately let go of each other, exchanged look before looking away in shame."
    eve "Can I go, now? I still have laundry to clean..."
    sil "Ah, ehm... yes, you can go..."
    sil2 "But, I didn't..."
    "But she looked down at her crotch, her cock staying flacid."
    eve "Another time, maybe, but I can't wait too long, I have work to do."
    sil3 "Thank you for the blowjob..."
    show evelyn base
    "And she stood up, dressed and started collecting dirty clothes and stained bedsheets."
    "Having been rejected, the two girls lost their self-confidence and stopped acting high like before."
    "Evelyn took it as a sign that it was okay for her to leave and I followed too, having seen enough for today."
    "She was completely corrupted, I didn't know what more I could do so I returned to my room to think about it."
    eve "Thank you for your patronage."
    return

