define hildaLove1Done = False

label HildaGreeting:
    hil "Welcome. Are you here for a checkup?"
    return

label HildaSpendTime:
    scene town
    show hilda
    hil "Okay, tell me how you feel..."
    "She examines you for some time, casts a few spells."
    random:
        $hilC.increaseMod(0, 5)
        $hilC.increaseMod(1, 5)
        $hilC.increaseMod(2, 5)
    random:
        $dayBonuses.addBonusEffect("Focus", amount = 2, character = "Hilda", auto = True)
        $dayBonuses.addBonusEffect("Insensitive", character = "Hilda", auto = True)
    hil "Everything seems all right, but let's continue another time. Better safe than sorry."
    return

label HildaIntro1:
    "You've been in the town's dream for a while now but can't seem to progress. It feels like you're going around in circles."
    "After beating the Knight, other succubi are reluctant to come to you and you wander without aim for what feels like hours, until you feel someone familiar."
    show margaret succubus    
    mar "You're feeling a bit lost, aren't you?"
    "You nod and explain the situation."
    mar "The reason you don't know where to go is simple, you're lost because you don't want to go anywhere."
    mar "The dreams around here are those of the whole town, there is no \"next place\" so you can't just stumble into it. But if there's somewhere you want to go, you can focus on that place."
    mar "An example, let's say you're a succubus wanting to infiltrate the dreams of a cute waitress you saw at the cafe today. First, you have to exit your dream, you've already learned how to do it."
    mar "Next, you're surrounded by dreams close by, in your case from those sleeping at the inn. That's easy and what you've been doing until now, you only have to wander and you'll leave to a bigger location, here, the town's dreams."
    mar "Once you're here, it becomes impossible to leave... okay, not impossible, but it would take a lot of time and effort to be able to get into the country's dreams, and it would be too dangerous for someone inexperienced."
    mar "But that doesn't mean you're done, if you can't go bigger, you can still go smaller. Find a place you want to go and, after a few tries, you'll get to that location."
    mar "You can go to a specific place, like a certain district then a specific building. It's easier to go smaller and smaller rather than directly to a precise location, but there are ways to help."
    mar "The easiest way would be to have an anchor, or someone you're close. Like with Melody, you felt her all the way from the town and managed to zoom right to her."
    mar "And that's the basic of the dive. First you gain altitude, then you jump into locations until you can dive into your target's dream."
    mar "Come and find me tomorrow, we'll try to find a Sleeper to save as a training to become an expert dream diver. I might have somebody in mind..."
    $story = 20
    if diverBonus:
        $diverBonus.giveRelationPoints(1, dreamDepth * 100)
    jump wakeUp

label HildaIntro2: #if story == 20
    scene bedroom
    show player at left
    show margaret at right
    mar "Ah, you're here. I've been asking around about Sleepers and I found that someone you know and who'll probably agree to play by our rules."
    pc "Someone I know is a Sleeper? Who is it?"
    mar "She fell asleep quite recently, just a few days ago in fact. And as a bonus, she's someone I've worked with, too."
    pc "And she is...?"
    mar "She is Doctor Hilda Warder."
    pc "What? Doctor Warder is a Sleeper? I've met her when I came back..."
    mar "Yes, it worries me, too. The fact that she's fallen to a succubus is strange."
    pc "What do you mean?"
    mar "The succubi who are in town right now are low ranked and, from what I know, Warder is quite willful and not particularly perverted."
    mar "I'll explain. There are two way to lose to a succubus : She can charm you, but as I said, the ones in town are weak, so she would have probably resisted."
    mar "The other way is to let them win. They offer a lot of thing : sex, fetishes, escapism,... love... A lot of people simply agree to be possessed."
    mar "But she was quite stubbornly trying to help others, I don't think she'd abandon them for her selfish pleasure."
    pc "So what does that mean? A more powerful succubus got her?"
    mar "It's possible, but I'd probably have felt them by now. I have another theory. You see, I've been snooping around the researchers hired to solve the Blissful Sleep problem, and which I'm part of."
    mar "And yesterday, I heard a rumor about Doctor Warder : they said she was investigating a new lead. It happened because one of her patient, Evelyn, woke up."
    mar "She spent quite a few hours talking with your sister, and she called a few favors to bring mages around the inn during the night. I think she might have found the real reason."
    pc "Do you mean she was targeted for an attack? Who would do that? Is there a succubus spy with the researchers?"
    mar "Except me? No, I'm quite certain there isn't. But a coordinated attack by a group of weaker succubi would have been enough to get rid of her. The only way they never do it normally is that only one of them can possess the target."
    mar "But who would be calling the shots? I don't know... The succubi might have a leader, hidden away, deep in somebody's dream, or it might be a hume traitor, summoning a bunch of free succubi to forward an unknown plan..."
    mar "I have to say I'm a bit unsettled. It's becoming more complicated than I expected."
    pc "It doesn't matter. All I need to do for now is to wake Doctor Warder up. She might have infos about her attacker."
    mar "I doubt it, succubi are renowned to be efficient in dispatching their targets."
    pc "It's no use worrying about that now. First, we save her, and after that, if she doesn't have anything to help, we'll think about what to do."
    mar "{i}*Laugh*{/i} You're quite pragmatic. But you're right, let's not get depressed about a failure before the outcome is revealed."
    mar "Plus, she's a good target to practice your dream dive. You know her, but are not overly familiar, not too easy, not too hard. She lives by the park, so focus on that and I'm certain you'll find her dream."
    pc "I'll do my best. See you in the next dive."
    mar "Yes, and stay safe."
    $story = 21
    jump dayTown

label HildaIntro3: #FIRST TIME
    if story == 21:
        $story = 22
        "The succubi have finally calmed down and you begin to focus. You're looking for Doctor Warder but you aren't really sure how to proceed."
        "After trying to feel some presence around you, you realize that there are hundreds people, thousands even."
        "But that's not how Margaret told you to do. First, look for the town park..."
        scene forest
        show spaceoverlay:
            alpha .8
        "The place is easy to find, but it feels... wild. It's full of life but doesn't seem to have a concrete form. Is it really safe to dive?"
        "You peeked, getting closer and closer to it, almost feeling like chickening out, but before long, you feel a strange, sterile dream and, within it, Doctor Warder."
        "How do you know it's her? It's like you were just in a conversation with her, her presence is right there. It's quite unusual, but you decide to dive into that dream."
        scene doctoroffice
        show spaceoverlay:
            alpha .8
        show nurseS
        "The first thing that shocks you is how empty the place feels. White walls, white corridor on each side with white doors. A few empty seats are around you and a reception desk, manned by a strict looking nurse."
        nur "Welcome, how can I help you?"
        "Crap, you're spotted. Didn't Margaret told you she'd come? I should get ready to fight..."
        nur "If you want to fight or fuck, I'll have to ask you to do it outside. I'm quite busy at the moment and don't have time for those kind of distraction."
        pc "Oh, ehm, I'm sorry, I kind of expected you to jump me..."
        nur "Don't bother me and I won't do anything like that. Now, if you don't need anything, please exit this dream as soon as possible."
        pc "I... I'm looking for Doctor Warder. Is she available at the moment?"
        "Your way of speaking changed before you realized it. It's almost as if you were at the hospital."
        nur "Do you have an appointment?"
        pc "Ehm, no, I just felt her presence around here."
        nur "I'm sorry, but she is overbooked. A lot of patients here require her help, so if you don't need anything, I'll have to ask you to leave. Thank you."
        menu:
            nur "I'm sorry, but she is overbooked. A lot of patients here require her help, so if you don't need anything, I'll have to ask you to leave. Thank you."
            "Plead":
                pc "Please, I really need to talk to her. I need to find if she's okay."
                nur "She is fine, she's helping other patients trapped in here as best as she could. I'll tell her you came by, if you know her personally. What's your name?"
                pc "[pName], but how can I be sure that..."
                $tmp = True
            "Fight":
                pc "I'm sorry, but I really need to see her. [playerBattle.name]!"
                nur "{i}*Sigh*{/i} I don't have time for this..."
                $tmp = False
        "A sudden voice coming from nowhere interrupts you."
        "Voice" "Nurse, let her through. I'll meet her in my office."
        nur "But Doctor, she's..."
        nur "The Doctor will see you, second door on the left."
        "She returns to her paperwork and immediately seems to forget about you."
        hide nurseS
        "You enter the hallway. All doors look identical and you stand in front of the one the nurse told you, a bit unsure about what you'll find inside. But the door opens before you."
        show margaret
        mar "I knew you'd make it."
        pc "Margaret? What are you doing here? And why are you in your human form?"
        "She gestures to enter. The office is about what you'd expect from a renown physician, full of strange medical equipment, but devoid of anything extra or personal. Not even the educational poster you usually see."
        show margaret at toleft
        show hilda at right
        "Standing next to her desk is the small Doctor Warder, examining you."
        mar "See, what did I tell you."
        hil "Still, that doesn't prove it's the real [pName]... but I'll believe you, I know she's involved into this. Please, sit down."
        "She points a chair as she and Margaret are going back to theirs."
        hil "Now, [pName], from what she told me, you also knew about this world; that's how you awakened your sister... Why didn't you inform the authorities?"
        mar "I asked her not to."
        hil "I'm asking her."
        "You take a few seconds to think..."
        pc "I was a bit overwhelmed. Everything happened quite fast and Margaret told me about what would happen if it became known."
        hil "What {i}could{/i} happen. Sure, if you ran around town shouting that succubi are around, it'd create panic, but a few select people..."
        mar "Nobody would be perfectly safe. We're talking about spying in their dreams, anybody who sleeps could be spied on."
        hil "Yes, yes, I understand your reasoning. What I wanted to know is why [pName] trusted you."
        hil "You're smart enough to see that she's manipulative, and her objectives are uncertain, she could have lied or hidden important information. Why trust a demon you've just met?"
        menu:
            hil "You're smart enough to see that she's manipulative, and her objectives are uncertain, she could have lied or hidden important information. Why trust a demon you've just met?"
            "She helped me":
                $margaretDom += 1
                pc "She helped my save my sister from staying a Sleeper."
                hil "Sacrificing one small prey to potentially capture a bigger one is a basic hunting tactic. That doesn't make her trustworthy."
            "She saved me":
                $margaretDom += 1
                pc "She saved my from having my soul devoured by another succubi when I entered Eve's dream."
                hil "So she could make you a pawn, or feed on your herself later. That's not a good argument."
            "I'm not sure":
                $margaretDom -= 1
                pc "I'm not really sure. There are many small reasons, not one in particular. And if it turned out to be worse, I could still warn somebody."
                hil "If you were still alive, that is..."
        pc "Would it have been better to inform the guards? I could still do it, it's not too late."
        hil "No, from what I learned, she is correct and didn't lie on that. I'm just wondering about the reasons she has to betray her own kind."
        mar "Could you stop talking about me as if I wasn't right next to you. And you're talking about my hidden agenda, which I already told you is to prevent useless deaths, whilst you're hiding in your own dream."
        hil "That doesn't concern you!"
        mar "Yeah, neither do my intentions."
        "They are on the verge of starting a shouting contest, you have to change the subject."
        pc "Doctor, how did you become a Sleeper? Are you possessed by a strong succubus?"
        "She is surprised by your question and Margaret smirks."
        hil "I... no, I chose to come here to investigate."
        mar "The nurse at the reception made her this dream."
        hil "Yes, as I was trying to access the mind of one of the Sleepers, she showed up and offered me her help."
        mar "She accepted, the hypocrite."
        hil "But she doesn't control me, I know how to wake up whenever I want."
        mar "{i}*Laugh*{/i} That's exactly how you're trapped : whenever you {b}want{/b}. You don't want to leave this place, it has exactly what you wished."
        mar "You're helping people with their problems, real people even, they were generous with you. Without considering you don't need to cook, eat, sleep, clean... do anything you don't want."
        mar "You don't even have to go back home to your..."
        hil "SHUT UP!"
        "There's a moment of silence where Margaret has the biggest grin on her face. She won and they both know it."
        hil "The people here are often mentally weak, that's how they fall prey to succubi. But their dreams puts them at ease, and it makes it easier to talk through their problems. I'm helping them."
        "Margaret opened her mouth to answer, but changed her mind and turned towards you with a look saying \"You take care of it\"."
        menu:
            "Margaret opened her mouth to answer, but changed her mind and turned towards you with a look saying \"You take care of it\"."
            "You're running away":
                pc "You're here because you're running away, helping them is only an excuse."
                hil "I'm not running away! I just can't leave this place, I can't leave those people alone in here. And what would I be running away from, anyway?"
                mar "You're overworking yourself when you're awake and use it as an excuse to stay here too, so there's two options : Either you have a savior complex or you're running away from something outside of work."
                mar "Whilst I don't exclude the first option entirely, I think you're escaping your home problems by finding refuge in your work. So what is it? My guess is on a cheating partner."
                hil "Just... shut up, you."
                $hilC.addPoints(2, 50)
                "She glares at Margaret for a while, it seems she hit the mark."
            "They're in danger":
                pc "You're helping them in the long term, but what about their immediate safety? They are still at the mercy of the succubi."
                hil "It's an opportunity that won't happen again. I can see their wants, not have to interrogate them through self-lies and shame. Others could save them from the demons, I save them from themselves."
                pc "What about you? This place shows what you want, too. I know you were frustrated by not being able to help the Sleepers, but here? You're doing that all day and night. And I'm sure there are other advantages."
                $hilC.addPoints(0, 50)
                "She lowers her head, deep in thoughts. Margaret gives you a sneaky thumbs up."
        "Doctor Warder looks away for a moment before breaking the silence."
        hil "I know I'm lying to myself... I was stuck trying to save them, it's been months since the start of the Blissful Sleep and no progress was made. Until you came back. The same day, Evelyn woke up."
        hil "That was... unbelievable. You were a good adventurer, but not a mage or priest, was it really a coincidence? I didn't think so."
        mar "So, you were jealous? A simple adventurer managed to save someone you couldn't?"
        hil "What? Not at all! It showed me there was a way to awaken them. I could, or rather should, have asked you directly, but if you didn't share what you knew by yourself, you'd rather have kept it secret, so I searched."
        hil "How could she have found something? The first thing I thought was that you defeated Lilith. To do that, you had to practice oneiromancy, so I looked into it. In a few days, I managed to get into a weak trance, but I quickly sensed the succubi."
        hil "I decided to trust you, since you had more experience than me dealing with them, so I didn't reveal their presence before getting more information. But one of them contacted me, offered me this place to do my research and it all started there."
        hil "That was a trap, I realized it, but what did I have to lose? In the end, here I am, I got caught whilst you weren't."
        pc "Me? I got here by accident, almost died in the first few minutes and only progressed thanks to Margaret."
        hil "What do you mean \"by accident\"?"
        pc "I never managed to learn oneiromancy. Lanelle, our mage back then, tried to teach me but I think too much to be able to meditate... the fact that they are succubi is just a coincidence."
        hil "It can't be... really?"
        mar "She was lucid dreaming when I got to her, she used the main entrance to get into the world of dreams. She can't walk around here without being swarmed by succubi. Had I found you first, Hilda, I'd have used you instead of her."
        hil "Me?"
        mar "A few lessons would have been enough for what I had in mind, but the Nurse got her hands on you first, so now, you're hers."
        hil "But I didn't..."
        mar "You did. The moment you knew it was a trap and still chose to stay, you were under her control. That's what I told you before. Look, even now, I can get you out of here easily. Do you want to leave?"
        hil "I... can't abandon my patients..."
        mar "{i}*Sigh*{/i} I know, I know. But I have a way to get both : you can leave and come back here at will. I'll teach you a bit of our magic and with the help of the Nurse, you'll be free to come and go, just like [pName]."
        hil "Is that really possible?"
        mar "On one condition : We are in need of a team to dive to the source of the problem, you have to join us."
        "The doctor looks at you and you nod in agreement."
        hil "What would I have to do?"
        mar "Do? Not much. I'll link the Nurse to you and that's it. The thing is, [pName] will use her power to dive. That means two things : you'll have to have a trusting relationship and if there are problems during a dive, there might be some consequences."
        mar "Consequences like you becoming more... liberated. I can revert most changes once this is all over but I can't erase what you experienced during that time. Would you agree?"
        "She takes some time to think, sometimes asking for more details from you or Margaret, but in the end, she agrees."
        hil "I'll do what I can to help. Does that mean that I'll be one of the Awakened, as some colleagues called Evelyn?"
        mar "Sure, if you want to call yourself that way. You just need to ask the Nurse to come by and [pName] will deal with her."
        "Doctor Warder closes her eyes and talked loudly, her words echoing in the whole building."
        hil "Nurse, could you come to my office?"
        show margaret at toleft2
        show hilda at toleft
        show nurseS at inright
        "She entered almost immediately."
        nur "Yes Doctor? Do I have to escort them to the exit?"
        hil "I'll be leaving with them. Please, let us out."
        nur "But Doctor, what about your patients? You can't leave them like this, they need your supervision."
        menu:
            nur "But Doctor, what about your patients? You can't leave them like this, they need your supervision."
            "She's leaving":
                pc "No, she's leaving!"
                nur "I can't let you do that, what we're doing here is more important than her freedom."
                call startBattle(oSuccubusDB["Nurse"], "HildaIntroWin", "HildaIntroLoss") from _call_startBattle_4
            "We're helping her":
                pc "We're trying to help her. There are things to go in the real world, but if you help us, she'll come back here."
                if tmp:
                    "She looks at Doctor Warder before coming back to you."
                    nur "Very well, if that's what the Doctor judges best for the patients, I'll have to agree."
                    "She walks towards the door, but Margaret has another idea."
                    mar "Oh, no, you won't get away like this."
                    "She snaps her fingers and a pink mist appears around the Nurse."
                    nur "What... what are you doing?"
                    mar "For our purpose, making you agree to leave us alone isn't enough; We have to make you submit. And if you're not willing to fight, there's still another way..."
                    "The mist twirls around her, making her dizzy and visibly aroused."
                    call HildaIntroWin from _call_HildaIntroWin
                else:
                    nur "You threatened her to make her leave? Like you tried to fight me to come here, didn't you? I won't let you, this research is too important."
    #NEXT TIMES
    else:
        show margaret succubus
        mar "Ready to go again?"
        menu:
            mar "Ready to go again?"
            "Why didn't you help?":
                pc "Why didn't you help me, last time? Won't Doctor Warder help us if we free her?"
                mar "Yes, she is, but I already told you : you're the one doing the fighting. You need to get stronger."
                menu:
                    mar "Yes, she is, but I already told you : you're the one doing the fighting. You need to get stronger."
                    "Insist":
                        pc "Didn't you ask for her help? You'd leave her like that if I fail again?"
                        mar "I wouldn't, but there are two reasons I don't fight. First, I don't want to fight other succubi."
                        pc "Why? You're a pacifist?"
                        mar "Yes. Second reason is that I believe in you. Fights with stakes are when you make real progress, when losing doesn't matter, you don't give your all, but here..."
                        mar "Here, you {b}have{/b} to save her. She'll be a great help for us and what we're doing."
                        pc "So, that's all? You've let the Nurse do what she wanted to us just because you didn't want to fight and believe in me?"
                        mar "Hilda won't remember much of that, so it won't have too big of an impact. But let's leave this conversation here, your fight is coming to greet us."
                    "Let go":
                        $margaretDom += 1
                        pc "Okay, okay. I'll try and do better this time."
            "Yes":
                pc "Yes, let's go."
        scene doctoroffice
        show spaceoverlay:
            alpha .8
        show nurseS
        "As you enter the dream, you see the Nurse waiting in front of the reception desk."
        nur "Welcome, how can I help you?"
        nur "Did you come back for another shot? I'm sure the Doctor will find time in her busy schedule for you."
        menu:
            nur "Did you come back for another shot? I'm sure the Doctor will find time in her busy schedule for you."
            "We came to free her":
                pc "No, we came to free her."
            "...":
                pc "..."
                show margaret succubus at inleft2
                mar "Really?"
                nur "Hahahaha, that'll be easy."
                mar "Come on, snap out of it."
                pc "Yes... we have to get her out of here."
        nur "Then, let's proceed to the next phase."
    call startBattle(oSuccubusDB["Nurse"], "HildaIntroWin", "HildaIntroLoss") from _call_startBattle_5

#DEFEAT
label HildaIntroLoss:
    scene doctoroffice
    show spaceoverlay:
        alpha .8
    show nurseS at right
    show hilda at left
    if story == 21:
        "You can't keep up. She expertly edges you and keeps you there, unable to think about anything else than release. As usual, Margaret vanished as soon as the fight began and Doctor Warder's eyes are unfocused."
        nur "Good, now Doctor, it is time for the daily check-up with your patients. Leave this intruder and let us go take care of them."
        hil "Yes Nurse, you are right. Taking care of my patients is the most important thing for me."
        show hilda at outright
        "She walks towards the door without looking back at you. The Nurse takes a syringe and injects you a strange liquid."
        nur "No more interference now, or I'll have to punish you again. If you're still here when we're back, I'll take care of you."
        show nurseS at outright
        "After they left, you expected to calm down, but whatever she did, you are unable to focus on anything else than your lust."
        menu:
            "Force yourself awake":
                "Okay, at three, open your eyes.{w} 1...{w} 2...{w} 3!{w=0.2}"
            "Masturbate":
                "You start to masturbate, hoping to come fast and recover your mind."
                "But it didn't matter, all you managed to do is edge yourself even more. You couldn't even think and continued to do it, hoping for an orgasm like an animal in heat."
                "You lost track of the time you spent in that state and are only interrupted once the Nurse came back."
                show nurseS at inright3
                nur "I didn't think you'd still be here, but I shouldn't be surprised."
                show hilda at inleft
                "Following her is Doctor Warder, still a bit out of it. She's standing a few meters behind, as if waiting for her next order."
                nur "So, human, I have the antidote to your current problem, but we have to ask the good doctor to prepare the shot."
                hil "Of course, Nurse, I'll get the injection ready."
                show hilda naked at toleft3
                "Doctor Warder strips down and walks in front of the nurse, then grabs her erect cock, moving her hand swiftly to get it erect."
                hil "First stage complete, now should we administer orally or anally?"
                menu:
                    hil "First stage complete, now should we administer orally or anally?"
                    "Orally":
                        pc "I'd rather take it orally."
                        hil "Come, then."
                        "She takes her condom off and you try to stand up but are only able to walk on all fours towards the Nurse. You don't have any self control remaining and envelop her cock in your mouth."
                        hil "Good, now add some suction and the medication will come quickly."
                        "You start blowing her, your mind still fuddled by the time spent edging. You devour it with a strange hunger, and very sloppily."
                        nur "Doctor, her condition seem serious. I think you'll have to speed up production."
                        hil "I agree, open your legs for me, please."
                        "Doctor Warder comes next to you and starts massaging the succubus' balls."
                        hil "Thank you, Doctor, but I... she'll need just a bit more."
                        "The dwarf takes them in her mouth, to the enjoyment of the demon."
                        "You don't have to continue like that for long as your feel her dick getting harder at a fast rate."
                        nur "Get ready, patient, drink it all."
                        "As the first drops of cum get in your mouth, you feel a strong hand pushing on the back of your head. It's the Doctor making sure you don't miss a drop."
                        "The Nurse ejaculates multiple time in your mouth and every time her sperm hits the back of your throat, you come with her, spraying it on her legs and feet."
                    "Anally":
                        pc "A... anally, please."
                        hil "Good choice, it'll be more effective that way. I'll take care of the lubrication."
                        "After saying that, the doctor, who's at just the right height, grabs the succubus' cock right between her breasts and drools plenty between them."
                        nur "Ooh, thank you Doctor, that's your specialty. You are really the best for titjobs."
                        "Moving her tits up and down, adding a lot of saliva and looking the Nurse as she does, her dick looks even harder than before."
                        "You can see the pleasure on the demon's face, and even the dwarf is heating up, but you're left alone, cock in hand."
                        nur "No need to look lonely, patient, we are only doing our job to cure you. Now, get in position."
                        "Without thinking, you point your ass towards them and present yourself, ready to take it all in."
                        "The Nurse is getting really close, loosing her facade when she starts humping the doctor's cleavage."
                        "You were wondering if she'd come right there when she suddenly took it out, removing her condom and plunging it in your ass."
                        "In a single thrust, she was balls deep and immediately came deep inside you. Every jet of cum making you come with her. She even grabbed your butt to make sure you took it all in."
                        "Meanwhile, the dwarf changed position and plunged a finger in the succubus' pussy, stimulating her prostate to produce more."
                        "It lasted two whole minutes during which she came multiple times inside you. After that, she let go of you and you fell on the ground, drained."
            
                nur "Congratulation, Doctor, the treatment was successful."
                "Your consciousness starts to fade as you wake up."
                nur "Now Doctor, I'd be grateful if you cleaned the instrument for me."
                "Your last vision of the dream is Doctor Warder taking the succubus' cock in her mouth as the demon smiles to you."
                    
    else:
        nur "Why do you insist? Are you enjoying your punishment?"
        menu:
            nur "Why do you insist? Are you enjoying your punishment?"
            "Wake up":
                "You force yourself awake, quickly ending the dream."
            "Submit":
                "You submit to the Nurse, giving you a shot to \"cure\" you of your heat."
    #WAKE UP
    $hilC.addPoints(2, 100)
    $renpy.notify(str(hilC.lsPoints))
    jump wakeUp

#WIN
label HildaIntroWin:
    scene doctoroffice
    show spaceoverlay:
        alpha .8
    show nurseS
    nur "I yield, I yield. You can stop and... do whatever you want."
    "You can see the Nurse leaning forward, pressing her hand against her cock, trying to hold back her orgasm."
    "She slowly walks away, defeated."
    menu:
        "She slowly walks away, defeated."
        "Let her go":
            "You let her leave the room, but Margaret pops up to remind you of your objective."
            mar "You still have to dominate her, otherwise you won't be able to control her during future dives. Come on, follow her."
            "The both of you go back to the reception where you find her with her head between her hands, trying to will her erection away."
            mar "What is she doing? She could just masturbate and calm down quickly... No matter, go on."
            "She pushes you in the direction of the Nurse who finally spots you."
            nur "What do you want now? Can't you just leave me alone?"
            menu:
                nur "What do you want now? Can't you just leave me alone?"
                "Question her":
                    pc "Why don't you just... help yourself? It'd be easier, no?"
                    nur "{i}*Grumble*{/i} If I come, I wouldn't be able to focus. I'd switch to succubus mode until I'm satisfied, and I'd risk using our patients for that."
                    mar "She seems to have empathy for her preys. It's quite rare for a succubus. She'd be ridiculed if others learned about it."
                    nur "Oh, shut up, you. It's not like you're any better."
                    mar "True, true. [pName], you made her that way, it's your responsibility to help her, now."
                    "You walk up to her. She lets you do without much resistance and let you grab her cock."
                "Walk up to her":
                    "You slowly walk up to her with a hungry gaze."
                    nur "Come on, I just... {i}*Sigh*{/i}"
                    "She meekly tries to prevent you access to her cock, but with a bit of insistence, you manage to grab it."
            "You position yourself behind her chair and go at it from the other side with your second arm, catching her in some sort of hug, then you languidly start moving your hands. She leans back and instantly melts with pleasure."
            nur "Okay... please do it quickly."
            "Not wanting to displease, you pick the pace up and her moans mean that she appreciate."
            "She softly grabs your arm and caresses it with her thumb. It seems she's looking for physical contact and a bit of tenderness, unlike other, more voracious, succubi."
            nur "You're doing great, thank you."
            "Her other hand slithers behind the chair, looking to pay you back. She manages to find your dick and starts her own handjob."
            "The way her hand moves feel almost surgical. She tightens her grip at the right places and let go of the pressure otherwise, all that at quite a fast pace, she knows exactly what she is doing."
            "But you don't lose focus and continue your strange chair-hug and the both of you continue mutually masturbating each other."
            nur "I'll finish soon, I need to pick up the pace."
            "Her hand starts moving quite fast considering her position, and you are immediately brought to the edge. You try to hold as long as possible, but you quickly paint the back of the chair white."
            "At the same moment, you can feel her cum rising inside her cock and see her condom filling up."
            "You both started to come at the same time, but her orgasm was longer. It seems she hadn't done that in a long time."
        "Finish her off":
            "She didn't submit to you yet, so you can't let her leave for now and grab her by the arm."
            nur "Let me go! Just leave me alone..."
            "Her meek protests seem to arouse her more as her cock is now completely hard. You push her onto the desk where she falls on her back, her cock and pussy on full display."
            menu:
                "Her meek protests seem to arouse her more as her cock is now completely hard. You push her onto the desk where she falls on her back, her cock and pussy on full display."
                "Help her":
                    "The hard cock standing right up looks in need of help, and it's in the perfect position for a tittyfuck, so the obvious answer is to grab it between your breasts and release its pressure."
                    "As you remove your top, you see her looking at your tits with obvious hunger. She doesn't try to stand and seem to look forward to what will happen."
                    pc "No more protest?"
                    "She jumps at your comment then shakes her head. Looks like you have truly won. You sandwich her cock in your breasts and service her to her full enjoyment."
                    "You don't even need to add some lubrication as her cock is flowing precum to help you with your task."
                    nur "{i}*Moan*{/i}"
                    "The Nurse is slumped on the desk, fully enjoying your ministrations."
                    "After a while, you can feel her slightly humping in rhythm with your movement, trying to get more pleasure."
                    "You keep moving slowly, but to add some spice to it, you kiss the tip of her cock as it peaks between the top of your tits."
                    nur "Wait, it's too..."
                    "That's what tipped her over the edge and she fills her condom."
                    nur "{i}*Mnnnnhh*{/i} I wanted to last longer..."
                    "She sits up, petting your head and moving her feet towards your cock. Her orgasm seem to be contagious because your are suddenly very aroused."
                    "She's very dexterous with her feet, you won't last long."
                    "After removing her condom, she gives you a kiss on the forehead, making you cum faster than you usually do..."
                "Help yourself":
                    "You grab her legs and line yourself in front of her wet hole, then penetrate it in a single thrust."
                    nur "Gentler... please."
                    "You comply and move in and out of her at a slow pace. She seems to enjoy it, her dick is leaking precum in big quantity."
                    nur "Yes, that's better."
                    "But as you accelerate the pace, you can see that she's not going to last long."
                    nur "{i}*Moan*{/i}*"
                    "You're not close. At all. You don't think she earned the right to come so soon but don't feel like slowing down. You grab her cock and squeeze."
                    nur "{i}*Whine*{/i} Please, I'm gonna come."
                    "That's the point. You can feel it throbbing inside your hand, ready for the slightest release of your grip to cum."
                    "Not stopping there, you start to hump her faster, wanting your own finish. But it's getting hard to keep her from coming..."
                    nur "Place your thumb... at the base... and push...\nYou'll be able... to manage when I... ejaculate... easier..."
                    "Why is she explaining to you how to deny her? It doesn't matter, you do as she says and press hard."
                    "You let go of your other hand. Her advice is useful, it's way less tiring and lets you focus on fucking her."
                    "That allows you to reach your peak quickly, it'll be time to wake up soon. And with a last, deep thrust, you finish inside her as you release your thumb and you spray her cum inside her condom."
    "After your orgasm, you slowly start to wake up. You can see Doctor Warder slowly coming back to her senses."
    mar "I'll take care of the doc', you don't have to worry about her. Next dive, we'll have a brand new ally to train."
    mar "You don't have to be there for the full explanation, she'll take my word for it. But do come visit her, when you have the time, you still have to reinforce your bonds."
    "She winks and the hospital fades away..."
    $hilC.addPoints(0, 50)
    $hilC.unlock()
    if persistent.hilda == None:
        $persistent.hilda = "B"
    $removeEvent("HildaIntro3", "Town_End")
    $diverBonus.giveRelationPoints(1, dreamDepth * 100)
    $story = 23
    jump wakeUp


#Friendship
label HildaFriendship1:
    #Back to the dream - She's anxious about going back in her dream and asks to be accompanied
    play music hilC.music if_changed
    show player at left
    "Doctor Warder sent you a Message asking you to visit her \"when you have the time\", which would be right now, you aren't doing anything in particular. You tell her that you are available and she sends you her address."
    "Margaret already explained to her everything about what you're doing, but she's probably interested in a second opinion."
    "You ring the doorbell."
    show hilda at inright
    hil "Ah, [pName], I was waiting for you. Let's go."
    show hilda at outright
    "Right after saying that, she goes back inside and you follow her, a bit confused."
    scene livingroom
    show player at left
    show hilda at right
    pc "Let's go? But... where?"
    hil "Oh, right... sorry, I'm a bit anxious."
    hil "I want to go back to that dream. Margaret taught me how, but I'm... afraid of going back alone. So I wanted to ask if you'd be okay to accompany me."
    pc "Oh, I don't mind, but I can't use oneiromancy..."
    hil "It's not a problem, I'll cast the spell. You only have to meditate and we'll both go."
    pc "Okay, I'll... I'll try..."
    "You're a bit ashamed, but you have a hard time meditating. Every time you tried, your mind was immediately filled by random thoughts."
    "What's strange is that you can correctly focus when you're training with your weapons, but as soon as magic is concerned, you're unable to empty your head. Most eight years old would be better mages than you."
    "You're sure that Doctor Warder knows of your difficulties with casting, but you always tried to keep how bad it was a secret."
    hil "You can sit there. I only have about an hour available, so it'll be just a quick dive and we come back. Let's start."
    show black with dissolve
    "You take your place in front of her and close your eyes."
    "Maybe you should warn her? You don't really want to disappoint her, but it would be easier with Margaret. Or maybe it's because Margaret is a succubus and she doesn't trust her completely. Then again, if she's doing this, she has to have some trust."
    "Should you Call Margaret? No, Doctor Warder has her reasons to ask you. And you should be able to do it, you dive every night, it's not any different."
    "Oh, and about that, should you pick a succubus right now or dive without? The dream is protected by the Nurse, it should be safe enough but..."
    hide black with dissolve
    "Wait, is that Doctor Warder talking?"
    hil "{i}*Groan*{/i} I'm sorry [pName], I don't think I'm good enough to find you. I think I'd be able to dive, but I don't detect your presence. I thought I practiced enough, but we'll have to do this another time."
    "It's completely your fault. She couldn't pick up on you because you weren't meditating, once again. You were lost in your thoughts."
    menu:
        "It's completely your fault. She couldn't pick up on you because you weren't meditating, once again. You were lost in your thoughts."
        "Tell her":
            $tmp = False
            pc "No, no, it's not you. It's simply that I wasn't focusing, it's my bad."
            hil "Oh, is that all? Let's try again, then, and please do it correctly this time, my wife will come back soon."
            pc "No, what I mean is that... I can't meditate. I can't collect my thoughts, I've never been able to..."
            "You look away, shamefully."
            $hilC.increaseMod(0, 50)
            hil "Ah, that's the reason. I didn't realize that was why you had a casting handicap. No problem, I'll be back."
            show hilda at outright
            show hilda at inright
            "She goes upstairs and you wait there for a while, then she brings a carton full of... things?"
            hil "Those are tools I use when I need to reach a deep state of meditation for harder spells, they might help you for this."
            "She picks up a tuning fork."
        "Call Margaret":
            $tmp = True
            pc "Maybe Margaret would be able to help? Should I Call her?"
            "Doctor Warder looks straight at you for two seconds too long before answering, and you feel a bead of sweat on forehead."
            hil "No, there's no need to bother her. I'll just go fetch some tools... stay here."
            "She goes upstairs and you wait there for a while, then she brings a carton full of... things?"
            hil "Those are tools I use when I need to reach a deep state of meditation for harder spells, they might help in our situation."
            "She found out about your problem, even if you didn't tell her and you look away shamefully as she picks up a tuning fork."
    hil "Let's try again."
    "She hits the fork and you try again, but it doesn't last long enough for you. She then tries a metronome, but you find it quite irritating. Sounds of nature bring back a lot of memories and any music distracts you."
    hil "It's harder than I thought, but I won't give up before trying this one. It's a bit uncomfortable but, please, bear with it."
    "She picks up a small crystal, casts a spell at it before pacing it between you and closing her eyes. You do the same and a slow wave of cold enters your body. It's not freezing, but cool enough to slightly numb you."
    scene space1
    show player at left
    show hilda at right
    "You feel your body slow down and the only thing you can focus on is this strange sensation... until you feel a pull drag you somewhere."
    hil "We did it!"
    "You're floating in the nothingness as you do every night. It feels weird to be there without a succubus but you're happy to have managed to do it."
    hil "Okay, we've accomplished our objective, let's go back."
    pc "Why? Weren't we going to your dream?"
    hil "There's no need, the biggest hurdle is cleared, going there is the easy part. And I don't really have much more time, Berth will come back soon and..."
    hil "Let's go back."
    scene livingroom
    show player at left
    show hilda at right
    "Another pull brings you back to the real world, where you feel a bit sore as you get up."
    hil "Thank you for today, next time, let's go all the way, okay?"
    pc "Ehm, yes, let's."
    "She hands you the crystal she used to meditate."
    hil "Oh, and take this with you. Just cast a small wave of cold on it and that should help you focus. Don't forget to bring it next time."
    if tmp:
        "She saw right through you, and you mumble your thanks as you take it."
    else:
        "You're still able to cast small spells, so that should be helpful."
    pc "Thank you, that'll be useful."
    hil "It won't help if you need to cast quickly, but for times like this one, don't hesitate to use it. If you use it in your pocket, it's quite subtle."
    "After thanking her again, she walks you out. You were coming here to help her with a problem, but she ended up helping you, instead."
    $hilC.increaseRelation(0)
    return

label HildaFriendship2:
    #Another work day - You go back to the dream and watch her work
    $sil.name = "Rox"
    play music hilC.music if_changed
    show player at left
    "Today, you're going back to Doctor Warder and help her dream dive. For real, this time. You have her focus crystal in your pocket and you won't fail to meditate."
    "You arrive at her home and are surprised when you see her waiting for you outside."
    show hilda at right
    pc "Hi, I'm here. Is there something wrong?"
    hil "Hello. No, everything is fine. I thought we should do this somewhere else. Doing it at home could be a bit inconvenient so we'll go to my office, it's not far."
    "Doctor Warder mainly works at the hospital, but she also has a private office where she receives her own patients. You aren't exactly sure of what she's doing at the hospital, she seem more like a generalist to you."
    scene doctoroffice
    show spaceoverlay:
        alpha 0
    show player at left
    show hilda at right
    "You came here often : fighting monsters outside of town, falling from high places, eating something you shouldn't have... common worries for a beginner adventurer."
    hil "Sorry if it isn't as comfortable as last time, but we shouldn't be disturbed here and we'll have all the time we need. Do you have everything ready?"
    "You take the crystal out of your pocket and sit down. After casting the wave of cold on it, you start to meditate."
    show spaceoverlay with dissolve:
        alpha 1
    show player at left
    show hilda at right
    "The same pull as last time happens and you find yourself in the emptiness with Doctor Warder."
    hil "Here we are again. Now, Margaret told me that I should feel for the Nurse. Hmm..."
    show hilda at toleft2
    show cat at inright
    "You can see her close her eyes again and focus and, as you're used to, a succubus appears."
    pc "Wait, stop!"
    "She found easy preys and won't hesitate but someone else appears just in time."
    show nurseS at inleft3
    nur "Get away, you lusty beast, she's mine!"
    cat "{i}*Hissss*{/i}"
    show cat at outright
    show nurseS at toright
    "She tries to intimidate the Nurse, but seeing as it doesn't seem to work, she quickly flees."
    nur "Doctor, what are you doing here? This place is dangerous for humes."
    show hilda at toleft3
    hil "Thank you for helping us. I wanted to come here, but I can't find the place... dream we were in last time."
    nur "I'll bring you two there."
    show spaceoverlay with dissolve:
        alpha .8
    "She gently pulls you towards her dream and you find yourselves in a familiar hospital."
    nur "Next time you want to come, you should rely more on our link. If you look inside yourself, you should be able to feel..."
    hide hilda with dissolve
    hide nurseS with dissolve
    "They start a conversation about the intricacies of their particular link, but you are more interested in the current environment. This place looks similar to the town's hospital, but you can find some discrepancies with the real one."
    "It is way more sterile. No plants, completely immaculate, as if it had never been visited by anybody. The place also feels slightly larger and completely white."
    "The hallways seem infinite, with door on both side. There are names written on the doors, but you can't seem to be able to read them."
    show hilda at right with dissolve
    hil "Those are the rooms of each patient. The left hallway is for the Sleepers, they seem to always be there and somewhere else at the same time, and the right is for normal dreams."
    hil "I don't interact much with those on the right, it feels too... personal to invade someone's dream. I mainly try to speak to the Sleepers, but more often than not they don't even realize I'm there."
    hil "Would you like to accompany me for a while?"
    pc "Is that okay? Shouldn't there be some confidentiality between a doctor and their patients?"
    hil "In normal conditions, yes, but it's not a normal therapy or anything. You might be able to help in some way."
    "She doesn't sound very confident in what she says, but you can feel that it'd help her if you did, so you agree."
    show hilda at toleft3
    "Doctor Warder opens the first door, takes a peek and closes it, a bit red."
    hil "Unfortunately, most of the rooms are filled with... perverse dreams. Succubi doing their job, I presume."
    "The next few doors were the same, then she makes sign to enter."
    show silhouette at right
    "This one has a half-orc sitting on the ground like a guard dog. She's naked, wearing a leash, next to her is a sign saying \"Bad Dog\" and a muzzle is on the ground."
    hil "Hello, Rox, how are you today?"
    sil "Doctor! I'm being a good dog today!"
    "She gets up and crawl next to Doctor Warder, waiting for headpats, which the Doctor gives her."
    hil "Good Girl. I see that you're not wearing the muzzle anymore, that's great!"
    sil "Yes, I don't want to bite but..."
    "She stops as she sees you come closer and then starts to growl at you."
    hil "Now, now, Rox. This is [pName], and she's a friend, be nice to her."
    "The half-orc stops growling but still looks at you with distrust."
    hil "When I came here the first time, Rox was chained in a cage and wearing a muzzle. She wanted to attack me when I approached, but after a few visits, she calmed down and freed herself bit by bit."
    sil "But I was a bad girl, it was normal for me to be caged. I wanted to attack everyone when I was awake, so I had to be trained."
    hil "The succubus who got her trains her to behave like a dog and do tricks. I come here when she's absent and help her."
    hil "Before, Rox was always resorted to anger when something wasn't right, and she blamed it on the fact she was a half-orc so never bothered trying to change."
    sil "But Trainer and Doctor Warder made me realize that I could be a good girl, and I try to become one... but it's hard... sorry for growling before..."
    pc "That's okay, no harm done."
    hide silhouette
    show hilda at toright
    "After a quick talk, you exit the room. You continue like this for some time, only talking to a few persons, then Doctor Warder turns towards you."
    hil "So, do you see what I'm trying to do here?"
    pc "Yes, this place allows them to be vulnerable and offers them a new point of view on themselves. The succubi offer them what they want, so it's a good opportunity."
    hil "And? What do you think of it?"
    menu:
        hil "And? What do you think of it?"
        "It's risky":
            pc "It's quite risky. They are still under the control of the succubi, couldn't they use what you do to break them further?"
            $hilC.increaseMod(2, 20)
            hil "Yes, I thought about it, too... but it's a unique opportunity for those too much on their guard and refusing help normally."
        "That's a good idea":
            pc "That's a good idea. As I said, they lower their guard here where they might be unable to ask for help normally."
            $hilC.increaseMod(0, 20)
            hil "I thought so too, but I'm still not fully sure it's the right thing."
    hil "I try to direct them into the right direction, but I'm not certain it's entirely... ethical."
    pc "You aren't the cause of their current situation, and they are already victims to succubi. They are manipulated for the demons' amusement, but you try to help them, instead."
    pc "They might not have given their consent for this, but I think you make the best of a bad situation."
    "She stays silent for a while."
    hil "Thank you, I'll continue until we wake them up, then."
    "After that, you go back to the real world to continue your day."
    $hilC.increaseRelation(0)
    return

label HildaFriendship3:
    #Bad mood - Hilda is in a bad mood and insults a patient because she's a cake
    $sil.name = "Girl"
    play music hilC.music if_changed
    scene innlobby
    show player at left
    show margaret at right
    "During your work, you were interrupted by Margret who had a few questions."
    mar "So, how are your progressing with Hilda? You're getting close to her?"
    pc "We went to her dream together, but nothing more. But, she's married, shouldn't I just... leave her alone?"
    mar "Far be it from me to criticize {i}monogamy{/i}, but from what I know of her, she's not in what you call a happy marriage."
    pc "You suggested something about that during her dream. What do you mean by that?"
    mar "From what I learned, what her colleagues say about her, she's married to her work. That often hides other problems, especially marital ones."
    pc "Well, whatever it is, I can't just ask her. I'll see how it develops, but I don't think anything will happen."
    mar "{i}*Sigh*{/i} Not with that attitude... but don't worry, I'll keep an eye out. Just keep spending time with her."
    show margaret at outright
    "She leave you to your work, but you quickly send a Message to Doctor Warder asking to meet after work. Soon after, you receive a short answer telling you to come to her office."
    scene doctoroffice
    show spaceoverlay:
        alpha 0
    show player at left
    "After your shift ends, you go to meet her, but as you try to open the office, you find it empty. A quick look around and you find a note addressed to you on her desk."
    "\"I'm already there.\" It's quite concise, but you understand that she's waiting in her dream."
    "You get your crystal and start meditating."
    show spaceoverlay with dissolve:
        alpha .8
    show nurseS at right
    nur "Ah, it's you. The Doctor is waiting for you. Wait a minute, I'll call her."
    nur "...{w} she's finishing up with her patient and is coming right after."
    show nurseS at outright
    "You sit down an start to wait..."
    "After what feels like half an hour, you're getting impatient. Not that you usually are, but you will soon have to get back to work."
    show hilda at inright
    hil "Sorry for the wait."
    pc "Ah... ehm... it's nothing."
    hil "Okay, let's go then."
    show hilda at toleft3
    "You follow her like last time, but she barely acknowledges you. She's also colder with her patients."
    "She seems to be in a bad mood, hopefully it's not something you did..."
    hil "Next patient... Great, someone new... Nurse's report : Human female, 18... In her dream, she's a... cat thief?... strange... Let's go."
    scene bedroom
    show spaceoverlay:
        alpha .8
    show player at left
    show hilda at left3
    show silhouette at right
    "You enter the room and see a young woman lying on an extravagant bed. She's surrounded by flowers, jewelry and gold. Looking closer at her, she has cute cat ears, wearing a see-through leotard and a full set of black lingerie."
    sil "Who are you? You're after my offerings, are you?"
    hil "Offerings? Aren't you a thief?"
    sil "I didn't steal anything, they gave it to me willingly. They are presents."
    "She waves in the direction of some wrapped gifts, each with a small card attached to them."
    hil "So... people give you presents? Just like that?"
    sil "Most of the time. If I want them to be really generous, I just have to... seduce them."
    hil "Ah, you're whoring yourself for {i}\"presents\"{/i}."
    "The girl gets up, visibly angry, and raises her voice."
    sil "I'm not a whore! I just find people in need of company, sometimes have a bit of fun, and they give me gifts because they like me."
    "Doctor Warder seems to have been caught a bit off-guard by that reaction, or maybe by how she talked to her patient. She tries to apologize but seem angry at the same time."
    hil "I'm sorry, I didn't mean to be that blunt."
    sil "You're apologizing, but you still think I'm a whore! I'm not! I'm just trying to help those who want an easy girlfriend. I help a lot of people feel loved : the ugly ones, the awkward that can't talk to someone they like, those married to a frigid wife..."
    "You can see the doctor is about to start shouting..."
    menu:
        "You can see the doctor is about to start shouting..."
        "Stop her":
            pc "Doctor, maybe we should come back another time."
            "She stops just as her mouth opens, turns towards you wide-eyes. She seems to have forgotten you were there, but quickly gains back her composure."
            $hilC.increaseMod(1, 50)
            hil "You... you're right. Let's get out of here for today."
            sil "Heh, I knew it. I bet you're one of those cucks they want to run away."
            "Her lip twitched like she wanted to retort, but Doctor Warder kept her mouth shut and got out."
        "Let her":
            $hilC.increaseMod(2, 50)
            hil "You fuck by interest, that's exactly what whores do. You're not any better than them."
            sil "Fuck by interest? You mean like all those who find themselves someone rich and powerful to marry? They fuck from time to time and lose their pride, but once they got what they want, don't give anything in return."
            sil "There are a lot of them out there, trying to baby-trap good preys. Me, on the other hand, I give them what they want, and they do the same, a much more ethical relationship."
            hil "You call that ethical? You lie to them! You just called them ugly!"
            sil "Well, yeah, because they are. They won't be able to find love with faces like those."
            "The shouting continued for a while..."
            show nurseS at inleft2
            nur "Doctor! The both of you are disrupting the other patients, so stop that at once!"
            show nurseS at outleft
            "She immediately leave, followed by the doctor. You can see a mean smile on the other girl's mouth, clearly thinking she won."
    scene doctoroffice
    show spaceoverlay:
        alpha 1
    show player at left
    show hilda at left3
    show hilda at toright
    "You get back to the reception and the dwarf turns towards you."
    hil "Please, excuse me for what happened... I'm not usually like this, it's just... it wasn't a good day."
    menu:
        hil "Please, excuse me for what happened... I'm not usually like this, it's just... it wasn't a good day."
        "It's nothing":
            pc "It's nothing, we all have bad days. We should leave it here for today."
            $hilC.increaseMod(0, 50)
            hil "You're right, let's do this another time, okay."
        "What happened?":
            pc "What happened today to give you such a bad mood?"
            hil "Nothing unusual, I can't... don't want to annoy you with this. Let's leave it here for today, okay?"
    "You both leave the dream and go back home after some halfhearted goodbyes."
    $hilC.increaseRelation(0)
    return

label HildaFriendship4:
    #Reverse the roles - She finally opens up about her problems
    play music hilC.music if_changed
    show player at left
    hil "I'm available for our work today, if you're interested."
    "Doctor Warder just sent you another invitation to go with her. Last time you spent time with her didn't go great, hopefully she's in a better mood today."
    scene doctoroffice
    show spaceoverlay:
        alpha 0.8
    show player at left
    show hilda at right 
    hil "Oh, [pName], you came. I... half expected you to ignore my message."
    "You don't really know how to answer, but luckily, you don't have to..."
    show margaret succubus at toleft2
    mar "What happened? Did I miss anything?"
    hil "Margaret? What are you doing here?"
    show nurseS at inright2
    nur "I'm sorry, Doctor, she entered without authorization."
    mar "I came to see how you two were doing, nothing more. So... what happened?"
    hil "{i}*Sigh*{/i} It's okay, Nurse. And Margaret, nothing important happened last time, I was just in a bad mood."
    nur "Good, now, if you'd please..."
    "With a simple glare from Margaret, the Nurse stiffens and shuts up."
    mar "As I said, I only wanted to see how you two got along."
    hil "If you need to know, we're getting alone fine. I invited [pName] to watch the work I'm doing here, and..."
    mar "That's not what I had in mind, but it's a start. But when are you getting to the next step?"
    pc "Margaret, I told you, it doesn't work like that here."
    mar "Yes, yes, monogamy, I know. Buuut... what do you think about that concept, Hilda?"
    "The doctor seem a bit surprised by that comment."
    hil "What do I think about it? It's what's expected for couples."
    mar "Ha, trick question! I know your wife's opinion on that subject."
    "The look of surprise has turned to anger."
    hil "Let's not talk about that."
    mar "Or it'll put you in a bad mood? {i}*Smirk*{/i}"
    "Doctor Warder have a quick look at the Nurse, then turns her head, clearly trying to stay calm."
    mar "Okay, okay, I'll leave you two alone. But don't forget you need to become closer to be stronger."
    show margaret at outleft
    "After a wink, she walks out. Doctor Warder is lost in thoughts."
    nur "I... ehm... I'll be at the reception if you need me."
    show nurseS at outright
    "The two of you are now alone, the situation is awkward and you don't know what you should do."
    pc "Ehm, I think I'll..."
    hil "No, wait."
    hil "She has a point, I should at least talk about all that or it might keep happening."
    "She pulls her chair, sits and takes a few seconds to regain her composure."
    hil "As I'm sure you understood from Margaret's {i}subtle{/i} hints, there are problems between my wife and I. I don't know how she got the info, but that doesn't matter."
    hil "Berth and I aren't in a happy marriage. She is frequently cheating with younger girls. On top of that, she's humiliating me by inviting them to public places..."
    "She starts pouring her heart out to you. She was an orphan until emancipated. She always wanted to become a doctor, but didn't have to money for her studies."
    "Then, as she was working in a tavern to pay her rent, she met Berth Warder. She was a regular who seemed to like her. She flirted with her quite often and they liked each other."
    "When Berth learned of Hilda's situation, she suggested becoming a couple. She was the daughter of the Medics' guild's master, so her tuition could easily be solved that way."
    "She completed her studies and obtained her license, but she soon learned a bad news : she was sterile. The Warders needed an heir, so it became a point of contention and, during a dispute, Berth said she's have a child with a random hooker and recognize her."
    pc "So that's what started her cheating, wanting a child?"
    hil "Originally, yes, but I'm sure she's had multiple kids by now. Plus, she's now fucking around with humans, elves and other races, and I'm certain her family won't let her have a half."
    "You stay silent for a moment, to be certain that she said everything she wanted to, before asking her a big question."
    pc "Have you ever thought about a divorce?"
    "She has a snarky laugh."
    hil "{i}*Heh*{/i} It'd make everything worse. She's from a big family, I'll be humiliated, and it's something almost forbidden for dwarves. Plus, her family controls the medics' guild, so I'd lose my job if I made a single, slightly wrong, step."
    hil "That's without taking all I would owe her, the terms of the marriage aren't in my favor... All that happened because of that worthless womb!"
    "She hits herself below the stomach, crying."
    menu:
        "She hits herself below the stomach, crying."
        "Are you sure?":
            pc "Are you sure it's because of you?"
            $hilC.increaseMod(2, 50)
            hil "Of course I'm sure... I passed multiple tests, but I got the same result every time."
        "I'm sorry":
            pc "I'm sorry..."
            $hilC.increaseMod(1, 50)
            hil "Ah... em, thanks. It's nice to be able to talk about it openly. Unfortunately, there's nothing I can do about it."
    hil "Do you know who's fault it is? My parents. One of them was a dwarf, but I have no idea what the other is. My mom was fucking around other races, got pregnant by something weird and dumped my off."
    "From what you learn in school, child of two different races of humes, or more correctly species, are rare and sterile. The only exception are humans who seem to be a weird mix of other races and able to have children with most other humes."
    "But from a quick glance at her, you aren't able to find what would her other parent be."
    hil "I bet she was some kind of whore who skimped on protection because she thought she couldn't get pregnant. I'm luck to not have inherited any STD..."
    "She continued talking for a long time. It looks like she had nobody to talk about all those problems with and she was finally able to vent to someone. But now, you'll have to leave."
    pc "I'm sorry, doctor, but it'll soon be time for me to leave."
    "She blinks, taking a while to dawn on the situation where the roles were reversed."
    hil "Oh, yes, I'm sorry about all that. I'm the professional here and I'm treat you like my psychiatrist."
    pc "No, no, there's no problem with that, you can talk to me anytime. But they are probably waiting for me at the inn, and I can't Contact anyone from a dream, so I'll need to get back home."
    hil "Yes, let's do that."
    show spaceoverlay with dissolve:
        alpha 0
    "The two of you get out of the dream, not before Doctor Warder gives her instructions to the Nurse and get ready to leave."
    hil "And really, thank you for hearing me out. I needed to talk about it way more than I thought I did."
    pc "No problem, really. If you want to talk, call me anytime."
    "She gives you a relieved smile and you get home with a quick jog."
    $hilC.increaseRelation(0)
    return

label HildaFriendship5:
    play music hilC.music if_changed
    #What's the plan? - You got the situation, now what?

    scene playerbedroom
    show player naked at left
    show margaret at right
    "Today again, Margaret caught you after work, right as you were changing."
    mar "After our last meeting with our doctor friend, I've been keeping a discreet eye on her and I think you should visit her."
    pc "What do you mean \"keeping a discreet eye on her\"?"
    mar "You know, stalking her while I'm invisible to be certain she's okay, like any good friend would do."
    "She smirks, fully knowing that isn't something you'd consider acceptable, but you can only sigh."
    mar "Anyway, she's a bit stuck at the moment. Her pet project doesn't seem to progress well and she's in a bad mood... or worse than usual. So I just called her and said you'd be coming."
    menu:
        mar "Anyway, she's a bit stuck at the moment. Her pet project doesn't seem to progress well and she's in a bad mood... or worse than usual. So I just called her and said you'd be coming."
        "Groan":
            $margaretDom -= 1
            pc "{i}*Groan*{/i} The least you could do would be to ask my opinion before doing that kind of things."
            mar "I could, but since you'd agree anyway, it saves time."
            scene doctoroffice
            show spaceoverlay:
                alpha 0.8
            show player at left
            "She lets you get dressed before bringing you to Doctor Warder's dream office in a snap."
        
        "Obey":
            $margaretDom += 1
            pc "Okay, okay, I understand. I'll go and meet her."
            mar "Good girl..."
            scene doctoroffice
            show spaceoverlay:
                alpha 0.8
            show player at left
            "She seem delighted by your obedience and then snaps. That brings you in front of Doctor Warder's office, fully clothed."
    "After knocking on the door, you hear some shuffling inside for a while."
    hil "Come in."
    show hilda at right
    hil "[pName], Margaret told me you were coming. I'm sorry, but as I told her, I'm not working on anything interesting right now."
    pc "Yes, I know. Margaret said you were stuck in your project, so I came here to see if I could somehow help you out."
    hil "You can't really help, it's... hard to describe."
    pc "Could you maybe tell me more about it?"
    hil "You know most of it, already. I wanted to know if I'd be able to help people overcome barriers they erected subconsciously around them by diving directly into their mind."
    pc "Yes, but why are you doing all this?"
    hil "I like helping people, that's all there is to it... well, there's also escaping my own problems, as Margaret already pointed out. And since she forced me to see that, I lost my motivation to work on it."
    hil "Everything I do here would be useless anyway, everything I discover would be grabbed by the guild and the credits would go to Berth."
    menu:
        hil "Everything I do here would be useless anyway, everything I discover would be grabbed by the guild and the credits would go to Berth."
        "That's selfish":
            pc "You're not as selfless as you said."
            hil "What do you mean?"
            pc "You said you were doing this to help people, but if someone else gets the praise you lose interest. You're doing this for you, too."
            "She stays silent for a while, did you go too far?"
            $hilC.increaseMod(1, 50)
            hil "You're right, I did it for myself too."
            pc "But it's not a bad thing, you still help by doing it."
            hil "Maybe but it still won't help me."
        "Why?":
            pc "Why is that?"
            $hilC.increaseMod(0, 50)
            hil "That's how dwarven guilds works. If someone discovers something, the local guild head will take charge of it and distribute charges to their workers. Then they will get credit and recognition of their work."
            hil "They build the project and pass it up to the guildmaster. If it's approved, the local head can send some of their people to them, but she won't ever send me."
    pc "Then let's ignore the guild. We're in a human town here, they don't have the same influence, it should be doable. With that, you could make a name for yourself, get out of your wife's grip."
    hil "What? I... I can't. There's a protocol to follow, and I don't know anyone who could help me."
    pc "Sure you do. She's a bit mischievous, but from what I know, she has a longer reach than you'd expect, and I'm sure she'd be glad to help you."
    hil "... I can't ask Margaret."
    pc "Why not? It's the third time she sent me to help you, it's her turn to do something. Want me to call her?"
    hil "... I'll do it."
    show hilda at toleft2
    show margaret succubus at right
    "She quickly sends a message to Margaret who comes immediately."
    mar "Hi, missed me?"
    "Doctor Warder stays silent, so you answer before the succubus has time to tease her."
    pc "We were wondering if you knew some big names in the town's doctors. Humans, preferably."
    mar "I'm working with a couple, yes. Why do you ask?"
    hil "[pName] suggested showing my work to someone outside the guild."
    mar "Oooh, you want to betray your kind, bad dwarf."
    pc "Margaret, please, it's hard enough without the teasing."
    mar "{i}*Ahem*{/i} Sorry... But yes, I could help you with that, just tell me what you need me to do."
    hil "Wait, wait, I'm still not convinced it's a good idea."
    mar "Give me the short version, I can tell you more after that."
    "You explain to Margaret what she's doing here in more details and how, if she wants to gain some independence from her wife, she'd need to bypass her guild to do it."
    mar "I see. It's true the Medics' Guild has quite the reach. Luckily, you have a competent oneiromancer with you, we'll just have to spin a story to make this work. And we won't have to lie much, too."
    mar "While you were a sleeper, you managed to enter in contact with other sleeper' dreams. You discovered that they were in a particularly good position to practice therapy with, so when you woke up, you decided to contact someone who knew about oneiromancy, me."
    hil "Yes, after that, we investigated more on it, and with your magic and some basic psychoanalysis, we managed to find promising results on other sleepers."
    mar "It would fit quite well, since people who aren't used to this world can't stay lucid here for very long or find their way. Since you've been a sleeper, it's easier for you."
    hil "The only problem is how could I make viable outside the very narrow case of the Blissful Sleep? The succubi weakening their mind is a big part of it, too."
    mar "You can count on me for that. Not all succubi are focused on draining people selfishly."
    hil "You'd reveal yourself? I find it hard to believe..."
    mar "Yes, it's a bit more complex... but anyway, to give hard evidence, we'd need to dispel the Blissful Sleep, so they can see how the sleepers have changed."
    show hilda at toleft3
    hil "I'll start on a preliminary report, so I could gain access to some patient records, see if any sleeper is already followed and obtain basic accreditation for the research. It'll be hard, but let's do it."
    "She looks like she regained vigor and is frantically sorting through the papers on her desk."
    hil "Thank Margaret, and thank you too, [pName]."
    "You feel a bit out of your depth when they start using technical talk, and you say your goodbyes."
    $hilC.increaseRelation(0)
    return

label HildaFriendship6:
    #Workaholic - Hilda & Margaret are working intensely
    play music hilC.music if_changed

    $sil.name = "Delivery Woman"

    scene innlobby
    show player at left
    show silhouette at inright
    "You are managing the reception when someone you've never seen before comes over to you."
    sil "Hello, I have a delivery for a Margaret."
    pc "Yes, she lives here. I'll take it to her."
    sil "Thank you. Please sign here..."
    show silhouette at outright
    "After filling out the paperwork, you take the package and bring it to Margaret's room."
    "You knock, but no answer, so you decide to call her."
    pc "Hi, did you order something? I've got a package for you."
    mar "Oh, yes. I didn't expect them to manage to do it this fast."
    mar "I'm working with Hilda, could you bring it to us? We're at her office. Thanks, it's quite important."
    "And she cuts the call without waiting for your answer..."
    "If it was just for her, you'd have left it for her to pick up when she got back, but since it sounded like it's for Hilda and it's almost time for your break, you do the effort of delivering it to them."
    call townscene from _call_townscene
    show player at left
    "On your way there, you wonder what this is about... It wasn't the usual delivery service, the box is unmarked... it's either illegal or an adult product... or both."
    scene doctoroffice
    show player at left
    show margaret at right
    show hilda at right2
    mar "Ah, you're here. You can put it on that table, and open it please."
    "Margaret seem to be working on something related to alchemy and [hName] is half hidden behind multiple piles of paper and barely acknowledges you with a groan and a wave."
    "You take a pair of scissors, open the box and find inside multiple bottles of... transparent liquid?"
    mar "Succubus saliva."
    "She talks to you without stopping whatever she's doing."
    mar "Our saliva has mild hypnotic properties on awake subjects, we use it to lull our preys into a comfortable dream with a kiss."
    hil "We'll use that as a base for a serum that'll simulate the effect of the Blissful Sleep in a controlled environment, diluting it to avoid sending the patient completely into the Dream World."
    mar "A few friends were happy to help and sent me their drool. I hope they didn't cause any problem."
    pc "No, I was just wondering why I didn't recognize the delivery woman."
    mar "For a succubus hunter, you leave yourself quite open."
    "She wasn't wrong. Since the end of the war, you stopped practicing detecting their aura, but it'd be a good idea to work on that again."
    mar "Anyway, do you have time? We could use a hand with some things."
    pc "I don't think I'd be of help, I'm not really..."
    mar "Oh, don't worry, it's nothing hard. Hilda is working too hard again and hasn't eaten yet, could you go fetch her something? Hil', what do you want today?"
    hil "{i}Hmmm...{/i} A steak sandwich, please."
    mar "Okay, a steak sandwich for her and a big cup of coffee for me. Black, thanks."
    "Once again, she treats you like a servant, but... still, you do what she asked."
    call townscene from _call_townscene_1
    show player at center
    "You go to a sandwich shop nearby, order what they asked and buy a strawberry tartlet for yourself, as a treat."
    "As you wait, you think about what they are working on..."
    "Hilda wants to work on a way to work around people's inhibitions and mental scars. She's trying to secure her place as a doctor even if the Medics' Guild turn its back on her."
    "But Margaret... why is she helping so much? She said she wanted to end the Sleep without bloodshed, and you think you can believe her on that, but here, what does she have to gain?"
    "Is she well-meaning or is she scheming something? She is clearly knowledgeable in a lot of things, but you still don't really know who she is."
    "Barista" "Your order is ready."
    pc "Oh, thank you."
    "You eat your tartlet on the way back and let go of your suspicions."
    scene doctoroffice
    show player at left
    show margaret at right
    show hilda at right2
    mar "Ah, thanks. Here, that should cover the price of everything."
    "She hands you a few gold pieces, more than enough to pay for their order and your treat."
    hil "[pName], if you still have time, could you bring those papers to the hospital? I'd like to have their answer today, so I can't delay."
    pc "Sure."
    "You spend almost two hours running errands for them."
    "Beside today, Margaret is often just walking around the inn, not doing much... but here, she suddenly so busy? She's clearly just using you."
    "Something is gnawing at you..."
    menu:
        "Something is gnawing at you..."
        "Confront her":
            $margaretDom -= 3
            "When you're back to the office, you give [hName] her sandwich but hold on to the coffee."
            pc "Margaret... why are you helping?"
            mar "Why not?"
            pc "That's not an answer. You said you were here to prevent a fight between humes and succubi, but this has nothing to do with it."
            mar "Yes, it doesn't, but I can help, so why shouldn't I? Hilda needs a succubus for her experiments and here I am."
            pc "She could just use the Nurse..."
            mar "Yeah, but she's not a real nurse, just acting like one to fulfill a fantasy. She doesn't have the knowledge or skill to help here, for all it does, she's just in a sexy costume."
            pc "So you say you have the knowledge to help Doctor Warder?"
            mar "Yes, I do!"
            "You can hear in those last words that she was getting angry."
            $hilC.increaseMod(0, -20)
            hil "Can you please both calm down..."
            hil "[pName], you're the one who recommended her to me, why are you doubting her now?"
            pc "I..."
            mar "{i}*Sigh*{/i} Listen, [pName], I'm sorry. Let's talk about this outside."
            scene doctoroffice
            show player at left
            show margaret s at right
            "You leave the main office and talk in a side room where she takes her demonic form."
            mar "I'm not a dumb bimbo or evil dom like most other succubi you've met. I know some alchemy and what I'm doing here isn't that complicated. The main reason I'm working with Hilda? Because I like it. That's all."
            mar "I like working on something that might help people later, and not worrying all the time if what I'm doing will cause hundred of death just because I don't like wars."
            mar "I spend all day keeping watch over stray succubi and making sure no hume comes to harm, then all night gathering information on the origins of the Sleep. Even if I make light of it, I'm not just fucking around all day."
            mar "You see me when I want you to see me, and giving the impression of not doing anything is part of my cover. If a succubus more powerful than me thinks I'm in her way, she'll get rid of me in just one night."
            mar "There aren't many things I find stimulating that aren't dangerous... or sexual, but working on alchemy is one of them. So, yeah, it's just a hobby."
            mar "And the chores I give you, I was teasing, but you were genuinely helpful. There's nothing more to it."
            "You're not certain if she's sincere or lying, but at the same time, you've fought against succubi for a long time, are you too distrustful? Yet, they are expert manipulators..."
            mar "Do you believe me?"
            menu:
                mar "Do you believe me?"
                "Okay...":
                    $margaretDom += 1
                    pc "Okay, I believe you."
                    "She gives you her usual big smile."
                    mar "Glad to hear it."
                "I'm not sure":
                    $margaretDom -= 1
                    pc "I'm not sure, it's a lot..."
                    mar "I understand, but still.."
            mar "I'd like to consider you as an ally. I have a lot of friends, but allies are harder to come by. In the end, I can't be one hundred percent certain you won't end up betraying me either."
            mar "Remember, you're the one who killed... Lady Lilith. You might just be biding your time, still I gave you a chance to fight back rather than becoming a puppet."
            "She pauses, giving you time to think."
            mar "Well, I have to go back to surveillance, I hope nothing bad happened when I wasn't looking. Bye."
            show margaret at outright
            "And once again, without giving you time to answer, she disappears."
        "She's just like that":
            $margaretDom += 3
            "She's a succubus, you know it's in her nature to take advantage of humes like you. Just be happy that it's for chores rather than food."
            $hilC.increaseMod(0, 50)
            hil "Okay, let's stop for today. We have progressed quite enough and I still have my official job to do. Thank you both for your help."
            pc "Happy to help."
            mar "No problem. The potion should be working, but it'll need real life testing soon."
            hil "I should have the authorizations to fully work on it soon, we'll be able to test it then."
            hil "[pName], I hope I'd be able to count on you, too. Even if it was menial work, it really helped. Trying to get Margaret help with anything you did is more work than doing it myself."
            pc "Sure, call me if you're overworked again, and I'll come if I can."
            mar "Yeah, yeah, bye."
            show margaret at outright
            "[hName] slowly puts her things away, checking everything one last time and you find that Margaret has already left."
            "Again, nothing unusual for her, she never was the kind to say goodbye twice."
    $hilC.increaseRelation(0)
    return

#Love
label HildaLove1:
    #Margaret asks you two to be closer - HJ
    play music hilC.music if_changed
    $hildaLove1Done = True

    scene playerbedroom
    show player at left
    "You're inside your room, right after finishing your work for now."
    mar "You're in here? I'm coming in..."
    show margaret at inright
    mar "So, did I manage to make Hilda talk about her problems? Care to tell me more about it?"
    menu:
        mar "So, did I manage to make Hilda talk about her problems? Care to tell me more about it?"
        "Tell her everything":
            "You start telling her about her wife's cheating, how it's because of her sterility and how her wife could make her lose her job if she protested."
            $margaretDom += 1
            mar "Mhh, I understand why she was so defensive. It's a bit harsher than I expected."
        "Just say the most important":
            pc "In short, her wife is cheating on her, and she has some sort of control over her job, so she can't complain."
            mar "Ah, I knew about the cheating, but she doesn't look like someone who'd just take it. Thanks for telling me."
        "It's private":
            pc "It's... private. She's ashamed of it and wouldn't appreciate me talking about it."
            $margaretDom -= 1
            mar "As you wish. I can deduce most of it, so it doesn't matter much."
    mar "But now, how are you going to help her? If you are planning to."
    pc "I want to help her, but I don't know how yet."
    mar "Yes, if she's in a bad situation, it's better to take care before acting."
    mar "Anyway, since their vows have been broken, you shouldn't be afraid of going further. I'd give you a hand."
    "Should you? When Doctor Warder talked about her wife, they were in love before..."
    menu:
        "Should you? When Doctor Warder talked about her wife, they were in love before..."
        "I'd like to":
            pc "Yes, I'd like to..."
            mar "{i}*Heh*{/i} I knew it, good choice. She's a bit rough, but it's part of her charm."
        "It'll be helpful":
            pc "It'll be helpful for diving, so... yes, but I should make it clear to her."
            mar "Good, I'm certain the Nurse will come on handy."
        "Not interested [i_break]":
            pc "No, I shouldn't do it."
            mar "If you're sure, then okay. I can't force you... well I could force you, but I don't want to."
            mar "Well, I'll let you enjoy your rest for now. ciao."
            "Margaret leaves your room. You just hope this choice won't make it harder than you can handle."
            $hilC.love = -1
            $renpy.notify("You chose not to pursue Doctor Warder [i_break]")
            return

    "As she's saying that, Margaret sends a message, presumably to Doctor Warder."
    mar "And done, your date will be waiting for you in her dream."
    show margaret at outright
    "She winks at you and leaves the room. That was a faster than anticipated, but you'll have to make do. You get yourself ready and go to the doctor's office."
    scene doctoroffice
    show spaceoverlay:
        alpha 0.8
    show player at left
    show nurseS at right 
    nur "The Doctor is waiting for you in her office."
    hide nurseS
    "As you get closer to the door, you feel a lump in your throat... but knock anyway."
    hil "Come in."
    show hilda at right
    hil "Ah, [pName], I was waiting for you. Margaret told me you had something important to talk about."
    pc "Yes. It's about our... relationship."
    hil "Relationship? What do you... Oh."
    "She unexpectedly freezes when understanding what you are talking about. You're taken aback by her reaction."
    pc "I mean... it's okay if you don't want to. Margaret suggested it, but it's just to help when I'm using the Nurse, I can manage without it if it makes you uncomfortable."
    "It takes a few seconds before she starts moving again. You can feel her inner conflict about that subject. But she slowly answers."
    hil "No... no, it's okay. It's for the good of everyone, so I'll try my best. But we'll need to take our time, it's not easy for me."
    "She stands there, moving as little as possible, as if waiting for you to make the first step."
    "You move towards her and she stiffens again. She's right, you'll have to take things slow with her."
    menu:
        "You move towards her and she stiffens again. She's right, you'll have to take things slow with her."
        "Kiss her":
            show player at toleft3
            show hilda at toright3
            "You get in front of her and lower your head, getting ready to kiss her when..."
            show hilda at right3:
                xzoom -1
            $hilC.increaseMod(2, 50)
            hil "I... no kissing... I can't..."
            pc "Oh, ehm, sorry."
            "You stand behind her awkwardly, trying not to make her even more uncomfortable."
        "Hug her":
            show player at toleft3
            show hilda at toright3
            "You get close to her and simply give her a gentle hug. The height difference makes it a bit weird, but with your arms descending in her backs, you can somewhat achieve it."
            $hilC.increaseMod(1, 50)
            "Her stiffness melts slowly, and soon she is hugging you back. She grabs your lower back and puts her head against your stomach."
            hil "That's... nice. I almost feel... protected."
            "Unfortunately, your position makes her tits press against your crotch, giving you the usual reaction."
            hil "I'm sorry, but I can't go that far today. But..."
            show hilda at right3:
                xzoom -1
            "She lets go of you and turns around."
    hil "Feel... feel free to play with my breasts."
    "Since she gave you her okay, you start gently caressing her chest. She is quite well equipped, and it's even more emphasized by her smaller stature."
    "Judging by her reactions, they are a sensitive zone for her. You can feel her nipples hardening quickly in your fingers and she seems to be pushing herself forwards against your hands."
    "She suddenly stands still, before removing her coat."
    hil "It'll feel better this way."
    "Then, she starts to remove her shirt and mumbles."
    hil "{size=*0.5}Let's do it, the first time's the hardest...{/size}"
    show hilda naked
    "And she quickly undresses everything she was wearing, leaving her completely naked. It was the first time you saw a dwarf naked. She's a bit chubby, but she's got her charms."
    "Then, still turning her back to you, she grabs your hands and puts them back on her tits. But after that sudden moment brazenness, she stops moving again."
    pc "Would you prefer if I stripped down too?"
    hil "No!... It's okay, being both naked would be a bit too much for now... Just continue as you were doing."
    "You continue caressing her chest, your hands flowing against their shape and gently teasing her nipples as they pass by."
    "Again, she melts in your arms. She looks quite comfortable like that and, as it is still the first time, you think about stopping there."
    "But as you are slowly withdrawing your hands, she interjects."
    hil "Please... a little bit more..."
    "She is a bit breathy and enjoying it way more than you expected, so you indulge her. You start teasing with more intent, groping her, pinching her..."
    "She starts heating up and trembling, then freezes again before staggering away from you."
    show hilda at toright:
        xzoom -1
    hil "Thanks... you were... very good."
    pc "I'm glad you enjoyed it."
    show hilda at toright
    show player at toleft
    "She takes support against her desk and faces you again. You can clearly see how flushed she is. She stares at the ground for a moment."
    hil "I know I should pay you back, but..."
    pc "It's okay, you don't have to."
    hil "I promise... I promise that next time, I'll make you feel good. But I have to prepare myself mentally before, now would be too early."
    pc "I look forward to it."
    hil "For now, let's leave it here. I have... a lot of thinking to do."
    hide hilda
    "She gently indicates you it's time to leave, so you exit the room."
    show nurseS at right
    "As you pass by the Nurse, she looks at you intensely, but doesn't say anything. You never thought about how the relation with the person affects their succubus. Or is she impacted at all?"
    "You leave the question for another time and wake up."
    $hilC.increaseRelation(1)
    return

label HildaLove2:
    #Height advantage - TJ
    play music hilC.music if_changed

    $sil.name = "Rox"
    scene bedroom
    show spaceoverlay:
        alpha 0.8
    show player at left
    show hilda at left3
    show silhouette at right
    "You're once again helping Doctor Warder with her patients, and the one today is... unique."
    "She's a plain looking human, except for her breast size. It is so huge that you can't imagine how she's be able to do anything. If you had to guess, you'd say they're at least K sized, maybe more, hard to be certain."
    hil "Lisa always had a fascination with huge breasts. Long story short, she used illegal BGPs to get them to grow and had to be dispelled twice because of excessive use."
    "BGPs, or Breast Growth Potions, are quite dangerous to use without medical recommendation. They can have harmful effects on milk production, blood flow and health in general. Illegal BGPs are worse since they aren't even certified."
    hil "In real life, they aren't that big, but within her dream, she's able to choose what size she wants to be and this is her favorite."
    sil "Yeah, they're small enough for me to still be able to move around without falling. And Lyss loves playing between them."
    hil "Lyss, or Lyssandra, is her succubus. She's also a breast enthusiast."
    sil "What she loves the most is to lie on my knees and suck my tit. And when she does that, I play with her, she loves it!"
    hil "This is also called \"Nursing Handjob\"."
    sil "Yes, that. She looks like a child, it's so funny. It reminds me of what my mom used to do."
    hil "Don't pay attention to the weird phrasing. She comes from a big family, and her mother is also very gifted in that department."
    sil "Every time one of my sister was drinking milk, mom looked so happy. And daddy also said she had big beautiful breasts."
    hil "From what I learned for her file, she had bullying problems as a teen."
    sil "Yeah, they were mean because I had small titties, and my mom and sisters all had big ones... they said I was adopted."
    hil "Which she wasn't. And her breasts were a bit above average for her age."
    sil "But Ani's tits were huge, and she was younger than me."
    hil "Your sister had an early growth, she was only one year younger, that happens."
    hil "It was at that time that she drank her first BGP, which didn't solve much."
    sil "They were laughing at me because I used one, but at least I had a girlfriend."
    hil "Vivi, as she call her. She encouraged her to drink more BGP, which she did. After falling unconscious when half your body weight was in your chest, you had to be dispelled."
    sil "And Vivi left me because I didn't have big titties anymore. And I couldn't get any girlfriend after..."
    hil "Repeat the same story a few years later, when she became an adult, she has come to believe that her value is proportional to her cup size."
    sil "You're just jealous because I have better titties now."
    hil "{i}*Sigh*{/i} First, we are in your dream, you can have the size you want without adverse effects. Second, if there's one thing I'm proud of, it's my breasts."
    show hilda naked
    hil "Here, feel them. They are firm, but still flow in your hands, unlike BGPs who mainly enlarge the tissues, making them feel like an inflated balloon."
    "Lisa starts playing with the doctor's tits, comparing them with hers."
    sil "Yeah, they feel good, but you can't make others feel as good with them. They can't envelop a whole cock."
    hil "I've never had problems with my wife, she is quite fond of them."
    sil "But a dwarf cock is small. Humans one are bigger."
    hil "Anyway, a titjob is more than just enveloping it. The breast's texture and what movement you chose are the most important. You have to find what pleases your partner, then adapt your positions and..."
    "She suddenly stops, realizing that she was about to go on a whole lesson about titjobs as if she was an expert."
    hil "Ehm, not that I would really know, since I only practiced on a single partner..."
    sil "Then, when you have more experience, could you help me with that?... I'd like to learn."
    "Doctor Warder blushes but tries her best to look professional as she gets dressed."
    show hilda base
    hil "I... we'll have to see... maybe... Let's leave it here for today. Just remember that the size of your breasts aren't everything, and it's not worth purring your health at risk for a bigger cup size, okay?"
    sil "Okaaay! Goodbye doctor, have fun!"
    "She waves at you as you leave the room." 
    scene doctoroffice
    show spaceoverlay:
        alpha 0.8
    show player at left
    show hilda at right
    "You walk back to Doctor Warder's office and as you arrive you can see that she sill is a little red."
    hil "So... ehm... good work, today."
    pc "Are you all right? You look..."
    hil "Yes! Yes, I'm all right... Before you go, could you... do you want to..."
    hil "Can I repay my debt from last time?"
    "It takes you a second before understanding, but you think she's speaking about when you were intimate. She did promise to return the favor."
    menu:
        "It takes you a second before understanding, but you think she's speaking about when you were intimate. She did promise to return the favor."
        "You don't have to":
            pc "You don't have to, you know. I won't hold it against you if you don't."
            $hilC.increaseMod(0, 50)
            hil "I promised that I'd pleasure you, so I will. Now strip down and let me do it."
        "With pleasure":
            pc "With pleasure, if you're ready."
            $hilC.increaseMod(1, 50)
            hil "I am, I'll keep my word. Let's strip."
    show player naked
    show hilda naked
    "You both get naked, but Doctor Warder seem to have a strange enthusiasm about the situation."
    hil "Here, I'll show you I wasn't bluffing when I talked about my titjobs."
    show player at toleft3
    show hilda at toright3
    "She pushes you around and makes you lean against her desk as she takes some lotion from one of the drawers. Your cock is ready and just at the right height for her and she takes a long look before starting slowly."
    "They feel heavenly, extremely soft. Dwarven skin is a bit more leathery than what you're used to feel, but it seem the one around her breasts is softer."
    "Her movements are quite slow, meticulously applying the lubricant everywhere to prevent irritation. As she does you can see your tip popping out of its hiding place from time to time."
    hil "Lisa was right, humans are indeed longer than dwarves. Slimmer, but longer, I wonder if I'll be able to handle it correctly. Don't hesitate to give me any feedback, I'm sure you have quite a lot of experience."
    "The way she talks is right between kinky talk and taking notes for a report, it seem a bit... professional? But not in the sex worker kind of way."
    menu:
        "The way she talks is right between kinky talk and taking notes for a report, it seem a bit... professional? But not in the sex worker kind of way."
        "Just mention it":
            pc "You speak like it's an experiment... but I don't hate it."
            hil "But this is an experiment, it's not exclusive. But noted, I'll try to keep my remarks for myself. What kind of kinky talk would you want, then?"
            pc "You don't have to change, I'm okay with it, but others might find it weird."
        "Complete feedback":
            "You first talk about her way of speaking, then about the lack of mood, and continue the whole experiment pointing minor improvements."
            $hilC.increaseMod(2, 50)
            hil "Thank you, this will help me improve."
    "She continues for a while, slowly picking up the pace. You can feel her slowly adapting to your size and getting you closer to the end."
    "Most of the time, she sandwiches your dick vertically, massaging you on the side as you move, but from time to time, she switches and presses them together as you push from the front."
    hil "So, how do you like a married dwarf's forbidden valley?"
    pc "Best titjob I've ever had."
    hil "Oho? Did you have a lot of busty girls offering you relief?"
    pc "No, no, I didn't. But it's still the best I had."
    "She smiles, a bit dominantly, as she brings you closer and closer."
    hil "Let's choose, before it's too late : would you rather claim my tits or my face? Or maybe right between them? I'll let you guess my favorite."
    menu:
        hil "Let's choose, before it's too late : would you rather claim my tits or my face? Or maybe right between them? I'll let you guess my favorite."
        "Between her tits":
            "You grab her hands as you penetrate between her tits and start thrusting forwards and erupt. You can see some cum spitting from the top and dripping from the bottom."
            $hilC.increaseMod(1, 20)
            hil "Nice choice. Are you trying to help me by getting my breasts pregnant, even if my pussy can't?"
        "On her tits":
            "You pull back and finish on her chest, glazing it with a hot coat of cum."
            hil "Wanna make my tits yours? It's my wife's favorite part of my body, you know, she won't let you."
            $hilC.increaseMod(2, 20)
        "On her face":
            "You let her continue massaging you for as long as possible, but right as you feel yourself coming, you thrust forwards to make your cock peek as high as possible, and cum on her face."
            $hilC.increaseMod(2, 20)
            hil "{i}*Mhhhh*{/i} Want to claim me completely, mh?."
    "After that, she leans next to you, out of breath and keeping your mark on her."
    hil "Sorry about that last bit... I got lost in the act."
    pc "It's... it's okay. You were great, you didn't lie."
    hil "Heh, thanks. It feel good for me, too."
    pc "Thank you, Doctor."
    hil "Ah, no. Doctor is for when I'm working, associating it with what we just did... just call me Hilda."
    menu:
        hil "Ah, no. Doctor is for when I'm working, associating it with what we just did... just call me Hilda."
        "Doctor is kinkier":
            pc "But calling you Doctor feels kinkier..."
            hil "You're more perverted than I thought, but I don't mind..."
        "Thank you, Hilda":
            $hil.name = "Hilda"
            $hilC.name = "Hilda"
            $hName = "Hilda"
            pc "Thank you, Hilda."
            hil "Now that you say it out loud, I'm not sure it's better... bah, I can't care enough right now."
    "After catching your breath, it's time to go back."
    hil "This place is perfect for this. It's well hidden, I won't have to clean myself once I get back and I won't even smell like cum."
    "She chuckles, it feels like she got drunk on the act, but she seem more relieved than you've ever seen her."
    "The both of you get back to the real world, and you hope her wife won't see any change in her..."

    $hilC.increaseRelation(1)
    return

label HildaLove3:
    #Height advantage - TJ
    play music hilC.music if_changed

    $sil.name = "Redhead"
    scene innlobby
    show player at left
    "During work, you received a message from [hName] :"
    hil "The Nurse found an interesting patient. If you're free today, let's welcome her together."
    "You answer her that you'll come as soon as your break starts."
    scene doctoroffice
    show spaceoverlay:
        alpha 0.8
    show player at left
    show hilda at right
    show nurse at right2
    "And soon after, you're in her dream."
    hil "Ah, you made it."
    pc "Yes, I'm intrigued about who that new patient might be."
    hil "I don't know yet, I still haven't seen her."
    nur "She's very lustful, the succubus who brought her to the dream world couldn't keep up with her. I brought her here to keep her safe."
    hil "It's a rare case of a Sleeper without a succubus. I wonder how everything works for her..."
    nur "Another one would have claimed her if she stayed, and if she was very productive, multiple would be in charge of milking her. Long term, that will be harmful."
    hil "Thank you, let's go and meet her."
    show nurse at outright
    "The Nurse goes back to her desk and you follow [hName] to one of the doors."
    hil "Let's enter."
    scene bedroom
    show spaceoverlay:
        alpha 0.8
    show player at left2
    show hilda at left
    show silhouette at right2
    "Her room is quite bare, almost like in an hospital, with the exception of a double bed and a range of sextoys. The patient is a young redhead laying down naked on the bed, looking bored."
    hil "Hello, my name is Hilda Warder and this is my assistant. Do you..."
    sil "Oh my Goddess, finally!"
    hil "Eh?"
    show silhouette at toright
    "The girl stands up and walks in your direction."
    sil "This dream was getting boring, come on, get naked."
    show player at toleft3
    "She appraises the both of you until her gaze stops on your crotch, then pulls you towards the bed."
    sil "So, who's she to you? Wife? Sex friend? Oh! She looks like the annoying boss who likes you but can't do anything because of how it'll look."
    pc "What?"
    hil "Please, could you stop for a moment, I just wanted to..."
    sil "Oh, shut it, you. Just sit down and watch me take that cock."
    sil "And you, come and lick me. I know I'm already wet, but it'll show her."
    "She's pulled you next to the bed and waits for you, legs spread open."
    menu:
        "She's pulled you next to the bed and waits for you, legs spread open."
        "Lick her":
            "You kneel down in front of the bed..."
            $hilC.increaseMod(2, 50)
            if hilC.lust > 2:
                sil "Nice, go on."
                "Lust overwhelms you as you start licking her dripping juices. She grabs you by the hair and sneers."
                sil "Be careful, your boss is looking. I think she's a bit jealous, but she's not doing anything."
                hil "Ehm? [pName], stop indulging her."
                "Something in her voice makes it sound both commanding and somewhat uncertain."
                sil "{i}Heh{/i} She's busy right now, so beat it, cuck..."
                hil "Stop that, [pName], please..."
                "Her {i}\"please\"{/i} was almost... desperate. That takes the redhead quickly over the edge and cumming in your face."
                sil "Great, now strip and fuck me."
                "You take a look at Hilda behind you and see her avoiding looking at you, her left hand caressing her breast. She looks afraid and you decide to stop."
                pc "Let's just... stop there."
                "As soon as you say that, [hName] is startled and goes back to her usual self, excepted for her flushed cheeks."
            else:
                hil "What do you think you're doing?"
                "You hear angry stomps behind you and are pulled away before having time to taste her."
                hil "Stop that, both of you!"
        "Stop":
            $hilC.increaseMod(1, 50)
            pc "I'm not doing that."
    sil "Aww, you're no fun. I love teasing cute couples like you two..."
    sil "Wait, your name's Warder, right? That's what you said when you came in."
    hil "Yes, why do you ask?"
    "She starts laughing loudly."
    sil "Good job, dream. Bringing the wife of that idiot so I can cuck her again, in front of her."
    hil "That idiot? Wait you're..."
    "But she doesn't listen and continues laughing."
    hil "[pName], let's leave, we won't get anything out of her..."
    sil "Bye, cuck! {i}Hahahaha{/i}"
    scene doctoroffice
    show spaceoverlay:
        alpha 0.8
    show player at left
    show hilda at right
    "You leave the room and [hName] walks decisively towards her office, where you follow her."
    pc "Do you know her?"
    hil "{i}*Sigh*{/i} As you know by now, my... wife can't keep her cock in her pants. Not long ago, I found out that she used to have a human slut she fancied."
    hil "Bought her anything she wanted, clothes, jewelry, potions, I found huge sums of money missing from our accounts."
    hil "I learned the truth when I saw a picture of a girl in fancy clothes with {i}\"Thanks for your nice gifts, Mommy\"{/i} on her phone. Her face was hidden, but I'm convinced it was her."
    "She smacks the table."
    pc "What are you going to do?"
    hil "..."
    hil "I'll keep her safe there, but I don't think I'll visit..."
    hil "I can't treat her, it's beyond me, but I can't let her get even more corrupted by succubi. I'll just tell the Nurse to take care of her, but I can't."
    "[hName] sits in her chair, looking glum."
    hil "It was the first time I caught Berth, but I know she still fucks around... And the way that slut called me a cuck..."
    "There are a lot of things on her mind. You stay silent, not knowing what to tell her to make her feel better."
    "You are wondering if you should leave when she talks to you in a trembling voice :"
    hil "I... I know what might help..."
    "She removes her white coat then jumps to sit on her desk."
    hil "I'll... take revenge."
    show hilda n
    "Her boots are off, followed by the rest of her clothes."
    hil "Please, [pName], fuck me..."
    "You can see that she tries to imitate the position that girl took to lure you in, but her legs close themselves and she hides her pussy, lacking her confidence."
    menu:
        "You can see that she tries to imitate the position that girl took to lure you in, but her legs close themselves and she hides her pussy, lacking her confidence."
        "Are you sure?":
            pc "Are you sure it's a good idea?"
            $hilC.increaseMod(1, 50)
            hil "... I won't regret it, if that's what you're wondering. I want to break free of that cheater, this is a big step, but it's necessary."
        "Okay":
            pc "Okay, if that's what you need."
            $hilC.increaseMod(0, 50)
            hil "Thank you for trusting me."
    show player n at toleft3
    show hilda n at toright3
    "Seeing her determination, you strip naked and approach her."
    hil "Just... don't be too rough. Human cocks can be a bit too long for us, and I'm not used to it. Berth wasn't that well endowed."
    if hilC.lust > 2:
        "As you get in front of her, you can see that she is more than ready for you. Her lower lips seem to have been lubricating for a while."
        hil "Don't linger too long, let's start."
    else:
        "You can see that she isn't entirely ready for you, so you decide to help her with a bit of foreplay by teasing her clit and massaging her breasts as she liked."
        hil "Ah, thank you. I'm a bit tense, that helps."
        "Not long after, you can see that she's ready."
        hil "Okay, let's start now."
    "You take your time entering her. She isn't a virgin, but you can feel her tensing up a few times."
    hil "I'll be all right, you can go. I'm tough."
    "She acts like she wants it to end as fast as possible. Seems like her previous experiences were really one sided and she never got to really enjoy it before."
    "You quickly bottom out, feeling the entrance of her womb before being completely inside of her, but you don't push more. Instead, you slowly move back and forth and tease one of her nipples between your fingers."
    "Last time, she really liked using her tits, so it might help her enjoy the whole experience if you play with them too."
    hil "{i}Mhhhh{/i}"
    "She relaxes and you continue slowly, making sure not to force too much or too deep."
    hil "{i}Mhyeees{/i} It feels nice..."
    "You continue like that for a while. You can feel that she enjoys it, but you probably won't bring her to an orgasm this time... and you're getting close."
    "Unintentionally, you slow down to prevent it."
    hil "{i}Mhh?{/i} Are you finishing? You can do it inside, we're in a dream, there's no risk."
    pc "But you didn't..."
    hil "Oh, shush, I don't need that. It's been nice to feel like I wasn't just a pussy to breed, or to fuck when a younger one wasn't available. You treat me like a partner, not an object."
    hil "And I'm not sure I could orgasm like this. I've never felt close to it, even when I was younger. So don't worry about me and enjoy my pussy."
    "You've been edging for a moment now, so a few faster thrusts brings you to climax and you give her a nice creampie."
    "As you lay on her, tired, you can feel her caressing your hair."
    hil "Thank you for that. Let's do it again another time... If you want, that is."
    pc "Okay."
    hil "And let's do it in a more comfortable place, too. It might help to be on something softer than wood."
    "She giggles, looking far from the stern doctor you knew from before."

    $hilC.increaseRelation(1)
    return

#Lust
label HildaLust1:
    play music hilC.music if_changed

    "You send a Message to Doctor Warder to ask if she's available today."
    hil "I apologize but today's not a good day for me. I didn't sleep well last night, maybe another day."
    "Too bad, but you still have some training to catch up to."

    $showUnlockExtraScene(2)
    $hilC.increaseRelation(2)
    return

label HildaLust1Extra:
    play music hilC.music if_changed

    scene livingroom
    show hilda at left
    show berth at right
    "I was keeping an eye on Hilda, see if she didn't have side effect from the Nurse. Their symbiosis is a bit unconventional, as the succubus wasn't completely dominated like the others, but helping her by her own will."
    "That evening, I overheard a conversation between her and her wife."
    hil "You know I don't like it when you're drunk!"
    ber "Come on, we haven't done it since before you were a Sleeper. I've got needs."
    hil "Then let's do it tomorrow, when you've sobered up."
    ber "But I'm in the mood tonight."
    hil "And I'm not."
    ber "{i}*Exhale*{/i} You ask me to stop cheating on you, but you don't want to fuck either. What do you expect me to do?"
    "The conversation started to heat up. Hilda was getting annoyed and shouted."
    hil "Not cheating is the basis of relationships, it's not to bargain."
    ber "Yeah, but normal relationships have sex... and kids."
    "That was too much for Hilda, who slapped her wife in anger. After recovering from the shock, she apologizes."
    ber "I'm sorry, I didn't mean it... I know it's not your fault."
    "The remainder of the evening was tense, but I had a feeling something would happen, so I kept watching them."
    scene bedroom
    show hilda naked at left
    show berth at right
    "Night came and they went to bed. As they were lying down, Berth started groping Hilda."
    hil "I'm still angry, you know."
    ber "Yes, I'm sorry... I was just too horny, my cock was talking instead of my head."
    hil "And drunk!"
    ber "And drunk..."
    "She said she was sorry, but continued groping anyway."
    hil "{i}*Sigh*{/i} Okay, I understand, but just a quickie."
    "Hilda relented, and I suspect that was what Berth was trying to do. She immediately went to the other side of the bed and got in position."
    "Without any foreplay, she started fucking without holding back."
    ber "Ah, you feel great."
    hil "Mhhh..."
    "Berth was moving selfishly, her partner was clearly not enjoying it and she didn't even try."
    "After less than 5 minutes, she was accelerating, ready to finish."
    hil "Please, not inside."
    "But she didn't listen and creampied her."
    ber "Ah, thanks, that's what I needed."
    hil "What did I just ask..."
    ber "Sorry, but you felt too good. I couldn't pull out."
    "She returned to her side of the bed and fell asleep almost immediately. Hilda went to the bathroom to wash herself meticulously."
    "If their sex life is like this, it's no wonder they have problems as a couple... I'll have to keep an eye on them."

    return

label HildaLust2:
    play music hilC.music if_changed
    
    hil "I'm available to work this [timeStringLower] if you are too."
    "You were still in the middle of your shift, but you answered that you'll be there."
    "Two hours later, you were changing and getting ready to help her when you received another Message."
    hil "Something came up and I won't be available. We'll have to postpone it, sorry."
    pc "No problem, I hope it's nothing serious."
    hil "No, don't worry. I just have to take care of something."
    "Finding yourself with nothing to do, you rested for the rest of your break."

    $showUnlockExtraScene(2)
    $hilC.increaseRelation(2)
    return

label HildaLust2Extra:
    play music hilC.music if_changed

    scene livingroom
    show hilda at left
    "Since I spied on Hilda's married life, I went there a few other times to make sure she was okay. Her wife, Berth, seemed to have calmed down and there weren't any more dispute."
    "I suspect that it was mainly due to both of them working too much. Finding one of them at home was rare, and the two of them even more so, they were home only at night."
    show berth at right
    "But that day was an exception. Hilda was home, reading notes on the Sleepers she's taking care of, when Berth came home."
    hil "Already home? You're quite early today."
    ber "Yeah, I was supposed to meet with Lilly, but she had an emergency and had to cancel."
    hil "Lilly... she's the new girl you were assigned to supervise, isn't she?"
    ber "Her father is someone important from the HQ, so I have to pay attention to her... even if she's only half-dwarf. But they'd owe me a few favors after that."
    hil "How so?"
    ber "Well, she's not legitimate, so I have to keep it secret, which is always good for me. Then, her father accompanied her here to be certain she'd have a good job. But right after that, the barrier was cast, keeping them stuck here."
    ber "Since they were here in secret, I had to make up a reason for them to be here, so they owe me a lot."
    hil "Good for you."
    ber "Give me a beer, I have an hour to kill now."
    "Passing next to the fridge, she couldn't be bothered to take one herself and then sunk into the couch."
    "Hilda, sighing, opened a bottle and passed it to her wife who took it without a thanks. Instead, she grabbed her wife by the waist and made her fall on her."
    ber "You know what goes well with a beer?"
    "She said that as she was unbuttoning her pants and showing her her cock."
    hil "Now? I have to do something for my research soon, I don't..."
    ber "Come on, just a quick titjob then, it won't take long."
    show hilda naked
    "Sighing again, Hilda dropped on her knees and removed her top. Unlike last time, she didn't protest and got to work quickly. Is this because she likes giving titjobs? Or because she's becoming more in tune with her succubus?"
    ber "You're really great at this, I had a good idea to marry you."
    "Hilda grumbled but continued. Meanwhile, her wife was sipping her beer and enjoying the attention."
    "Soon after, her Scroll lit up and she picked it up despite Hilda's angry glares. By pure curiosity, I went and peeked behind her only to see a picture of a pussy with the words \"Sorry I had to leave, hope you're having fun 👄\"."
    "She continued scrolling for a while and I managed to see that it came from Lilly, the one they talked about before. She messaged her to send a titspic and the girl quickly obeyed."
    "Berth was looking at pictures of another girl while her wife was relieving her. That would have been kinky if Hilda was aware and enjoying it, but as it was, it felt gross..."
    "At least, the stimulation helped her finish faster : after two more minutes, she grabbed her wife's head and pulled it on her cock, forcing her to deepthroat her and came deep in her mouth."
    ber "Thanks, that was great."
    hil "{i}*Cough cough*{/i} You didn't have to be so rough {i}*cough*{/i}..."
    ber "Sorry, sorry, it feels better to come deep inside a wet hole."
    hil "{i}*Cough*{/i} Well, can I go now? I'll be late if I..."
    "I could spy another Message on her Scroll and it looked like a sexy video, again from the same sender."
    ber "Nah, let's take this to the bedroom, I need to go again."
    hil "{i}*Sigh*{/i} At least, let me send them a Message to say I have to cancel."
    ber "You do that while I open another beer. Oh, and wear something nice."
    "While she was sending her Message, I could see Berth discreetly popping open a blue potion. Heh, even if she likes to play the stallion, she needs a bit of magic to help her."
    "After she went upstairs, Hilda looked at the door and hesitated, but decided to cancel her meeting with [persistent.pName]. Then, she followed upstairs and they went at it for half an hour, but I couldn't bare to watch. Seems like the potion wasn't enough to last longer."
    "It was uncomfortable to see Hilda like that. She's usually quite strong and stubborn, but she's starting to let her asshole of a wife treat her like a sextoy..."

    return

label HildaLust3:
    play music hilC.music if_changed
    
    scene bedroom
    show player at left
    "You don't have anything planned right now, so you send a message to [hName] to check if she's available to work."
    show margaret at inright
    mar "Hey, do you have time? I have a favor to ask of you."
    pc "Oh, I just asked Doctor Warder if..."
    "{i}*Ding*{/i}"
    hil "Sorry, but I can't today. I'm stuck in the kitchen, Berth invited a guest and only just told me."
    show margaret at toleft2
    pc "Well, she has a..."
    "But you find her leaning over your shoulder, looking at your Scroll."
    hil "Another wife problem, {i}hmmmm{/i}..."
    pc "Ehm, yes... So, what did you need?"
    show margaret at toright
    hil "Nothing important, I have something else to keep an eye on."
    show margaret at outright
    "And with that, she leaves..."
    "Well, that's that..."
    "Let's have a nice and relaxing break, for once."

    $showUnlockExtraScene(2)
    $hilC.increaseRelation(2)
    return

label HildaLust3Extra:
    play music hilC.music if_changed

    call townscene from _call_townscene_2
    show margaret s at left
    "Hilda's message : \"Sorry, but I can't today. I'm stuck in the kitchen, Berth invited a guest and only just told me.\""
    "After the previous time I spied on them, I had a curious suspicion of who that guest might be, so I went there to check."
    scene livingroom
    show hilda at left
    show berth at right
    "With a bit of invisibility and teleportation magic, I found myself in Hilda's kitchen."
    hil "Why did you tell me it was someone important from work? She's just your apprentice..."
    ber "Exactly, it's very important to have good relations with your apprentice, especially since her father is who they are. Either of us could get fired if it went wrong."
    "A thinly veiled threat. It wasn't just her place who's at stake here, but Hilda's too."
    hil "You could have at least warned me earlier..."
    ber "Yeah, yeah, I forgot, my bad. So, you got everything? I have to get back to her, now."
    show berth at outright
    "Hilda grumbled in displeasure and Berth went back with a bottle of wine and two glasses."
    scene livingroom
    show berth at inleft3
    show lilly at right
    "I followed her to the dining room to meet their guest and saw a cute girl waiting at the table. She was barely an adult and quite short. I remembered that she was called Lilly and was a half-dwarf."
    ber "The food will be ready soon."
    lil "{i}*Giggle*{/i} I hope I'm not bothering."
    ber "Nah, my wife likes having guests."
    lil "{i}*Giggle*{/i} She's a good wife."
    ber "You can say that."
    lil "{i}*Giggle*{/i}"
    "In that empty and fake conversation, I knew the girl wasn't hired for her knowledge, but as I continued listening to Berth talk about herself, I managed to glean something : she was acting."
    "Well not completely, but I felt she was with Berth as she wanted her to be, an airhead bimbo to play with. There was more to this girl than I thought."
    ber "Hilda?! It's getting long. How much longer before we eat?"
    hil "About 10 minutes."
    ber "You're too slow."
    hil "You should have warned me earlier, then, I would have been ready by now."
    lil "{i}*Giggle*{/i} How about I help you wait?"
    ber "Wha...? The wife's right there."
    lil "{i}*Giggle*{/i} I'll be quick."
    show lilly at right3:
        ypos .7
        xzoom 1
    "Right after that, she slipped under the table and grabbed the dwarf's pants. Her cock wasn't that impressive, even for a dwarf. Decent girth, but not very long."
    "After another giggle, that one I understood the reason, Lilly started a quick blowjob."
    lil "How's it, Daddy?"
    ber "It's good, my girl, you're great."
    lil "{i}*Giggle*{/i}"
    "I felt a great lust coming from Berth, but a different aura emanated out of Lilly..."
    "That girl was a succubus spawn. Not a parent, but grandparent? Maybe further... it would explain how a high-ranking dwarf was sufficiently seduced by a human to give her a child. Bastards are quite frowned upon in their society."
    "Using her demonic heritage, knowingly or not, she had no trouble getting Berth off. Taking advantage of the fact she was hidden, she dropped the act a bit : she didn't look like she enjoyed what she was doing."
    "That was most likely a means to an end, and as soon as she felt the cumshot coming, she pulled it out and moved away to avoid it, letting it splatter to the bottom of the table."
    show lilly at toright
    ber "That was good..."
    show hilda at inleft
    hil "Food's ready."
    lil "Yay, it looks good, Mrs Warder."
    hil "Oh, ehm, thank you. But call me Hilda."
    "Berth was a bit out of it during the supper, but Lilly managed to talk with Hilda. Mostly platitudes about how good of a cook she was and the likes, but she was perfectly amicable."
    "A bit further into the meal, I felt lust coming from Berth again. I looked under the table and she was receiving a hidden footjob from Lilly who was, at the same time, praising her as a mentor."
    lil "I love working under your wife, Hilda. She's quite demanding, but I know I'll be a great doctor like her if I work hard at it."
    hil "{i}Mm-hmm{/i}"
    lil "And I do work hard to be like her, I always do what she wants. Even if it's sometimes a bit weird."
    hil "{i}Mh-mmm{/i}"
    lil "And I think I do well, Doctor Warder often invite me for a drink after work."
    hil "Really, now?"
    lil "Yes!"
    "She flashed a big, dumb smile at her, playing innocent, but I felt she was just stirring up trouble. She knew she was the one in the dominant position there, a word from her could get both of them in trouble, she was just having fun."
    "Hilda was doing her best to hold her tongue, and I think she was aware of what happened under the table, but shut up to avoid trouble."
    "Berth on the other hand was enjoying it, looking absently at her wife as she her cock was played with."
    lil "And you, how's life?"
    hil "You know, we make do..."
    lil "And do you plan to have children?"
    "Hearing that, Hilda slammed her knife and fork on the table, making her wife jump."
    hil "Not for now, no. Excuse me, but I have to leave, now."
    lil "But you didn't finish your delicious meal. Did I say something I shouldn't have?"
    show hilda at outleft
    "She didn't answer and left. I could hear the front door close soon after."
    ber "Lilly, I've told you, you know. She's barren, she can't have children... It's a touchy subject for her."
    lil "Oh, you did? I forgot..."
    "She clearly didn't. Her fake sad expression angered me."
    lil "It must be hard for you, maybe I could help you relax, now?"
    ber "{i}Hehehe{/i} Maybe it'd help, yeah..."
    "I couldn't stand to watch them, so I chose to leave too."
    scene townNight
    "I thought about catching up with Hilda and innocently console her, but she might figure out that I know more than I should, so I chose to leave her alone."
    "But I still checked up on her, to be on the safe side, and found her crying on a bench in the park..."
    return
