default angelRel = None

define ang = Character("Angel", color="#ffffff", callback = name_callback, cb_name = "angel")
layeredimage angel:
    at sprite_highlight('angel')

    group main:
        attribute base default:
            "angel b"
        attribute naked:
            "angel n"
define hol = Character("Holy", color="#fffd8a", callback = name_callback, cb_name = "holy")
layeredimage holy:
    at sprite_highlight('holy')

    group main:
        attribute base default:
            "holy b"

#init 10 python:   
    #diverDreamEvent("Angel", "diverAngel")
    #newEvent("diverAngel_FirstMeeting", "Diver_Angel", condition = "angelRel == None")

label deAngel:
    #$dEvent = getEvent("Diver_Angel")

    if angelRel == None:
        call angel_FirstMeeting from _call_angel_FirstMeeting
    else:
        show angel
        "You feel calm and protected and soon see the Angel coming towards you."
        ang "Welcome back!"
        call angel_Deal from _call_angel_Deal

    return
    #call nextDreamStage

label angel_Deal:
    menu: 
        ang "Do you want one of my blessings?"
        "Small Blessing of Luck (free)":
            $addLuck(3)
        "Protection against Lust[i_lust] (free)":
            $diverBonus.addRelationBonus(2, -.5)
        "Blessing of Power (5[i_crystal])" if lustCrystals >= 5:
            $diverBonus.addBonusEffect("Blessed", 1, True)
        "Curse of Weakness (5[i_crystal])" if lustCrystals >= 5:
            $diverBonus.addBonusEffect("Cursed", 1, True)
        "Nothing, thanks":
            pass
    ang "I thank you for your visit, fight well."
    return

label angel_FirstMeeting:
    $ang.name = "???"
    scene transparent
    show space1:
        alpha 1.0
        ease 5 alpha .8
    "The dream seems to be very calm around here, and you feel strangely safe. No succubus around, you want to lower your guard but you know better. Wherever you look, you seem to see... through the emptiness?"
    "The [playerBattle.name] inside you stirs..."
    "{i}[playerBattle.name]{/i}" "{i}We shouldn't be here, there's a dangerous enemy roaming in the area... She can even kill succubi, I'm not sure what would happen to you...{/i}"
    "You're still in control, should you investigate?"
    menu:
        "You're still in control, should you investigate?"
        "Let's check":
            "You push forward..."
        "Come back another time":
            "Better safe than sorry, you might be able to come back if you need to."
            call nextDreamStage from _call_nextDreamStage_2
    show space1:
        alpha .8
        ease 5 alpha .6
    "As you progress, it feels like the dream is becoming more stable, more defined. The space between dreams is becoming even weirder, like it's... missing?"
    ang "What are you doing here, demon. Don't you know what happen to your kind around these parts?"
    pc "No, I..."
    show space1:
        alpha .6
        ease 5 alpha .4
    ang "Silence! I shall teach you, then. It seems your kind doesn't fear me enough yet."
    "The world around you seem to disappear. You feel lightheaded, almost fainting."
    show space1:
        alpha .4
        ease 5 alpha .2
    $ang.name = "Angel"
    show angel at center:
        alpha 0
        ease 3 alpha 1
    ang "In a moment, you will fade out of existence and there is nothing you can do against that, demon. Any last word before your end?"
    menu:
        "...":
            ang "Good, you're more tame than the others before you. But that won't change your fate, now. Farewell..."
            show space1:
                alpha .2
                ease 5 alpha .0
            show angel
            "{i}[playerBattle.name]{/i}" "{i}No, no, no! Human! I don't want that, no! Let me leave, let me...{/i}"
            $MainMenu(confirm=False)()
        "Human":
            pc "Human!"
            ang "Human? You mean you're a human?"
            show space1:
                alpha .2
                ease 5 alpha .4
            show angel
            "She seems destabilized. That seemed to work as you feel the world somewhat coming back."
            pc "Yes, I'm just borrowing this succubus to explore around here."
            ang "No, you just barely feel like a human. I can sense that there's something else beside the demon, but..."
            "Her face comes closer to you, looking directly into your soul through your eyes."
            show space1:
                alpha .4
                ease 5 alpha .6
            show angel
            "After a moment, she steps back, looking a bit surprised."
            ang "Who are you? And don't lie to me, I will know."
            pc "My name is [pName], I live at the The Princess' Harem, an inn in town. I wanted to help my sister who was a Sleeper and, long story short, a succubus helped me explore this world."
            ang "You had a demon's help? And what did they ask in return?"
            pc "Nothing. Or rather, nothing strange, just a room at the inn to keep an eye on the situation and that I don't make the situation more complicated that it is."
    "She takes a few seconds to think before replying."
    ang "I do not perceive any deception from you. Very well, I will... let you go."
    show space1:
        alpha .6
        ease 5 alpha .8
    show angel
    pc "Thank you, I swear I'm not a demon."
    "As you slowly walk out, she calls after you."
    ang "Wait, [pName]. You said you wanted to help your sister, how did that fare?"
    pc "She's now awake and well."
    ang "But she's still possessed, isn't she?"
    pc "Yes, she is. My helper told me that was the best way to keep the succubus tamed and have her help me to dream dive."
    ang "I would suggest bringing her to a certain church in town."
    "The image of a small wooden church appears in your mind. It seems vaguely familiar, but you don't remember going there before."
    ang "The priestess working there is trustworthy and might be able to help you, if you don't trust those demons fully."
    pc "Thank you... I didn't get your name."
    ang "As it should be, our names have power. And I would appreciate if you don't talk about me to other humes either. If they knew someone like me was close, I would be flooded with small prayers and they would prevent me to work here."
    pc "Of course, I won't."
    ang "In thanks, I think I can help you myself, here..."
    $addLuck(3)
    "She extends her hand and lightly touches your forehead."
    ang "This is a small Blessing of Luck, it migh prove useful. If you pass by on further nights, do not hesitate to call upon me again, and I will give you a new blessing."
    show space1:
        alpha .8
        ease 5 alpha 1
    "As you get further away, you see the world coming back to you."
    "{i}[playerBattle.name]{/i}" "{i}Please, don't do that again, I thought I was going to die, there.{/i}"

    $angelRel = 0
    return