#Event
label dePalaceRest:

    return

#Queen
define queenServant = None
define queenExServants = []
define queenMeetings = 0

init 10 python:
    newEvent("QueenIntro", "Intro_Queen")
    newEvent("QueenLoss", "Queen_Loss", condition = "story < 34")
    newEvent("QueenWin", "Queen_Win", condition = "story < 34")
    

label QueenIntro:
    if story < 34:
        hide player portrait
        hide opponent portrait
        if queenServant:
            "You approach the throne room but someone is guarding the doors..."
            if queenServant == "Maid":
                show maidS
                mai "Ehm... I'm sorry, but the Queen has forbidden you from entering."
                mai "Could you... maybe... just leave? Please?"
                menu:
                    "Leave":
                        mai "Oh, thank you! Stay safe."
                        "Without controlling it, you quickly wake up."
                        jump wakeUp
                    "Stay":
                        mai "... I'll do what I can to defend my Queen!"
                        call startBattle(oSuccubusDB["Maid2"], "Queen_Maid_Win") from _call_startBattle_9
            elif queenServant == "Pixie":
                show pixieS
                pix "The Queen said you can't go there, sooooo... go away!"
                call startBattle(oSuccubusDB["Pixie2"], "Queen_Pixie_Win") from _call_startBattle_10
            elif queenServant == "Nurse":
                show nurseS
                nur "Queen's orders, I can't disobey her."
                nur "I just hope Doctor Warder isn't too handicapped by this situation..."
                call startBattle(oSuccubusDB["Nurse2"], "Queen_Nurse_Win") from _call_startBattle_11
            elif queenServant == "Dragon":
                show dragonS
                dra "My Queen ordered me to stand guard here. I won't let you pass without a fight."
                dra "Fuck, she's controlling me..."
                dra "With my Lady's power, I've taken back control of this body, you don't stand a chance."
                dra "I can't... resist..."
                call startBattle(oSuccubusDB["Dragon2"], "Queen_Dragon_Win") from _call_startBattle_12

        if playerBattle.name in queenExServants:
            "You reach out the the throne room doors, but your companion stops."
            if playerBattle.name == "Maid":
                mai "I... I... I'm sorry, I can't go further..."
                mai "If I do, she'll order me again, and I won't be able to resist... And I don't want to fight you anymore..."
                mai "So, let's leave for now, okay?"
            elif playerBattle.name == "Pixie":
                pix "Hey, ehm..."
                pix "Let's not do it again, yeah? That was bad enough last time."
                pix "We'll try again when I'm ready... sometime... later..."
            elif playerBattle.name == "Nurse":
                nur "That's impossible for now. Our chances of resisting her magic is null."
                nur "Trying to fight her is a waste of time, you should investigate a way to either counter her magic, or find someone who resist it."
            elif playerBattle.name == "Dragon":
                dra "Fuck that, I won't go back there like this, she'll just force me to obey again."
                dra "There should be a way to fight her, but I can't do anything against her right now."
                        
            "You are forced to wake up..."
            jump wakeUp
            
        if story == 31:
            call Queen_Intro_1 from _call_Queen_Intro_1
        elif story == 32:
            call Queen_Intro_2 from _call_Queen_Intro_2
        elif story == 33:
            call Queen_Intro_3 from _call_Queen_Intro_3
        
        $oSuccubusDB["Queen"].abilities = [oAbilityDB["Royal Edict"]]
        scene space3
        show player portrait at playerTrans
        show opponent portrait at opponentTrans
    elif story == 34:
        $story = 35
        "You're back at the throne room's red doors. After opening them, you see the Queen, still sitting proudly."
        que "Your friend seem to have high faith in your abilities, leaving me free to do what I want with you after your defeat..."
        que "I might not have my Royal Edict anymore, but I'm still powerful enough to get rid of plebians like you."
        que "And you'll have to fight me before being able to set your eyes on your princess."
        "Unsure of her real abilities, you ready yourself for the battle."
        que "En garde!"
        $oSuccubusDB["Queen"].abilities = [oAbilityDB["Edict of Shielding"], oAbilityDB["Edict of Superiority"], oAbilityDB["Edict of Smiting"], oAbilityDB["Edict of Empowerment"]]
    return

label QueenWin:
    show player portrait at playerTrans
    show queenS at opponentTrans
    que "{i}Tch...{/i} How..."
    que "No... it doesn't matter..."
    jump QueenLoss

label QueenLoss:
    show player portrait at playerTrans
    hide queenS
    show queenS
    que "Royal Edict!"
    "You fall on your knees, completely sapped of energy. Your body stands motionless in that submissive stance."
    if playerBattle.name == "Maid":
        que "You, maid..."
        "The Queen points at the ground and you feel the Maid take control of her body and kneel."
        que "What are you doing? Don't you remember who your Mistress is? Why aren't you at my service?"
        mai "My Queen, I..."
        que "No excuse, you are now working for me again. Fetch the duster and start working immediately."
        mai "I... yes... my Queen..."
        que "And leave that weak little hume here, you don't need her anymore."
        $queenServant = "Maid"
        "After a few second of hesitation, you are separated from the Maid."
        "She looks at you apologetically before leaving the room."
        hide player portrait
    elif playerBattle.name == "Pixie":
        que "Young Pixie, you know the rule, don't you?"
        "The Pixie is fidgeting."
        pix "Rule? What rule?"
        que "If any of your kind is to enter the palace, it means they submit to me. You are free to do whatever you want outside, but once you enter."
        pix "Wait, wait! I didn't choose to enter, it's that human, she..."
        que "It doesn't matter, you are here now."
        "She snaps her fingers and you slowly fall to the ground, losing control of your wings."
        que "Now, as my first order, separate from that human. After that, go find the court Mage, she'll have work for you."
        pix "..."
        $queenServant = "Pixie"
        "The Pixie takes flight, leaving you there. You can see her pout and mumble as she flies away."
        hide player portrait
    elif playerBattle.name == "Nurse":
        que "You are... the Nurse, is that right?"
        nur "I... am, yes."
        que "Some reports say you are trying to help humes, are they correct?"
        nur "..."
        que "If those reports were true, it would mean that you are rebelling against us."
        nur "..."
        que "Don't worry, it's not too late for now. I'll trust that the hume inside you is controlling you."
        que "You are free to leave them, now, so go take care of the servants you've hurt on your way."
        $queenServant = "Nurse"
        "The Nurse takes a step forward, leaving you behind."
        nur "I can't disobey you, now, can I?"
        que "Indeed, you can't. So hurry up and relieve those in need."
        "Gritting her teeth, the Nurse leaves the room without looking back."
        hide player portrait
    elif playerBattle.name == "Dragon":
        que "Ah, the one who ate my retainer... what should I do with you."
        dra "Fuck you, I..."
        dra "Please, forgive me, my Queen, I was too weak."
        dra "Wha? Hey, shut up you!"
        que "No, no you were strong. And still are, to keep your mind sharing your power like you are now."
        dra "You honor me, my Queen, even if I dishonored you."
        dra "Stop... talking!"
        que "Dragon, I'll help you keep your mind and get rid of that second parasite. Stand with me for now, I'm sure the Mage will be able to fix your problem."
        $queenServant = "Dragon"
        "In a swift movement, the Dragon leaves your body, pushing you down on the ground."
        dra "Thank you, my Queen. I'll get back to your service, as much as I'm able."
        dra "Fuuu..."
        "But she exits the room with the angry Lady Azure."
        hide player portrait
    hide player portrait
    
    if story == 31:
        call Queen_Loss_1 from _call_Queen_Loss_1
        $story = 32
    elif story == 32:
        call Queen_Loss_2 from _call_Queen_Loss_2
        $story = 33
    elif story == 33:
        call Queen_Loss_3 from _call_Queen_Loss_3
        $story = 34
        $otherStory = 5
        $queenServant = None
    jump wakeUp

label Queen_Maid_Win:
    show maidS
    "The Maid drops to her knees."
    mai "I... I'm sorry..."
    mai "I couldn't disobey her... I didn't want to fight you again... but she ordered me to..."
    mai "I'll... I'll get out of your way!"
    $queenServant = None
    $queenExServants.append("Maid")
    call startBattle(oSuccubusDB["Queen"], "QueenWin", "QueenLoss") from _call_startBattle_13

label Queen_Pixie_Win:
    show pixieS
    "The Pixie fall on the ground."
    pix "Please, get me out!"
    pix "I can't stand being here and obeying her, free me..."
    "You pick up the Pixie and approach a window. You break it open with your elbow, then let her outside."
    pix "Thanks, let's play together again, but somewhere else."
    $queenServant = None
    $queenExServants.append("Pixie")
    call startBattle(oSuccubusDB["Queen"], "QueenWin", "QueenLoss") from _call_startBattle_14

label Queen_Nurse_Win:
    show nurseS
    nur "Hmm... I did my best to obey her order, but you were unfortunately stronger than me."
    nur "Oh, too bad, then. Since you're so strong, I'll have to submit to you, and go back to helping the humes against my will..."
    "She walks by you nonchalantly, but you'd swear seeing her flash a smile as she's right next to you."
    nur "Welp, better leave this place quickly before I get in trouble for being forced to help the ennemy."
    $queenServant = None
    $queenExServants.append("Nurse")
    call startBattle(oSuccubusDB["Queen"], "QueenWin", "QueenLoss") from _call_startBattle_15

label Queen_Dragon_Win:
    show dragonS
    dra "{i}GRAAAAH!{/i}"
    "Suddenly, the Dragon hits herself in the stomach!"
    dra "Hey, what are you {i}ugh...{/i}"
    dra "Stop hitting yourself!"
    "Followed by a punch in the face."
    dra "Yeah, she's getting weaker!"
    "The situation is strange, with the two of them fighting themselves in a single body, and you're not sure how you could help."
    dra "I have some control back... help me out!"
    "She leans against you and you help her walk as she continues hitting herself from time to time."
    "Once you're far enough, she stands back on her own."
    dra "Thanks, I got out. I'll fly away quickly, before that bitch comes back... I have some work to do."
    "You watch Lady Azure leave, making sure she's still herself, then you continue to see the Queen."
    $queenServant = None
    $queenExServants.append("Dragon")
    call startBattle(oSuccubusDB["Queen"], "QueenWin", "QueenLoss") from _call_startBattle_16



label Queen_Intro_1:
    "You arrive in front of two huge red doors. They look as regal as those of Queensrest Castle, but sized up and more intimidating."
    "To open them, you need to push with all your weight, and even then they barely move."
    "They slowly open to an even bigger room, its walls hidden in darkness while a center path is lit up by golden candelabras."
    show queenS
    "A red carpet lies in front of you, leading you to a set of stairs where waits an imposing figure, waiting on her red throne."
    que "So, you're the intruder my guards warned me about?"
    "She's still sitting but you can feel power irradiating from her."
    que "You seem very weak, but I see that you've kidnapped some of my subjects to fight in your stead."
    que "Quite a cowardly move, don't you think?"
    "Inside you, you feel the [playerBattle.name] wanting to speak, but the Queen interrupts her before she has the opportunity."
    que "Or are they traitors? You'd tell me if they defected to your side, wouldn't you?"
    menu:
        que "Or are they traitors? You'd tell me if they defected to your side, wouldn't you?"
        "I forced them":
            pass
        "...":
            que "See, what did I tell you, you're a coward."
    que "Now, release them or I shall punish you."
    "You can't, you're here to fight her."
    que "Fight me? And what are you trying to accomplish?"
    que "Oh, you're here to save all the humes my subjects have been draining."
    que "{i}Puhuhu{/i}, I'll teach you to respect your betters!"
    return

label Queen_Loss_1:
    "You find yourself vulnerable in the middle of the throne room, looking up at the Queen."
    que "As for you..."
    "The way she looks at you makes you feel small, unable to disobey her."
    que "Who are you, human?"
    "You answer her reluctantly, as if words spill from your mouth without your approval."
    pc "[pName]..."
    que "Then, [pName] the human, what are you doing here, in the dream world?"
    pc "Looking for information... about the Blissful Sleep."
    que "Ah, yes, that mysterious disease. And what have you found?"
    pc "Succubi are... stealing people's consciousness."
    que "And you guessed that fighting me, their Queen, was the best way to free them, is that right?"
    pc "No..."
    que "That'd be right. Even if you managed to beat me, my succubi are here on their own volition. They wouldn't leave and I'd come back anyway, as I am immortal."
    que "But that doesn't matter. What I really wanted to know is who is working with you? The way you use succubi to fight shouldn't be possible for a hume."
    pc "..."
    "You know that revealing Margaret's involvement would be bad, and somehow manage to keep that to yourself."
    que "Still a bit resistant, are you? No matter, I'll relieve you... Come here."
    que "And no standing up! On all fours."
    "You walk like an obedient dog in front of her, right between her legs, your face right in front of her cock."
    que "Sit! And no touching, you haven't earned the right to touch the Royal Scepter."
    "After you find yourself sitting like a dog, she snaps her finger and a succubus enters."
    que "Servant, please your Queen and bathe that human with her cream."
    "The succubus bows before going to the side of the Queen and starting a slow handjob."
    que "Good, let us take our time."
    "In front of you, the Servant is masturbating the Queen. Her deliberate movements and the smell is starting to affect you, getting you erect as well."
    que "I see that you are enjoying it, human, but you are prevented from touching yourself. You'll have your release soon enough."
    "You sit there, trying to stay immobile but still twitching from arousal. Her heat is radiating and enticing you even more."
    "The Servant accelerates and the Queen's breathing intensifies, but she never looses eye contact with you. You are under her command."
    que "You can finish me, Servant, right on the human."
    "Acknowledging her order, the succubus aims the Queen's cock towards your face at the right moment. Waves of cum crashes onto you, splattering everywhere."
    "You feel huge pleasure as you receive it, your mind wavering away as the Queen speaks again."
    que "Now, human, who's the succubus working with you? And none of those small fry you control, the most powerful one."
    "Your mouth opens to answer, but you do your best to resist and stay there, agape, as cum drools into it."
    que "Answer, NOW!"
    "Startled by her shouting, you manage to refocus your mind and, in an instant, take that opportunity to force yourself awake."
    scene bedroom
    show player at left
    "You're back in the waking world... you're feeling safe."
    "It doesn't feel great to flee like that, but you aren't sure you'd have been able to keep your secret otherwise."
    "Next time you meet her, you'll have to be more careful, she's more powerful than you expected, but you're certain she has more information for you."
    return

label Queen_Intro_2:
    "You're back to the red doors after freeing your succubus ally. You aren't sure it's a good idea to continue, but that's your only option for now."
    show queenS
    que "You again? Your complete failure to win last time wasn't enough?"
    "You ready yourself for the fight. Last time, she used a strange ability, Royal Edict... There should be a way to avoid it."
    que "Using the Edict is quite tiring, you know. And since I'm a succubus, I'll have to drain my prey's energy even more than usual to recover."
    que "Who knows what will happen if I drain more than she can give {i}puhuhu{/i}."
    "What? A prey... who can it be?"
    que "{i}Puhuhu{/i}, I couldn't take just anybody, had to follow your traditions. I can't use any plebian to restore my royal energy."
    "Royal... she doesn't mean..."
    que "Indeed, before letting all those wild succubi free, I've sent my best fighter capture your precious Princess for me."
    que "She was the first victim, but her entourage preferred hiding that fact and soon this whole city will be under my control."
    "That... can't be. Princess Cecilia has the power of the Angels inside her blood, she should be protected against demons."
    que "At first, she was quite willful but, as time passed, our loving torture took effect. She is now a bit addled and providing me with her divine energy."
    que "Speaking of, after your defeat, I'll tell her about the young heroine who came to save her. I'm sure she'll be quite happy to learn the reason she's being milked extra hard today."
    return

label Queen_Loss_2:
    que "Now, about you... it's a shame that you left us so early last time, but I took precautions this time."
    "The Queen speaks with confidence, making you doubt you'd be able to leave that easily today."
    que "Let's get back to the questions, shall we?"
    "Once again, you feel compelled to answer anything she asks."
    que "Since you had problems answering last time, we'll start with another question : Who are you hunting?"
    pc "I... I'm not sure."
    que "What do you mean \"I'm not sure\"?"
    pc "I have... multiple leads... You... or a cambion... or their mother... the one who knows how to... dissipate the Blissful Sleep."
    que "I see. And who told you about them?"
    pc "A...{w} friend..."
    "You barely managed to hold back Debora's name."
    que "Resisting again... is it a demon? Or someone from the castle?"
    pc "No..."
    que "Doesn't matter, then."
    que "Still, it's worrying. Someone is aware of her existence, it could make it harder. I'll have to..."
    que "{i}Ahem!{/i} Now, we'll continue taming you. You can try to flee, but you'll be unable to."
    "You try to wake up, but as she said, you can't. You force your eyes open, but don't leave this place."
    que "See? Now, tell me who's the succubus betraying us to help the humans?"
    pc "..."
    que "And since a small shower wasn't enough... come to me."
    "Without any more instruction, you start crawling on all fours towards her."
    que "Good girl. Now, I'll allow you the privilege of serving the Royal Scepter."
    "She dangles her cock right in front of you, like a treat for you. You raise your hand to grab it before realizing it."
    que "Now, move slowly and approach your head. No biting."
    "You put your mouth against her warm dick, your lips opening by themselves to take it between them."
    que "{i}Mhh...{/i} Yes, like that. Service me with thoroughly."
    "Your head bob on her cock as your tongue rolls around it. You can't manage to take it deep so you pay attention to its head and stroke the length with your hand."
    que "You're good, I can see you've had experience. And no stroking yourself."
    "Without knowing, you had taken your cock out and started masturbating with your other hand, but you stopped immediately as she ordered."
    que "Don't worry, I won't last long. You'll have to drink a few loads, to be certain. Don't miss a drop."
    "You seal your mouth against the tip, she releases her juices and you don't have any choice but to drink them down."
    "Your head turns, you feel your will weaken..."
    que "Good start, get me ready for the next one."
    "Again, you continue blowing her. You don't want it, you have to make it stop..."
    que "I can see that you're resisting, it's quite pathetic but don't worry, it won't last long."
    "You can't think, what she's doing makes it difficult, and your hard cock even more..."
    "... hard cock? You didn't feel it, but you're edging. A simple stroke would finish you off..."
    que "Stop wagging your cock like a dog, I said you can't touch yourself."
    "No stroking yourself, but it doesn't mean you can't cum..."
    "In a pitiful move, you get closer to the Queen and rub your cock against her leg, desperately hoping for release."
    que "What are you doing? I know I called you a dog but... that..."
    "A few movements are enough to get you over the edge. You were so pent up added to the whole humiliating situation makes you cum hard."
    que "H-hey, you... my... leg!"
    scene black with fade
    "And you find yourself fainting, as you often do after cumming like this..."
    que "No! Come back here! Listen to your Queen!"
    scene bedroom
    show player at left
    "As you wake up, you feel exhausted... and even if it's quite early, you can't go back to sleep... but can't manage to find the strength to get up either."
    "You spend the next three hours laying there, questioning yourself on how to continue your fight."
    return

label Queen_Intro_3:
    "This time, as you approach the titanic doors, they open by themselves."
    show queenS
    que "Welcome back, tenacious hero. You made it once again to my throne room."
    que "The Princess sends her regards and hopes that you'd hastily release her from this nightmare."
    que "Or that was before I told her how you valorously escaped your previous predicament."
    "The confident way she speaks makes it clear that she thinks you have no way to avoid her Royal Edict. Is she really unbeatable?"
    que "What's happening, hume? You aren't in fighting stance, can it be that you are resolved to your fate?"
    que "You'd be right, there is indeed no way for you to avoid it. Even if you managed to make me submit, I could still use it to regain dominance."
    que "Be it gagging me or even depriving me from my magic would still fail, this ability is present so deep inside of me that I'd still be able to use it."
    "And knocking her out or killing her is impossible in the dream world..."
    que "I can use both the power of a Matriarch and and Angel, I am invincible!"
    "Wait... Angel?"
    "Of course! If you managed to awaken Princess Cecilia, she'd lose her access to her divine energy."
    "You start looking around the room, looking for any sign of where the Princess could be."
    que "Are you looking for an escape? There are only two ways in or out of this room : the doors you entered and the ones behind this throne."
    que "You can try to fight me to pass, or flee like a coward. I'll leave you the choice."
    menu:
        que "You can try to fight me to pass, or flee like a coward. I'll leave you the choice."
        "Fight":
            "There is no way around it. You wouldn't be able to sneak past the Queen, that is your only option if you want to progress."
        "Flight":
            "Fighting her is useless. You might be able to sneak around her with a bit of chance."
            que "Flight, is it? I can't say that I'm surprised but I'm certain the Princess would be disappointed. Though I won't let you run, anyway."
            jump QueenLoss
    return

label Queen_Loss_3:
    que "An now, you!"
    "She snaps her fingers twice and a chastity belt appears around your crotch."
    que "With that apparatus, you won't be able to relieve yourself. Tonight, I'll make you drink your fill until you become a good, subservient slave. You'll divulge all your secrets and betray your partners."
    "Your whole waist is cut from your senses, you are unable to even feel the steel of the belt against your skin."
    que "Now, come and fellate your new owner."
    "You pour all your remaining willpower into resisting the order but are only able to slow your movement."
    "Exactly like last time, you're crawling on all fours, trying to hold your arms and legs from moving forward."
    que "Mouth."
    "As you get between her legs, your jaws parts to take her member between her lips."
    "You can already taste her precum..."
    "???" "So that's what's happening. I'm a bit surprised, to be honest."
    que "What? Who is intruding?"
    show margaret succubus at inright2
    "From the corner of your eyes, you see Margaret emerge from behind the throne. The Queen jumps up in surprise and stands up, leaving you between them."
    mar "So she's the one using the divine power I felt recently."
    que "You are..."
    mar "Yes, yes, but that's not important now. Free that human before something bad happens."
    "The Queen keeps a fighting stance. She's appraising her opponent's strength, ready to fight her."
    mar "I wouldn't do that if I..."
    que "Royal Edict!"
    "Margaret didn't have the time to finish her sentence that the Queen went on the offensive and Margaret stops, completely immobile."
    que "{i}Heh{/i} Even someone as powerful as you can't resist my new spell. I comes directly from Mother's power infused with divine blood."
    mar "Oh, that's what it is."
    "To the Queen's surprise, Margaret moved once again."
    mar "You hid yourself from me because you were afraid and I always wondered how you managed to do something like that."
    que "How are you moving? You shouldn't be able to do anything!"
    mar "Oh that's easy..."
    hide margaret
    "Margaret disappears right in fron of you."
    show margaret succubus at inleft2
    mar "That was just an illusion. With a bit more life, I'll admit, just enough to fool you."
    "Another one appears from behind the throne."
    mar "And now that I've seen your spell, I bet I'll be able to dispel it if you try casting it again."
    mar "Oh, and [pName], you should be able to move again."
    "You have to make a conscious effort to take back control of your body, but she's right and soon enough, you're up."
    mar "That kind of spell needs her to focus on her target, it's too powerful to manipulate otherwise."
    show margaret at toleft
    show queenS at toright
    "She makes a head gesture for you to come behind her and you take the opportunity to ask why she's here."
    mar "I've felt a wave of divine power, recently, so I investigated. After the second one, I thought you might be involved, so I followed you. And I was right."
    mar "Can you fill me up on why you're fighting her? As she is right now, she's a bit above your abilities."
    "You explain to her on the Cambion and how Debora told you to investigate the Castle. Then you tell her the Queen has Princess Cecilia captive, so you have to rescue her."
    mar "I see... So that's the explanation for the divine power and the way you handle it comes from your Mother, is that it?"
    mar "Let me guess... Since Lilith is a bit indisposed, I'll bet Naamah is the one involved."
    que "How dare you use Mother's name like that! Especially a traitor child like you!"
    mar "I don't care, {i}\"cousin\"{/i}. Wether Lilith was wrong or not, she lost and we now all have to make do with it."
    mar "Humes earned their right to stay and showed they were far more resilient that we thought... as you can see."
    mar "Anyway, even if you're Naamah's blood, you clearly don't have her skill. Come here..."
    show margaret at toright2
    "Margaret walked towards the Queen, still in a fighting stance, and, in a flash, was behind her."
    mar "I knew it!"
    "You see Margaret's hand reaching the Queen's ass and pull a bright and shiny buttplug."
    que "Hey! Give that back to me!"
    show margaret at toleft
    mar "And, done. Without that toy, your Royal Edict is broken. I've released your hold on that divine magic, you won't be able to use it anymore."
    que "What? But why? Just kill me! There's no need to humiliate me like that, especially in front of a hume!"
    mar "Come on, [pName], let's leave for today."
    que "Hey, listen to me! I'll just hunt her again, you know?!"
    mar "I do, but next time, you'll fight on equal terms. Whether she wins or lose, it'll be her power versus your own. No Matriarch, no Angel, you'll have to fight by yourself."
    "The Queen is fuming as the dream starts to fade around you."
    scene bedroom
    show player at left
    show margaret at right
    "You slowly wake up in your own room, and jump when you see Margaret sitting at the end of your bed."
    mar "Well slept?"
    pc "What... happened?"
    "It takes a moment before everything that happened this night came back to you."
    mar "I've stopped the Queen's ability to simply take control of you. It shouldn't be used, even by angels..."
    pc "But you didn't fight her? Princess Cecilia is..."
    mar "I know, I know, but I can't just go and help her."
    pc "... why?"
    mar "I've... already fought back too much against Naamah today, if I went further, I'd have to go into hiding."
    mar "Plus, you should be the one to save her."
    pc "Who's that Naamah?"
    mar "Lilith's sister... and lover."
    pc "W-what?"
    mar "Us demons work differently, and they are Matriarchs, so even more different."
    mar "They've existed since the beginning of the world, like goddesses, and a single drop of their sperm can create a fully fledged succubus if they want, they don't reproduce like we do."
    mar "The Queen was one of Naamah's daughter... and I... was one of Lilith's own..."
    "It takes you a bit aback. Margaret is the daughter of the Demon Knight you were fighting before."
    mar "Don't worry, I'm not looking for vengeance or anything. I know we lost the war and I'm doing my best to keep us from starting a second one."
    mar "We succubi need to learn to live with the humes, not see them as prey anymore, but it's hard to fight our instincts..."
    mar "But Naamah... I'm not sure what her intentions are. I suspected she was involved, luckily she isn't here directly or we'd be toast."
    pc "So... what should I do? I can't fight someone as powerful as Lilith on my own."
    mar "Don't worry about Naamah for now. I'll know if... when she comes and we'll fight together."
    mar "For now, focus on rescuing your princess. You'll have to fight the Queen again, but she won't be as powerful anymore, you should be able to do it."
    "You take some time to process everything that's happened."
    pc "So, do you think all this is Naamah's doing?"
    mar "The Blissful Sleep? Probably. What I want to know is her objective. I doubt she wants a new war, no other demon seem involved and we aren't enough to fight."
    pc "Could it be... me?"
    mar "...{w} I won't lie, it's a possibility..."
    "You gulp."
    mar "I'll do my best to make sure nothing happens to you, but I can't guarantee anything..."
    "The both of you sit there, on your bed for close to an hour without talking much."
    mar "I'll... leave you to it. You're probably still tires. I might be more busy now, so we might not see each other so much anymore."
    mar "That and the fact that I'll have to lay low for a while after what I did to the Queen."
    show margaret at toright2
    "She has a small anxious laugh as she says it, before getting up and walking to the door. Just as she's about to leave, she turns back."
    mar "Oh, and about the Cambion... I might have an idea but I'll have to double check. I'll come back to you when I've made sure of their identity."
    show margaret at outright
    "And she left..."
    "Today will be hard but it might also be the day where you'll save Princess Cecilia. Better get ready."
    return
