define persistent.relations = {}

define persistent.pName = None
define persistent.pSurname = None
define persistent.pNickname = None


init python:
    def showUnlockExtraScene(img):
        if img == 0:
            img = "{image=Relationships/Friendship.png}"
        elif img == 1:
            img = "{image=Relationships/Love.png}"
        elif img == 2:
            img = "{image=Relationships/Lust.png}"
        else:
            img = "{image=" + img + "}"

        renpy.notify(" {}  {}  {} ".format(img, "{image=extraEvent.png}", img))
            

label extraScenes:
    $eveC = playChara("Evelyn")
    $melC = playChara("Melody")
    $hilC = playChara("Hilda")
    scene space1
    show margaret s at left
    label extraChoice:
        menu:
            mar "I could show you scenes that [persistent.pName] might have missed..."
            #"Melody" if persistent.hiddenScenes.has_key("mel"):
            #    menu:
            #        "Back":
            #            call extraScenes from _call_extraScenes
            "Evelyn" if persistent.relations.has_key("Evelyn_friendship"):
                label extraEvelyn:
                    show evelyn at right
                    $friendship = persistent.relations["Evelyn_friendship"]
                    $love = persistent.relations["Evelyn_love"]
                    $lust = persistent.relations["Evelyn_lust"]
                    menu:
                        "Evelyn\n[friendship][i_friendship]\n[love][i_love]\n[lust][i_lust]"
                        "Love [i_love]":
                            menu:
                                "Evelyn & Rhoda 1" if love >= 1 or config.developer:
                                    call EvelynLove1Extra from _call_EvelynLove1Extra
                                "Evelyn & Rhoda 2" if love >= 2 or config.developer:
                                    call EvelynLove2Extra(lust) from _call_EvelynLove2Extra
                                "Evelyn & Rhoda 3" if love >= 3 or config.developer:
                                    call EvelynLove3Extra from _call_EvelynLove3Extra
                                "Evelyn & Rhoda 4" if love >= 4 or config.developer:
                                    call EvelynLove4Extra from _call_EvelynLove4Extra
                                "Evelyn & Rhoda 5" if love >= 5 or config.developer:
                                    call EvelynLove5Extra from _call_EvelynLove5Extra
                                "Back":
                                    call extraEvelyn from _call_extraEvelyn
                        "Lust [i_lust]":
                            menu:
                                "Evelyn's Submission 1" if lust >= 1 or config.developer:
                                    call EvelynLust1Extra(love) from _call_EvelynLust1Extra
                                "Evelyn's Submission 2" if lust >= 2 or config.developer:
                                    call EvelynLust2Extra from _call_EvelynLust2Extra
                                "Evelyn's Submission 3" if lust >= 3 or config.developer:
                                    call EvelynLust3Extra from _call_EvelynLust3Extra
                                "Evelyn's Submission 4" if lust >= 4 or config.developer:
                                    call EvelynLust4Extra from _call_EvelynLust4Extra
                                "Evelyn's Submission 5" if lust >= 5 or config.developer:
                                    call EvelynLust5Extra from _call_EvelynLust5Extra
                                "Back":
                                    call extraEvelyn from _call_extraEvelyn_1
                        "Back":
                            hide evelyn
                            call extraChoice from _call_extraChoice
            "Melody" if False: #persistent.relations.has_key("Melody_friendship"):
                show melody at right
                $friendship = persistent.relations["Melody_friendship"]
                $love = persistent.relations["Melody_love"]
                $lust = persistent.relations["Melody_lust"]
                menu:
                    "Melody\n[friendship][i_friendship]\n[love][i_love]\n[lust][i_lust]"
                    "Back":
                        hide melody
                        call extraChoice from _call_extraChoice_1
            "Hilda" if persistent.relations.has_key("Hilda_friendship"):
                show hilda at right
                $friendship = persistent.relations["Hilda_friendship"]
                $love = persistent.relations["Hilda_love"]
                $lust = persistent.relations["Hilda_lust"]
                menu:
                    "Hilda\n[friendship][i_friendship]\n[love][i_love]\n[lust][i_lust]"
                    "Hilda's Submission 1" if lust >= 1 or config.developer:
                        call HildaLust1Extra from _call_HildaLust1Extra
                    "Hilda's Submission 2" if lust >= 2 or config.developer:
                        call HildaLust2Extra from _call_HildaLust2Extra
                    "Back":
                        hide hilda
                        call extraChoice from _call_extraChoice_2
            "Back":
                pass
    return
    #$MainMenu(confirm=False)()