init 9 python:
    location("Library", 850, 250, "locLibrary", "B8E986", "Library")

label locLibrary:
    menu:
        "You're at the library. The perfect place to learn about the world."

        "Do some research about the other diver" if otherStory == 2:
            call otherLibrary1 from _call_otherLibrary1
        "Continue your search" if otherStory == 2.1:
            call otherLibrary2 from _call_otherLibrary2
        "Find information about half-succubi" if otherStory == 2.2:
            call otherLibrary3 from _call_otherLibrary3

        "Choose a book to read":
            call books from _call_books
        "Pick one at random [i_time]":
            "You take a book which looks interesting..."
        "Leave":
            jump dayTown
    
    "..."
    $dayBonuses.addBonusEffect("Focus", character = None, auto = True)
    "Spending time at the library helped you feel more focused."
    jump advanceTime

label books:
    menu:
        "Here are a few books that could be of help..."
        '"Book of the elvenkind" Informations about the elves and their castes [i_time]':
            call b_elvenkind from _call_b_elvenkind
        '"The first futanari" The legend of Futana [i_time]':
            call b_firstfuta from _call_b_firstfuta
        '"Joelyn\'s journey to Seraphine : The three genders" A guide for foreigners about the different genders in Seraphine [i_time]':
            call b_jj_genders from _call_b_jj_genders
        '"Succubus children" From succubi to humes' if otherStory >= 3:
            call b_aboutSuccubi from _call_b_aboutSuccubi
        "Nothing catches your interest...":
            jump locLibrary
    return


label b_elvenkind:
    menu:
        "Book of the Elvenkind, table of content"
        "Biology":
            call b_elvenkind_bio from _call_b_elvenkind_bio
        "History":
            call b_elvenkind_history from _call_b_elvenkind_history
        "High elves":
            call b_elvenkind_high from _call_b_elvenkind_high
        "City elves":
            call b_elvenkind_city from _call_b_elvenkind_city
        "Street elves":
            call b_elvenkind_street from _call_b_elvenkind_street
        "Wood elves":
            call b_elvenkind_wood from _call_b_elvenkind_wood
        "Breeding elves":
            call b_elvenkind_breed from _call_b_elvenkind_breed
        "Close the book":
            return
    jump b_elvenkind

label b_elvenkind_bio:
    #Biology
    "Elves have some variability between completely elf and human. The description here is for a generic elf, but they can miss some depending on their caste."
    "They are taller than humans. They have long, powerful legs making most of their height but are quite slender in general."
    "Elves are highly magical, granting them unique characteristics. The first one is their innate talent to manipulate it almost at birth."
    "They are also unaging, their body maintaining itself perfectly with time, as long as their magic flows."
    "Elves are also composed of a single gender : they are all hermaphrodites, also called futanaris from the human term."
    "It is unknown if it was caused by their magic, if they both come from the same source or if they have any correlation at all."
    "Last thing unique about the elves is their surprising low sperm count, making the elven birth rate low which wasn't a huge problem because of their longevity."
    "It is theorized to come from incompatibilities with their high magic, but no concrete proof was found."
    "Keep in mind that most elves lack some of those characteristics, which is detailed in the other sections."
    return

label b_elvenkind_history:
    #History
    "In the past, elven society was dictated by magic power, better mages having higher rankings."
    "Their way of thinking changed when they discovered that new generations were losing their magic."
    "It was when they realized that half-elves were becoming more common very fast. Their biology made elves easily impregnated by other races, mainly humans, but they also lost their magic."
    "Hence a caste system was created in the elven queendom to prevent more degradation of their power. It wasn't well received but ended up integrated in their customs."
    "The caste system granted political power and financial advantages, as well as prime places in breeding rituals."
    "Nowadays, the caste system lost most of its advantages and is mainly kept as prestige. The only place where it kept its importance was in the Queen's Share festival."
    return

label b_elvenkind_high:
    #High elves
    "High elves is the most prestigious caste and the one to which the queen belongs. They value their elven ancestry giving them a lot of advantages."
    "They don't age or slowly enough not to matter, can manipulate magic easily and are physically superior to humans in most ways."
    "To keep their lineage in check, they are rarely found outside the capital or position of power."
    "They can seem cold or pretentious to non-elves, but they are taught to act that way to prevent other to create attachment to them."
    "A child born from high elves will also be of that caste, but if they are female or fail their magic exam, an investigation will take place where one or both parent risk to lose their caste."
    return

label b_elvenkind_city:
    #City elves
    "City elves are the majority of  the population of the Elven Queendom. They have lost some of their elven heritage."
    "They can still live multiple centuries and can quite easily become more powerful than the average human mage."
    "The only way for a city elf's child to reach higher caste is to mother one from a high elf father."
    "To be a city elf, they need to be born at least on city elf parent, be a futanari and pass a magic exam at age 20, otherwise they will become street elf."
    return

label b_elvenkind_street:
    #Street elves
    "Street elves are the most common elves outside the Queendom's big cities. They often possess as much human blood than elf."
    "They live two to three times longer than humans and can learn basic magic easily, but are far from a high elf's capabilities."
    "Their looks and strength are also much closer to a human, but their fertility is higher too."
    "Most of them do not care about their caste anymore and leave the elven lands. They can blend quite easily with humans and often migrate there."
    return

label b_elvenkind_wood:
    #Wood elves
    "Elves of old had a deep connection with nature, and when the caste system was put in place, a part of them decided to secede partly from the Queendom."
    "They said that the cause of their loss of magic was due to denying the nature rather than outside breeding, but some say the first wood elves were just people leaving in anger of not be granted the high elf caste."
    "But whatever the reason, they managed to obtain some results as their magic is similar to high elves."
    "Unfortunately, their isolation makes them look primitive compared to modern elves. They still practice breeding rituals of old, and consent isn't often asked."
    "Their practices are frowned upon but are too indoctrinated to be easily convinced and the Queendom would rather turn a blind eye than launch a war with them."
    return

label b_elvenkind_breed:
    #Breeding elves
    "An open secret for the elves is that they often have a breeding fetish."
    "Since they have a low chance to conceive a child, it is quite natural of them to develop it, but it can become a problem."
    "Their desire for parenthood can make some elves lose themselves in human society, where they can easily have children compared to the elven lands."
    "Elves who, for one reason or another, become addicted to it are called breeding elves. It is a derogatory term and not an official caste, but is often used as an insult for elves frequenting humans."
    "But the problem is real, and one of those elves can have children every year. They often are unable to take care of them and ruin their body and mind with that addiction."
    "They are easy prey for unscrupulous slavers who can promise them what they want if they break the law and get assigned to them."
    return


label b_firstfuta:
    "Long ago, the angels had forsaken our world. Humes dealt with demons to obtain power and riches, and after years of trying to save their souls, their guardians gave up."
    "The angels were stunning women with bright hair and white wings. They were the incarnation of good, always helping the humes or fighting the demons' corruption."
    "The centuries following were hard after they left : even though the technology was progressing faster than ever, humes became more and more obsessed with the search for happiness, but it was a selfish desire."
    "They wanted their own joy, often in spite of others and the demons were there to provide, but their deals became worse every time. They gaged their own soul, their partner's and even their unborn child's."
    "In that world lived a young girl named Sera. She was a beautiful human girl who lost her parents at a young age. She did her best to survive and even found a boyfriend."
    "But the man was a compulsive cheater and, as soon as Sera got pregnant, he left for one of his other prey. The girl was devastated."
    "With her pregnancy on the way and no one else to help her, she worked hard, day and night. That's when the first demon came."
    "They offered her riches against her soul, but she said no. They offered her a nice house for her child's soul, she refused again. They offered her a stable place to raise her child, but she chased them away."
    "Unfortunately for her, they thought she was easy prey and made her life even harder. They cursed her so she lost her job and everyone was avoiding her, thinking she was openly working with them."
    "All the stress had its toll, her child was stillborn..."
    "Taking this opportunity, the demon came back and they offered her a deal no one would refuse : They'd give her child back its life, against the soul of its father."
    "Not wanting anything to do with them, and having nothing else to lose, she attacked the demon, bare handed. The demon was annoyed."
    "They decided that she would never accept their offer, so they'd rather get rid of her."
    "But, touched by the girl's resolution, an angel appeared before her and killed the demon. But after that experience, the girl wasn't responding. She was alive, but without the will to continue."
    "The angel took care of her, nursed her back to health and stayed with her. They became her guardian angel and lived with her for years, giving her a decent life."
    "The people around them, once skeptic about an angel coming to live in their village, became to accept them, and slowly came to ask for help, where the angel judged them and, if they were worthy, did small acts for them."
    "Year after year, the couple became closer until they fell in love. And to the surprise of everyone, Sera fell pregnant once more."
    "She had a daughter. She had bright blond hair like the angel and was of both genders. She was named Futana, meaning \"Of two kinds\", to symbolize her divine heritage."
    "Soon after her birth, her angel parent was called back. Even if a half-angel child was never heard of before, they were convinced it was for punishment."
    "After that, the whole village decided to help Sera to raise her daughter. They did it as an act of good, which made the demons' influence on the area weaken."
    "Futana became a strong and bright girl. She was the perfect child and grew to become the idol of the village, and even towns around heard about her."
    "In addition to her looks, she also inherited the will to spread good around her. Her physical strength allowed her to help with labor and fighting demons, and her keen mind found solution to every problem."
    "As she became of age to marry, the whole village was in turmoil. Men and women of all ages hoped to be chosen, but she didn't seem interested."
    "That was until the King came for her. His daughter was a few years older, and had heard of Futana and would be interested in a meeting."
    "The princess had no brother, and thus would become a queen. But as the rule of the time were, she had to be married and her husband would be the one to rule the country."
    "She wanted to marry Futana, as she was the perfect candidate to rule the country at her side. The princess had the same vision for the country as Futana had for her village."
    "Initially, the King refused as Futana was also a woman, but when his daughter reminded him that, even if she was a woman, she could still give her an heir, he relented."
    "The two of them took time to know each other, and they worked well together. So well that they married the next year."
    "They worked well as a ruling couple : The princess knew how to rule the kingdom and Futana always gave good advice. And when it was time to fight demons, she was always on the front lines."
    "The two of them had a lovely daughter, who also was of both genders. At birth, the were visited by an angel who came and blessed the newborn. They were Futana's father, who was only allowed to visit for one day."
    "And it followed for the next generations, whether the princess married a man or a woman, they always had hermaphrodite children, and all of them were blessed by the angel. The kingdom became queendom, and the rule about only males ruling became obsolete."
    "After generations, hermaphrodites started to be born further from the royal family, as princesses who didn't inherit the throne lived their own life, and the children of both genders became known as Futanari."
    "Strangely enough, futanari born outside of the ruling line sometimes gave birth to children of a single gender, but always of feminine appearance and, little by little masculine children faded away."
    "Nowadays, the Queendom of Seraphine, named after Sera and the angel, is mainly inhabited by feminine humes, either female or shemales. The futanari became a symbol of nobility, even if some are often born without a futanari parent."
    return


label b_jj_genders:
    "First book of the Great Researcher Joelyn's investigative journey in Seraphine."
    "The Queendom of Seraphine is home to a strange phenomenon making some children be hermaphrodites, also called Futanaris."
    "Their origin seems to be divine, as the book \"The first Futanari\" tells, but I have decided to study the difference in genders between Seraphine and the rest of the world."
    "First are the females : at first glance, they are similar to common women. While this is true of their anatomy, it isn't the same in their tastes."
    "Indeed, in Seraphine, most of the population looks feminine, and they seemed to have lost their attraction to male physique. Even if some prefer flat chests, muscular and tall builds, they would often chose a random woman rather than a man."
    "Next are the shemales. They look identical to a woman, but completely lack the female reproductive organs, having instead a fully functional penis and testicles."
    "People of Seraphine also seem to be able to discern shemales from females at a glance, even if there are sometimes mistakes. This is something that I and other visitors to the Queendom are unable to do, as they all look feminine."
    "Lastly, the most intriguing of all, futanaris. They are surrounded by so many mysteries that my only choice is to agree to divine intervention. They are quite rare, under 1\% of the population."
    "Hermaphroditism is something that rarely happens to humans outside the Queendom, but they are often sterile from one side, if not both."
    "The fact that all the children of the ruling Queen and their descendants are born futa, but only the one who takes the throne seems to be insured of having futanari children in turn is unique."
    "I wanted to investigate the Queen's palace to see if the location had any influence, but I wasn't able to acquire the authorizations to their more private rooms."
    "Something else of note is that they seem to possess a natural charm. Others are more easily attracted to them, and some nobles often have small harems around them."
    "Some of them are able to charm people quickly which can be ranging from being able to ask simple services to full on sex toys."
    "This is why I started my studies to determine if Seraphine is indeed blessed by the angels as they say, or a band of succubi in disguise ruling over humans, more information in a future book."
    "I am Joelyn, I travel the Queendom of Seraphine in all directions and I record its mysteries for the whole world to see."
    return


label b_aboutSuccubi:
    "There are three kind of succubus children : full succubi, spawns and cambions. A succubus mothers other succubi and fathers spawns or cambions."
    "Despite the quantity of sex succubi have, they don't have that many children. That is due to the fact that, to reproduce, they need to convert the energy absorbed to that aim."
    "That means that they renounce to that session's feeding, usually losing a good quantity of energy themselves."
    "If the succubus is in the role of the mother, they'll have to feed themselves way more than they usually do, but the rest of the pregnancy is straightforward."
    "They'll next give birth to an egg which will hatch in a fully fledged succubus a few weeks later. Like all demons, they are born as adults and do not age."
    "When they are in the role of the father, they can choose to empower their partner's pregnancy or not. To empower it, they'll need to frequently visit their partner's dream and expend more of their energy."
    "If they do that during the whole pregnancy, their child will be a cambion, but if the quantity of energy is lacking, the child will become a spawn."
    "Cambions are the best of both races. They will not inherit any demonic physical features oustide of being hermaphrodites, but inherit a succubus' power and magic. Their diet will be like their mother, but they'll find themselves reinvigorated after sexual relations."
    "But their other side will surface during their sleep. Since they have succubus magic, they'll be able to explore the dream world. They will assume their demonic form and are able to feed on nearby victims."
    "The only downside with cambions is that they are mostly sterile and tend to die young. Their hume bodies can't handle the demonic corruption and their eggs and seeds disintegrates before long."
    "On the other hand, succubus spawns are mostly hume-like. Depending on how much they were fed before birth, they inherit some demonic magic and resistance but are still considerably weaker than cambions."
    "Spawns are also known for being weak with magic in general. The small quantity of demonic magic seem to interfere with the way hume magic is learned and used."
    "Few powerful spawns have been discovered, most likely because few succubi choose to feed the children they father, and when they do, it's to have a faithful and powerful cambion child, so they feed them regularly."
    "On the bright side, spawns will age and reproduce like any member of their mother's race."
    return